import React, { ReactNode } from 'react';
import NodeMap from './interfaces/NodeMap';
import CNode from './interfaces/CNode';
import DragInfo from './interfaces/DragInfo';
interface NodeClickFunc {
    (node: CNode, targetEl: HTMLElement): void;
}
export interface MenuProps {
    nodes: NodeMap;
    startId: string;
    backgroundColor?: string;
    selectedBackgroundColor?: string;
    dragLineColor?: string;
    color?: string;
    selectedColor?: string;
    hoverColor?: string;
    hoverBackgroundColor?: string;
    cutColor?: string;
    defaultSelectedId?: string;
    uncontrolled?: boolean;
    itemHeight?: number;
    topBottomMargin?: number;
    lineHeight?: number;
    fontSize?: number;
    indent?: number;
    avatarWidth?: number;
    checkBoxWidth?: number;
    disableShortcut?: boolean;
    disabled?: boolean;
    showMoreButton?: boolean;
    showIcon?: boolean;
    showChildNum?: boolean;
    startAdornment?: (node: CNode, selected: boolean, hover: boolean) => ReactNode;
    customActionButtons?: (node: CNode, selected: boolean, hover: boolean) => ReactNode;
    handleClickExpand?: Function;
    handleClickNode?: Function;
    handleClickIcon?: Function;
    handleDbClickNode?: Function;
    handleChangeNodeText?: Function;
    handleAddNext?: Function;
    handleAddChild?: Function;
    handleDeleteNode?: Function;
    handleClickMoreButton?: NodeClickFunc;
    handleShiftUpDown?: Function;
    handlePaste?: Function;
    handleDragStart?: (node: CNode, event: React.DragEvent) => void;
    handleDrag?: (dragId: string, dragInfo: DragInfo, event: React.DragEvent) => void;
    ref?: any;
    collapseMode?: boolean;
    draggable?: boolean;
    storageData?: string[];
    hideRoot?: boolean;
    paddingLeft?: number;
}
export declare const MenuTree: React.ForwardRefExoticComponent<Pick<MenuProps, "nodes" | "startId" | "backgroundColor" | "selectedBackgroundColor" | "dragLineColor" | "color" | "selectedColor" | "hoverColor" | "hoverBackgroundColor" | "cutColor" | "defaultSelectedId" | "uncontrolled" | "itemHeight" | "topBottomMargin" | "lineHeight" | "fontSize" | "indent" | "disableShortcut" | "disabled" | "showMoreButton" | "showIcon" | "showChildNum" | "startAdornment" | "customActionButtons" | "handleClickExpand" | "handleClickNode" | "handleDbClickNode" | "handleClickIcon" | "handleChangeNodeText" | "handleAddNext" | "handleAddChild" | "handleDeleteNode" | "handleClickMoreButton" | "handleShiftUpDown" | "handlePaste" | "handleDragStart" | "handleDrag" | "collapseMode" | "draggable" | "storageData" | "hideRoot" | "paddingLeft" | "avatarWidth" | "checkBoxWidth"> & React.RefAttributes<unknown>>;
export {};
