import React from 'react';
import NodeMap from './interfaces/NodeMap';
export interface MobileTreeProps {
    nodes: NodeMap;
    startId: string;
    backgroundColor?: string;
    selectedBackgroundColor?: string;
    dragLineColor?: string;
    color?: string;
    selectedColor?: string;
    hoverColor?: string;
    hoverBackgroundColor?: string;
    cutColor?: string;
    defaultSelectedId?: string;
    uncontrolled?: boolean;
    itemHeight?: number;
    topBottomMargin?: number;
    lineHeight?: number;
    fontSize?: number;
    indent?: number;
    avatarWidth?: number;
    checkBoxWidth?: number;
    disableShortcut?: boolean;
    disabled?: boolean;
    showMoreButton?: boolean;
    showIcon?: boolean;
    showChildNum?: boolean;
    handleClickExpand?: Function;
    handleClickNode?: Function;
    handleClickIcon?: Function;
    handleClickDot?: Function;
    handleDbClickNode?: Function;
    handleChangeNodeText?: Function;
    handleAddNext?: Function;
    handleAddChild?: Function;
    handleDeleteNode?: Function;
    handleShiftUpDown?: Function;
    handlePaste?: Function;
    handleDrag?: Function;
    ref?: any;
    collapseMode?: boolean;
}
export declare const MobileTree: React.ForwardRefExoticComponent<Pick<MobileTreeProps, "nodes" | "startId" | "backgroundColor" | "selectedBackgroundColor" | "dragLineColor" | "color" | "selectedColor" | "hoverColor" | "hoverBackgroundColor" | "cutColor" | "defaultSelectedId" | "uncontrolled" | "itemHeight" | "topBottomMargin" | "lineHeight" | "fontSize" | "indent" | "disableShortcut" | "disabled" | "showMoreButton" | "showIcon" | "showChildNum" | "handleClickExpand" | "handleClickNode" | "handleDbClickNode" | "handleClickIcon" | "handleClickDot" | "handleChangeNodeText" | "handleAddNext" | "handleAddChild" | "handleDeleteNode" | "handleShiftUpDown" | "handlePaste" | "handleDrag" | "collapseMode" | "avatarWidth" | "checkBoxWidth"> & React.RefAttributes<unknown>>;
