import React from 'react';
import NodeMap from './interfaces/NodeMap';
import Node from './interfaces/Node';
import CNode from './interfaces/CNode';
interface PasteFunc {
    (pasteNodeKey: string, pasteType: string | null, targetNodeKey: string, event: ClipboardEvent): void;
}
interface MutiSelectFunc {
    (selectedNodes: Node[]): void;
}
interface NodeClickFunc {
    (node: CNode, targetEl: HTMLElement): void;
}
interface StatusClickFunc {
    (node: CNode, targetEl: HTMLElement, event: React.MouseEvent): void;
}
export interface HandleFileChange {
    (nodeKey: string, nodeName: string, files: FileList): void;
}
interface HandleQuickCommandOpen {
    (nodeEl: HTMLElement): void;
}
interface HandlePasteText {
    (text: string, event: ClipboardEvent): void;
}
export interface TreeProps {
    nodes: NodeMap;
    startId: string;
    defaultSelectedId?: string;
    uncontrolled?: boolean;
    singleColumn?: boolean;
    itemHeight?: number;
    topBottomMargin?: number;
    lineHeight?: number;
    textMaxWidth?: number;
    fontSize?: number;
    indent?: number;
    columnSpacing?: number;
    avatarWidth?: number;
    checkBoxWidth?: number;
    pathWidth?: number;
    pathColor?: string;
    nodeColor?: string;
    lineRadius?: number;
    avatarRadius?: number;
    disableShortcut?: boolean;
    disabled?: boolean;
    showIcon?: boolean;
    showAvatar?: boolean;
    hideHour?: boolean;
    root_zoom_ratio?: number;
    second_zoom_ratio?: number;
    backgroundColor?: string;
    color?: string;
    hoverBorderColor?: string;
    selectedBorderColor?: string;
    selectedBackgroundColor?: string;
    quickCommandKey?: string;
    paddingLeft?: number;
    paddingTop?: number;
    rainbowColor?: boolean;
    startNodeBg?: string;
    customAdornment?: React.FC<{
        x: number;
        y: number;
        height: number;
        nodeKey: string;
    }>;
    handleClickExpand?: Function;
    handleCheck?: Function;
    handleClickAvatar?: NodeClickFunc;
    handleClickStatus?: StatusClickFunc;
    handleClickNode?: Function;
    handleDbClickNode?: Function;
    handleChangeNodeText?: Function;
    handleAddNext?: Function;
    handleAddChild?: Function;
    handleDeleteNode?: Function;
    handleClickPreviewButton?: Function;
    handleClickDot?: Function;
    handleShiftUpDown?: Function;
    handleDrag?: Function;
    handlePaste?: PasteFunc;
    dragEndFromOutside?: (node: CNode, dataTransferText: string) => void;
    handleMouseEnterAvatar?: Function;
    handleMouseLeaveAvatar?: Function;
    handleCrossCompDrag?: Function;
    handleChange?: () => void;
    showDeleteConform?: Function;
    handleMutiSelect?: MutiSelectFunc;
    handleFileChange?: HandleFileChange;
    handleQuickCommandOpen?: HandleQuickCommandOpen;
    handlePasteText?: HandlePasteText;
    handleContextMenu?: (nodeKey: string, event: React.MouseEvent) => void;
    handleClickNodeImage?: (url?: string) => void;
    handleResizeNodeImage?: (nodeKey: string, nodeWidth: number) => void;
    ref?: any;
}
export declare const Tree: React.ForwardRefExoticComponent<Pick<TreeProps, "nodes" | "startId" | "defaultSelectedId" | "uncontrolled" | "singleColumn" | "itemHeight" | "topBottomMargin" | "lineHeight" | "textMaxWidth" | "fontSize" | "indent" | "columnSpacing" | "pathWidth" | "pathColor" | "nodeColor" | "lineRadius" | "avatarRadius" | "disableShortcut" | "disabled" | "showIcon" | "showAvatar" | "hideHour" | "root_zoom_ratio" | "second_zoom_ratio" | "backgroundColor" | "color" | "hoverBorderColor" | "selectedBorderColor" | "selectedBackgroundColor" | "quickCommandKey" | "paddingLeft" | "paddingTop" | "rainbowColor" | "startNodeBg" | "customAdornment" | "handleClickExpand" | "handleCheck" | "handleClickAvatar" | "handleClickStatus" | "handleClickNode" | "handleDbClickNode" | "handleChangeNodeText" | "handleAddNext" | "handleAddChild" | "handleDeleteNode" | "handleClickPreviewButton" | "handleClickDot" | "handleShiftUpDown" | "handleDrag" | "handlePaste" | "dragEndFromOutside" | "handleMouseEnterAvatar" | "handleMouseLeaveAvatar" | "handleCrossCompDrag" | "handleChange" | "showDeleteConform" | "handleMutiSelect" | "handleFileChange" | "handleQuickCommandOpen" | "handlePasteText" | "handleContextMenu" | "handleClickNodeImage" | "handleResizeNodeImage" | "avatarWidth" | "checkBoxWidth"> & React.RefAttributes<unknown>>;
export {};
