import React from 'react';
import Node from '../interfaces/Node';
import CNode from '../interfaces/CNode';
import DragInfo from '../interfaces/DragInfo';
import { HandleFileChange } from '..';
interface CheckFunc {
    (node: CNode, event: MouseEvent): void;
}
interface setDragInfoFunc {
    (dragInfo: DragInfo): void;
}
interface Props {
    node: CNode;
    startId: string;
    topBottomMargin: number;
    lineHeight: number;
    FONT_SIZE: number;
    avatarRadius: number;
    color: string;
    alias: number;
    selected: string | null;
    selectedNodes: Node[];
    showIcon: boolean;
    showAvatar: boolean;
    selectedColor?: string;
    singleColumn?: boolean;
    hideBorder?: boolean;
    dotColor: string;
    hoverBorderColor: string;
    selectedBorderColor: string;
    selectedBackgroundColor: string;
    treeBackgroundColor: string;
    startNodeBg: string;
    nodeColor?: string;
    customAdornment?: React.FC<{
        x: number;
        y: number;
        height: number;
        nodeKey: string;
    }>;
    disabled?: boolean;
    handleCheck: CheckFunc;
    handleClickAvatar: Function;
    handleClickStatus: Function;
    handleClickNode: Function;
    handleDbClickNode: Function;
    clickPreview: Function;
    handleClickDot: Function;
    handleExpand: Function;
    mouseEnterAvatar?: Function;
    mouseLeaveAvatar?: Function;
    handleDragStart: Function;
    updateDragInfo: setDragInfoFunc;
    dragStarted: boolean;
    dragEndFromOutside?: (node: CNode, dataTransferText: string) => void;
    bottomOptions?: boolean;
    hideHour?: boolean;
    isMind?: boolean;
    handleFileChange?: HandleFileChange;
    onContextMenu?: (nodeKey: string, event: React.MouseEvent) => void;
    onClickNodeImage?: (url?: string) => void;
    onResizeImage: (nodeKey: string, width: number) => void;
    handleAddChild: () => void;
    handleAddNext: () => void;
}
declare const TreeNode: ({ node, startId, topBottomMargin, lineHeight, FONT_SIZE, avatarRadius, color, alias, selected, selectedNodes, showIcon, showAvatar, selectedColor, singleColumn, hideBorder, dotColor, hoverBorderColor, selectedBorderColor, treeBackgroundColor, startNodeBg, nodeColor, customAdornment, disabled, handleCheck, handleClickAvatar, handleClickStatus, handleClickNode, handleDbClickNode, clickPreview, updateDragInfo, handleDragStart, dragStarted, handleClickDot, handleExpand, dragEndFromOutside, mouseEnterAvatar, mouseLeaveAvatar, bottomOptions, hideHour, handleFileChange, onContextMenu, onClickNodeImage, onResizeImage, handleAddChild, handleAddNext, }: Props) => JSX.Element | null;
export default TreeNode;
