import { HandleClickMore, HandleClickUpload, HandleDeleteAttach } from '../..';
import CNode from '../../interfaces/CNode';
import { HandleChangeNote, HandlePasteFile } from '../../TreeEditor';
interface ActionCommand {
    (command: string, nodeKey: string, value?: string): void;
}
interface HandleClickAttachFunc {
    (attachId: string): void;
}
interface HandleSetSelectionStart {
    (node: CNode | null): void;
}
interface HandleSetSelectionNodes {
    (nodes: string[], lastAddedNode?: CNode): void;
}
interface CheckFunc {
    (node: CNode, event: MouseEvent): void;
}
interface Props {
    node: CNode;
    frameSelectionStartedNode: CNode | null;
    selectionNodeKeys: string[];
    themeColor: string;
    backgroundColor: string;
    showIcon: boolean;
    showPreviewButton: boolean;
    selectedAttachId: string;
    handleClickNode: Function;
    handleClickExpand: Function;
    clickMore: HandleClickMore;
    clickPreview: Function;
    handleClickIcon: Function;
    handleClickDot: Function;
    handleChangeNodeText: Function;
    handleDrop: Function;
    actionCommand: ActionCommand;
    handleClickAttach: HandleClickAttachFunc;
    handlePasteFiles: HandlePasteFile;
    handleChangeNote: HandleChangeNote;
    handleDeleteAttach: HandleDeleteAttach;
    handleClickUpload: HandleClickUpload;
    handleSetSelectionStart: HandleSetSelectionStart;
    handleSetSelectionNodes: HandleSetSelectionNodes;
    handleCheck: CheckFunc;
    handleClickAvatar: Function;
    handleClickStatus: Function;
    compId: string;
    isRoot: boolean;
    isMobile: boolean;
    focusedKey?: string;
    noteFocusedKey?: string;
    collapseMode?: boolean;
    collapseModeCollapsed?: boolean;
    readonly?: boolean;
}
declare const EditorItem: ({ node, frameSelectionStartedNode, selectionNodeKeys, themeColor, backgroundColor, showIcon, showPreviewButton, selectedAttachId, handleClickNode, handleClickExpand, clickMore, clickPreview, handleClickIcon, handleClickDot, handleChangeNodeText, handleDrop, actionCommand, handleClickAttach, handlePasteFiles, handleChangeNote, handleDeleteAttach, handleClickUpload, handleSetSelectionStart, handleSetSelectionNodes, handleCheck, handleClickAvatar, handleClickStatus, compId, isRoot, isMobile, focusedKey, noteFocusedKey, readonly, }: Props) => JSX.Element;
export default EditorItem;
