'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var _ = _interopDefault(require('lodash'));
var jspdf = require('jspdf');
var ReactTooltip = _interopDefault(require('react-tooltip'));
var screenfull = _interopDefault(require('screenfull'));

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var runtime_1 = createCommonjsModule(function (module) {
/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var runtime = (function (exports) {

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined$1; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function define(obj, key, value) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
    return obj[key];
  }
  try {
    // IE 8 has a broken Object.defineProperty that only works on DOM objects.
    define({}, "");
  } catch (err) {
    define = function(obj, key, value) {
      return obj[key] = value;
    };
  }

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  exports.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  define(IteratorPrototype, iteratorSymbol, function () {
    return this;
  });

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = GeneratorFunctionPrototype;
  define(Gp, "constructor", GeneratorFunctionPrototype);
  define(GeneratorFunctionPrototype, "constructor", GeneratorFunction);
  GeneratorFunction.displayName = define(
    GeneratorFunctionPrototype,
    toStringTagSymbol,
    "GeneratorFunction"
  );

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      define(prototype, method, function(arg) {
        return this._invoke(method, arg);
      });
    });
  }

  exports.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  exports.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      define(genFun, toStringTagSymbol, "GeneratorFunction");
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  exports.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return PromiseImpl.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return PromiseImpl.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration.
          result.value = unwrapped;
          resolve(result);
        }, function(error) {
          // If a rejected Promise was yielded, throw the rejection back
          // into the async generator function so it can be handled there.
          return invoke("throw", error, resolve, reject);
        });
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
    return this;
  });
  exports.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  exports.async = function(innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    if (PromiseImpl === void 0) PromiseImpl = Promise;

    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList),
      PromiseImpl
    );

    return exports.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined$1) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        // Note: ["return"] must be used for ES3 parsing compatibility.
        if (delegate.iterator["return"]) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined$1;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined$1;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  define(Gp, toStringTagSymbol, "Generator");

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  define(Gp, iteratorSymbol, function() {
    return this;
  });

  define(Gp, "toString", function() {
    return "[object Generator]";
  });

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  exports.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined$1;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  exports.values = values;

  function doneResult() {
    return { value: undefined$1, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined$1;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined$1;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined$1;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined$1;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined$1;
      }

      return ContinueSentinel;
    }
  };

  // Regardless of whether this script is executing as a CommonJS module
  // or not, return the runtime object so that we can declare the variable
  // regeneratorRuntime in the outer scope, which allows this module to be
  // injected easily by `bin/regenerator --include-runtime script.js`.
  return exports;

}(
  // If this script is executing as a CommonJS module, use module.exports
  // as the regeneratorRuntime namespace. Otherwise create a new empty
  // object. Either way, the resulting object will be used to initialize
  // the regeneratorRuntime variable at the top of this file.
   module.exports 
));

try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  // This module should not be running in strict mode, so the above
  // assignment should always work unless something is misconfigured. Just
  // in case runtime.js accidentally runs in strict mode, in modern engines
  // we can explicitly access globalThis. In older engines we can escape
  // strict mode using a global Function call. This could conceivably fail
  // if a Content Security Policy forbids using Function, but in that case
  // the proper solution is to fix the accidental strict mode problem. If
  // you've misconfigured your bundler to force strict mode and applied a
  // CSP to forbid Function, and you're not willing to fix either of those
  // problems, please detail your unique predicament in a GitHub issue.
  if (typeof globalThis === "object") {
    globalThis.regeneratorRuntime = runtime;
  } else {
    Function("r", "regeneratorRuntime = r")(runtime);
  }
}
});

var Dot = function Dot(_ref) {
  var node = _ref.node,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      handleClick = _ref.handleClick,
      dragStarted = _ref.dragStarted,
      color = _ref.color,
      position = _ref.position;

  var _useState = React.useState(false),
      hover = _useState[0],
      sethover = _useState[1];

  var pos = position ? position : 'left';

  function getX() {
    switch (pos) {
      case 'left':
        return node.x - 4;

      case 'right':
        return node.x + node.width + 4;

      default:
        return node.x - 4;
    }
  }

  function handleMouseEnter() {
    if (!dragStarted) {
      sethover(true); // timer = setTimeout(() => {
      //   openOptions(node);
      // }, 500);
    }
  }

  function handleMouseLeave() {
    if (!dragStarted) {
      sethover(false); // clearTimeout(timer);
    }
  }

  function handleClickDot() {
    // clearTimeout(timer);
    handleClick(node);
  }

  return node.x && node.y ? React__default.createElement("g", {
    onMouseEnter: handleMouseEnter,
    onMouseLeave: handleMouseLeave,
    onClick: handleClickDot
  }, !node.dotIcon ? React__default.createElement("circle", {
    id: "dot-hover",
    cx: getX(),
    cy: node.y + BLOCK_HEIGHT / 2,
    r: 9,
    fill: "#c7cbd0",
    cursor: "pointer",
    fillOpacity: hover ? 1 : 0
  }) : null, !node.dotIcon ? React__default.createElement("circle", {
    id: "dot",
    cx: getX(),
    cy: node.y + BLOCK_HEIGHT / 2,
    r: 4,
    fill: color,
    fillOpacity: 1,
    cursor: hover ? 'pointer' : 'auto'
  }) : null, node.dotIcon ? React__default.createElement("image", {
    key: "avatar-image",
    x: getX() - (hover ? 9 : 5),
    y: node.y + BLOCK_HEIGHT / 2 - (hover ? 9 : 5),
    width: hover ? 18 : 10,
    height: hover ? 18 : 10,
    href: node.dotIcon
  }) : null) : null;
};

var Expand = function Expand(_ref) {
  var node = _ref.node,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      rectHeight = _ref.rectHeight,
      position = _ref.position,
      PATH_COLOR = _ref.PATH_COLOR,
      backgroundColor = _ref.backgroundColor,
      handleClickExpand = _ref.handleClickExpand;

  function getX() {
    var pos = position || 'right';
    var diff = 2;

    switch (pos) {
      case 'right':
        return node.x + node.width + 2 * diff;

      case 'left':
        return node.x - 20 - diff;

      case 'leftBottom':
        return node.x - 5;

      case 'bottomCenter':
        return node.x + node.width / 2 - 10;

      default:
        return node.x;
    }
  }

  function getY(radius) {
    var pos = position || 'right';
    var diff = 2;
    var y = 0;

    switch (pos) {
      case 'right':
      case 'left':
        y = node.y + BLOCK_HEIGHT / 2 - radius;
        break;

      case 'leftBottom':
      case 'bottomCenter':
        y = node.y + rectHeight + diff;
        break;

      default:
        y = node.y + rectHeight / 2 - radius;
        break;
    }

    return y;
  }

  function getPath() {
    var pos = position || 'right';

    switch (pos) {
      case 'right':
        return "M " + (node.x + node.width) + " " + getY(0) + " H " + getX();

      case 'left':
        return "M " + node.x + " " + getY(0) + " H " + getX();

      case 'leftBottom':
        return "M " + (getX() + 10) + " " + (node.y + rectHeight) + " V " + (node.y + rectHeight + 2);

      case 'bottomCenter':
        return "M " + (node.x + node.width / 2) + " " + (node.y + BLOCK_HEIGHT) + " V " + (node.y + BLOCK_HEIGHT + 2);

      default:
        return '';
    }
  }

  return node.x && node.y && node.sortList && node.sortList.length ? React__default.createElement("g", null, node.contract ? React__default.createElement("g", null, React__default.createElement("path", {
    d: getPath(),
    fill: "none",
    stroke: PATH_COLOR,
    strokeWidth: 1
  }), React__default.createElement("circle", {
    cx: getX() + 10,
    cy: getY(10) + 10 + 1,
    r: 10,
    fill: backgroundColor,
    stroke: PATH_COLOR,
    onClick: function onClick() {
      return handleClickExpand(node);
    }
  }), React__default.createElement("text", {
    x: getX() + 10,
    y: getY(10) + 10 + 1 + 1,
    alignmentBaseline: "middle",
    textAnchor: "middle",
    fontSize: (node.childNum || 0) > 999 ? 10 : 12,
    fill: PATH_COLOR,
    style: {
      pointerEvents: 'none'
    }
  }, (node.childNum || 0) > 999 ? '999+' : node.childNum)) : React__default.createElement("use", {
    className: "dot-action",
    key: "contract",
    href: "#contract-" + (position === 'right' ? 'left' : position === 'left' ? 'right' : 'up'),
    x: getX(),
    y: getY(10),
    onClick: function onClick() {
      return handleClickExpand(node);
    }
  })) : null;
};

function guid(len, radix) {
  var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
  var uuid = [],
      i;
  radix = radix || chars.length;

  if (len) {
    // Compact form
    for (i = 0; i < len; i++) {
      uuid[i] = chars[0 | Math.random() * radix];
    }
  } else {
    // rfc4122, version 4 form
    var r; // rfc4122 requires these characters

    uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
    uuid[14] = '4'; // Fill in random data.  At i==19 set the high bits of clock sequence as
    // per rfc4122, sec. 4.1.5

    for (i = 0; i < 36; i++) {
      if (!uuid[i]) {
        r = 0 | Math.random() * 16;
        uuid[i] = chars[i === 19 ? r & 0x3 | 0x8 : r];
      }
    }
  }

  return uuid.join('');
}

function getShortedStr(str) {
  if (str.length <= 28) {
    return;
  } else {
    var shorted = '';
    var count = 0;

    for (var index = 0; index < str.length; index++) {
      if (count < 28) {
        var _char = str[index]; // 全角

        if (_char.match(/[^\x00-\xff]/g)) {
          count++;
        } else {
          count += 0.5;
        }

        shorted += _char;
      } else {
        break;
      }
    }

    if (count >= 28) {
      return shorted + "...";
    }

    return;
  }
}

function textWidthAll(fontSize, text, bold) {
  var ele = document.createElement('span');
  ele.innerText = text;
  ele.style.fontSize = fontSize + "px";

  if (bold) {
    ele.style.fontWeight = 'bold';
  } // ele.style.fontFamily = '"Microsoft YaHei", sans-serif';


  document.body.appendChild(ele);
  var width = ele.offsetWidth;
  document.body.removeChild(ele);

  if (text === ' ') {
    // <span> </span>：span空格width为0，所以手动返回一个数值
    return fontSize / 2;
  }

  return width;
}

function splitTextIntoParagraphs(text, maxWidth, fontSize, bold) {
  var paragraphs = [];
  var currentParagraph = '';
  var ele = document.createElement('span');
  ele.style.fontSize = fontSize + "px";

  if (bold) {
    ele.style.fontWeight = 'bold';
  }

  document.body.appendChild(ele);
  text = text.replace(/\r\n/g, ' ');
  text = text.replace(/\n/g, ' ');

  for (var index = 0; index < text.length; index++) {
    var _char2 = text[index];
    ele.innerText = currentParagraph + _char2;

    if (ele.offsetWidth <= maxWidth) {
      currentParagraph += _char2;
    } else {
      paragraphs.push(currentParagraph);
      currentParagraph = _char2;
    }
  }

  document.body.removeChild(ele);

  if (currentParagraph !== '') {
    paragraphs.push(currentParagraph);
  }

  return paragraphs;
}

function splitTextIntoParagraphsInTexts(texts, textMaxWidth, fontSize, bold) {
  var result = [];

  for (var i = 0; i < texts.length; i++) {
    var text = texts[i];
    var width = textWidthAll(fontSize, text, bold);

    if (width > textMaxWidth) {
      var arr = splitTextIntoParagraphs(text, textMaxWidth, fontSize, bold);
      result.push.apply(result, arr);
    } else {
      result.push(text);
    }
  }

  return result;
} // 获取全角字符数

function getTextWidth(text, textMaxWidth, fontSize, bold) {
  var width = 50;
  var texts = [];

  if (text.includes('\n')) {
    var splited = text.split('\n');
    texts = splitTextIntoParagraphsInTexts(splited, textMaxWidth, fontSize, bold);

    if (splited.length === texts.length) {
      var maxText = '';

      for (var index = 0; index < texts.length; index++) {
        var element = texts[index];

        if (element.length > maxText.length) {
          maxText = element;
        }
      }

      width = textWidthAll(fontSize, maxText, bold);
    } else {
      width = textMaxWidth;
    }
  } else {
    width = textWidthAll(fontSize, text, bold);

    if (width > textMaxWidth) {
      texts = splitTextIntoParagraphs(text, textMaxWidth, fontSize, bold);
      width = textMaxWidth;
    }
  }

  return {
    width: width,
    texts: texts
  };
} // 获取节点宽度


function getNodeWidth(node, fontSize, showIcon, showAvatar, avatarRadius, showChildNum, textMaxWidth, inputNodeKey) {
  var padding = 5; // -------------------------------------------

  var width = 50;
  var res = getTextWidth(node.name || 'untitled', textMaxWidth, fontSize, node.bold);
  width = res.width;

  if (res.texts.length) {
    node.texts = res.texts;
  } // let width = 50;
  // if (node.name.includes('\n')) {
  //   const splited = node.name.split('\n');
  //   node.texts = splitTextIntoParagraphsInTexts(
  //     splited,
  //     textMaxWidth,
  //     fontSize,
  //     node.bold
  //   );
  //   if (splited.length === node.texts.length) {
  //     let maxText = '';
  //     for (let index = 0; index < node.texts.length; index++) {
  //       const element = node.texts[index];
  //       if (element.length > maxText.length) {
  //         maxText = element;
  //       }
  //     }
  //     width = textWidthAll(fontSize, maxText, node.bold ? true : false);
  //   } else {
  //     width = textMaxWidth;
  //   }
  // } else {
  //   width = textWidthAll(fontSize, node.name, node.bold ? true : false);
  //   if (width > textMaxWidth) {
  //     const texts = splitTextIntoParagraphs(
  //       node.name,
  //       textMaxWidth,
  //       fontSize,
  //       node.bold ? true : false
  //     );
  //     node.texts = texts;
  //     width = textMaxWidth;
  //   }
  // }
  // -------------------------------------------


  if (inputNodeKey === node._key && width < 50) {
    width = textMaxWidth;
  }

  var paddingWidth = padding * 2;
  var extInfoWidth = getExtInfoWidth(node, showIcon, showAvatar, avatarRadius, showChildNum);
  var endAdornmentWidth = node.endAdornmentWidth && node.endAdornmentWidth ? node.endAdornmentWidth + 5 : 0;
  var totalWidth = (width || 50) + paddingWidth + extInfoWidth + endAdornmentWidth;

  if (node.imageUrl && node.imageWidth && node.imageWidth + paddingWidth > totalWidth) {
    totalWidth = node.imageWidth + padding + paddingWidth;
  }

  if (node.bottomAdornmentWidth && node.bottomAdornment && node.bottomAdornmentWidth > totalWidth) {
    totalWidth = node.bottomAdornmentWidth;
  }

  return totalWidth;
} // 获取额外信息宽度


function getExtInfoWidth(node, showIcon, showAvatar, avatarRadius, showChildNum) {
  var packWidth = node.isPack ? 22 : 0;
  var favoriteWidth = node.hasCollect ? 22 : 0;
  var iconWidth = showIcon && node.icon ? 22 : 0;
  var avatarWidth = showAvatar && node.avatarUri ? avatarRadius * 2 : 0;
  var checkboxWidth = node.showCheckbox ? 18 : 0;
  var statusWidth = node.showStatus ? 22 : 0;
  var showChildNumWidth = showChildNum && node.childNum ? 22 : 0;
  var startAdornmentWidth = node.startAdornment && node.startAdornmentWidth ? node.startAdornmentWidth : 0;
  var temp = [packWidth, favoriteWidth, iconWidth, avatarWidth, checkboxWidth, statusWidth, showChildNumWidth, startAdornmentWidth];
  var count = 0;

  for (var index = 0; index < temp.length; index++) {
    var element = temp[index];

    if (element) {
      count++;
    }
  }

  var marginWidth = count ? count * 1.5 : 0;
  return packWidth + favoriteWidth + iconWidth + avatarWidth + checkboxWidth + statusWidth + showChildNumWidth + startAdornmentWidth + marginWidth;
}

function nodeLocation(node, type, BLOCK_HEIGHT, showIcon, showAvatar, avatarRadius, showChildNum) {
  var paddingLeft = 5;
  var startX = paddingLeft; // const textHeight = (node.texts?.length || 1) * BLOCK_HEIGHT;

  var textHeight = BLOCK_HEIGHT;

  switch (type) {
    case 'childNum':
      return {
        x: node.x + startX,
        y: node.y + textHeight / 2
      };

    case 'pack':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0),
        y: node.y + (textHeight - 22) / 2
      };

    case 'favorite':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0) + (node.isPack ? 22 + 2 : 0),
        y: node.y + (textHeight - 22) / 2
      };

    case 'icon':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0) + (node.isPack ? 22 + 2 : 0) + (node.hasCollect ? 22 + 2 : 0),
        y: node.y + (textHeight - 22) / 2,
        emojiY: node.y + textHeight / 2 + 2
      };

    case 'avatar':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0) + (node.isPack ? 22 + 2 : 0) + (node.hasCollect ? 22 + 2 : 0) + (showIcon && node.icon ? 22 + 2 : 0),
        y: node.y + (textHeight - avatarRadius * 2) / 2
      };

    case 'checkbox':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0) + (node.isPack ? 22 + 2 : 0) + (node.hasCollect ? 22 + 2 : 0) + (showIcon && node.icon ? 22 + 2 : 0) + (showAvatar && node.avatarUri ? avatarRadius * 2 + 2 : 0),
        y: node.y + (textHeight - 18) / 2
      };

    case 'status':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0) + (node.isPack ? 22 + 2 : 0) + (node.hasCollect ? 22 + 2 : 0) + (showIcon && node.icon ? 22 + 2 : 0) + (showAvatar && node.avatarUri ? avatarRadius * 2 + 2 : 0) + (node.showCheckbox ? 18 + 2 : 0),
        y: node.y + (textHeight - 22) / 2
      };

    case 'startAdornment':
      return {
        x: node.x + startX + (showChildNum && node.childNum ? 22 + 2 : 0) + (node.isPack ? 22 + 2 : 0) + (node.hasCollect ? 22 + 2 : 0) + (showIcon && node.icon ? 22 + 2 : 0) + (showAvatar && node.avatarUri ? avatarRadius * 2 + 2 : 0) + (node.showCheckbox ? 18 + 2 : 0) + (node.showStatus ? 22 + 2 : 0),
        y: node.y + (textHeight - (node.startAdornmentHeight || 0)) / 2
      };

    case 'text':
      var extWidth = getExtInfoWidth(node, showIcon, showAvatar, avatarRadius, showChildNum);
      return {
        x: node.x + startX + extWidth + (extWidth ? 2 : 0),
        y: node.y + BLOCK_HEIGHT / 2 + 1
      };

    default:
      return null;
  }
}

var isArrayRepeat = function isArrayRepeat(array1, array2) {
  var set = new Set([].concat(array1, array2));
  return array1.length + array2.length !== set.size;
};

var isDragValid = function isDragValid(dragId, dropId, nodeMap) {
  if (!nodeMap[dropId]) {
    return;
  }

  var dropNodeAncestors = getAncestor(nodeMap[dropId], nodeMap, true);

  if (dropNodeAncestors.includes(dragId)) {
    return false;
  } else {
    return true;
  }
};

var isMutilDragValid = function isMutilDragValid(dragIds, dropId, nodeMap) {
  for (var index = 0; index < dragIds.length; index++) {
    var dragId = dragIds[index].nodeKey;
    var dragValid = isDragValid(dragId, dropId, nodeMap);

    if (!dragValid) {
      return false;
    }
  }

  return true;
};
/**
 * 获取有效的多选节点（框选拖拽节点时，如果同时选择父节点与其子节点，只有父节点为有效节点）
 * @param selectedNodes
 * @param nodeMap
 */


var getValidSelectedNodes = function getValidSelectedNodes(selectedNodes, nodeMap) {
  var validSelectedNodes = [];
  var selectedIds = [];

  for (var index = 0; index < selectedNodes.length; index++) {
    var node = selectedNodes[index];
    selectedIds.push(node._key);
  }

  for (var _index = 0; _index < selectedNodes.length; _index++) {
    var _node = selectedNodes[_index];
    var ancestors = getAncestor(_node, nodeMap);

    if (!isArrayRepeat(ancestors, selectedIds)) {
      validSelectedNodes.push({
        nodeKey: _node._key,
        oldFather: _node.father
      });
    }
  }

  return validSelectedNodes;
};

var getNextSelect = function getNextSelect(node, nodeMap) {
  var father = nodeMap[node.father];

  if (father) {
    var sortList = father.sortList;

    if (sortList.length > 1) {
      var index = sortList.findIndex(function (key) {
        return key === node._key;
      });

      if (index > 0) {
        return sortList[index - 1];
      } else {
        return sortList[index + 1];
      }
    } else {
      return node.father;
    }
  } else {
    return null;
  }
};
var getAncestor = function getAncestor(node, nodeMap, includeSelf) {
  var getFather = function getFather(node) {
    var father = nodeMap[node.father];

    if (father) {
      ancestorList.unshift(father._key);
      getFather(father);
    }
  };

  var ancestorList = includeSelf ? [node._key] : [];
  getFather(node);
  return ancestorList;
};
var getDescendantKeys = function getDescendantKeys(nodeKeys, nodeMap) {
  var getChildKeys = function getChildKeys(nodeKey) {
    var node = nodeMap[nodeKey];

    if (node) {
      keys.push(node._key);
      var sortList = node.sortList;

      for (var index = 0; index < sortList.length; index++) {
        var childKey = sortList[index];
        getChildKeys(childKey);
      }
    }
  };

  var keys = [];

  for (var index = 0; index < nodeKeys.length; index++) {
    var nodeKey = nodeKeys[index];
    getChildKeys(nodeKey);
  }

  return keys;
};

function addChildNode(nodeMap, selectedId, value) {
  var nodes = _extends({}, nodeMap);

  var childNode = {
    _key: guid(8, 16),
    name: value || '',
    father: selectedId,
    sortList: [],
    checked: false,
    hour: 0,
    limitDay: 0
  };
  var selectedNode = nodes[selectedId];
  selectedNode.sortList.push(childNode._key);
  nodes[childNode._key] = childNode;
  return {
    nodes: nodes,
    addedNode: childNode
  };
} // 向后新增同辈节点


function addNextNode(nodeMap, selectedId, value, isPrevious) {
  var nodes = _extends({}, nodeMap);

  var selectedNode = nodes[selectedId];
  var fatherNode = nodes[selectedNode.father];
  var nextNode = {
    _key: guid(8, 16),
    name: value || '',
    father: fatherNode._key,
    sortList: [],
    checked: false,
    hour: 0,
    limitDay: 0
  };
  var brotherKeys = fatherNode.sortList;
  brotherKeys.splice(isPrevious ? brotherKeys.indexOf(selectedId) : brotherKeys.indexOf(selectedId) + 1, 0, nextNode._key);
  fatherNode.sortList = brotherKeys;
  nodes[nextNode._key] = nextNode;
  return {
    nodes: nodes,
    addedNode: nextNode
  };
}

function changeSortList(nodeMap, selectedId, type) {
  var nodes = _.cloneDeep(nodeMap);

  var selectedNode = nodes[selectedId];
  var fatherNode = nodes[selectedNode.father];
  var brotherKeys = fatherNode.sortList;
  var index = brotherKeys.indexOf(selectedId);

  if (type === 'up') {
    if (index === 0) {
      return null;
    }

    var _ref = [brotherKeys[index], brotherKeys[index - 1]];
    brotherKeys[index - 1] = _ref[0];
    brotherKeys[index] = _ref[1];
  } else if (type === 'down') {
    if (index + 1 === brotherKeys.length) {
      return null;
    }

    var _ref2 = [brotherKeys[index + 1], brotherKeys[index]];
    brotherKeys[index] = _ref2[0];
    brotherKeys[index + 1] = _ref2[1];
  }

  return {
    nodes: nodes,
    brotherKeys: brotherKeys
  };
}

function deleteNode(nodeMap, selectedId) {
  var nodes = _extends({}, nodeMap);

  var selectedNode = nodes[selectedId];
  var nextSelectNodeKey;
  var fatherNode = nodes[selectedNode.father];
  var brotherKeys = fatherNode.sortList;
  var index = brotherKeys.indexOf(selectedId);
  brotherKeys.splice(index, 1);

  if (brotherKeys.length && index > 0) {
    nextSelectNodeKey = brotherKeys[index - 1];
  } else {
    nextSelectNodeKey = fatherNode._key;
  }

  fatherNode.sortList = brotherKeys;
  deleteNodeById(selectedNode);

  function deleteNodeById(node) {
    var sortList = node.sortList;

    for (var _index2 = 0; _index2 < sortList.length; _index2++) {
      var childKey = sortList[_index2];
      var child = nodes[childKey];
      deleteNodeById(child);
    }

    delete nodes[node._key];
  }

  return {
    nodes: nodes,
    nextSelectNodeKey: nextSelectNodeKey
  };
} // 转换为父亲的兄弟节点


function toFatherBrother(nodeMap, nodeId) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[nodeId];
  var father = nodes[node.father];
  var grandFather = nodes[father.father];
  var fatherIndex = grandFather.sortList.findIndex(function (item) {
    return item === father._key;
  }); // 将节点插入到爷爷的sortlist中

  grandFather.sortList.splice(fatherIndex + 1, 0, nodeId); // 更改father

  node.father = grandFather._key; // 从父亲的sortlist中移除

  var index = father.sortList.findIndex(function (item) {
    return item === node._key;
  });
  father.sortList.splice(index, 1);
  return {
    nodes: nodes
  };
} // 转换为兄弟的子节点


function toBrotherChild(nodeMap, nodeIndex, nodeId, brotherId) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[nodeId];
  var father = nodes[node.father];
  var brother = nodes[brotherId];
  var fatherSortList = father.sortList;
  fatherSortList.splice(nodeIndex, 1);
  father.sortList = fatherSortList;
  node.father = brotherId;
  var brotherSortList = brother.sortList || [];
  brotherSortList.push(nodeId);
  brother.sortList = brotherSortList;
  return {
    nodes: nodes
  };
}

function dot(nodeMap, nodeId) {
  var nodes = _extends({}, nodeMap);

  var keys = Object.keys(nodes);

  for (var index = 0; index < keys.length; index++) {
    var key = keys[index];
    var element = nodes[key];
    delete element.width;
    delete element.x;
    delete element.y;
  }

  var selectedNode = nodes[nodeId];

  if (selectedNode) {
    selectedNode.contract = selectedNode.contract ? false : true;
  }

  return nodes;
}

function checkNode(nodeMap, nodeId) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[nodeId];

  if (node) {
    node.checked = !node.checked;
  }

  return nodes;
}

function changeNodeText(nodeMap, id, text) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[id];
  if (!node) return nodes;

  if (!text) {
    text = '';
  }

  node.name = text;
  return nodes;
}

function updateNodeByKey(nodeMap, id, data) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[id];
  if (!node) return nodes;
  nodes[id] = _extends({}, node, data);
  return nodes;
}

function addNodeNote(nodeMap, nodeId) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[nodeId];

  if (!node.note) {
    node.note = '';
  }

  return {
    nodes: nodes
  };
}

function deleteNodeNote(nodeMap, nodeId) {
  var nodes = _extends({}, nodeMap); // let nodes = JSON.parse(JSON.stringify(nodeMap));


  var node = nodes[nodeId];
  delete node.note; // node.note = undefined;

  return {
    nodes: nodes
  };
}

function changeNodeNote(nodeMap, id, text) {
  var nodes = _extends({}, nodeMap);

  var node = nodes[id];
  if (!node) return nodes;

  if (!text) {
    text = '';
  }

  node.note = text;
  return nodes;
}

function pasteNode(map, pasteNodeKey, pasteType, targetNodeKey) {
  var nodeMap = _extends({}, map);

  var pasteNode = nodeMap[pasteNodeKey];
  var targetNode = nodeMap[targetNodeKey];

  if (pasteType === 'cut') {
    if (pasteNodeKey === targetNodeKey) {
      return null;
    } // 從選中節點的父節點的children中刪除當前id


    var selectedNodeFather = nodeMap[pasteNode.father];

    if (!selectedNodeFather) {
      return;
    }

    var sortList = selectedNodeFather.sortList;
    sortList.splice(sortList.indexOf(pasteNode._key), 1);
    pasteNode.father = targetNodeKey; // 將當前id添加到目標節點children中

    targetNode.sortList.push(pasteNode._key);
    return nodeMap;
  } else if (pasteType === 'copy') {
    var copiedNodesStr = localStorage.getItem('copiedNodes');

    if (copiedNodesStr) {
      var newNodeMap = JSON.parse(copiedNodesStr);
      nodeMap = _extends({}, nodeMap, newNodeMap.nodes);

      if (nodeMap[newNodeMap.root]) {
        nodeMap[newNodeMap.root].father = targetNode._key;
      } // 將newNode的id添加到目標節點children中


      if (nodeMap[targetNodeKey]) {
        nodeMap[targetNodeKey].sortList.push(newNodeMap.root);
      }
    }

    return nodeMap;
  } else {
    return null;
  } // function copyNode(node: Node, suffix: string, targetNodeKey?: string) {
  //   let newNode = JSON.parse(JSON.stringify(node));
  //   newNode._key = `${newNode._key}-${suffix}`;
  //   if (targetNodeKey) {
  //     newNode.father = targetNodeKey;
  //   } else {
  //     newNode.father = `${newNode.father}-${suffix}`;
  //   }
  //   const sortList = newNode.sortList;
  //   for (let index = 0; index < sortList.length; index++) {
  //     const childKey = sortList[index];
  //     if (nodeMap[childKey]) {
  //       let node = copyNode(nodeMap[childKey], suffix);
  //       newNode.sortList[index] = node._key;
  //     }
  //   }
  //   nodeMap[newNode._key] = newNode;
  //   return newNode;
  // }

}

function copyNode(nodeMap, nodeKey) {
  var newNodeMap = {};
  var suffix = guid(8, 16);
  var node = nodeMap[nodeKey];

  if (node) {
    copy(node, suffix, true);
    localStorage.setItem('copiedNodes', JSON.stringify({
      nodes: newNodeMap,
      root: nodeKey + "-" + suffix
    }));
  }

  function copy(node, suffix, isRoot) {
    var newNode = JSON.parse(JSON.stringify(node));
    newNode._key = newNode._key + "-" + suffix;

    if (!isRoot) {
      newNode.father = newNode.father + "-" + suffix;
    }

    var sortList = newNode.sortList;

    for (var index = 0; index < sortList.length; index++) {
      var childKey = sortList[index];

      if (nodeMap[childKey]) {
        copy(nodeMap[childKey], suffix);
        newNode.sortList[index] = newNode.sortList[index] + "-" + suffix;
      }
    }

    newNodeMap[newNode._key] = newNode;
  }
}

function dragSort(map, dragId, dropId, placement) {
  var nodeMap = _extends({}, map);

  var selectedNode = nodeMap[dragId];
  var targetNode = nodeMap[dropId];

  if (!selectedNode || !targetNode) {
    return null;
  }

  switch (placement) {
    case 'in':
      // 從選中節點的父節點的children中刪除當前id
      var selectedNodeFather = nodeMap[selectedNode.father];

      if (!selectedNodeFather) {
        break;
      }

      var sortList = selectedNodeFather.sortList;
      sortList.splice(sortList.indexOf(selectedNode._key), 1);
      selectedNode.father = dropId; // 將當前id添加到目標節點children中

      targetNode.sortList.push(selectedNode._key);
      break;

    case 'up':
    case 'down':
      addSibling(placement);
      break;
  }

  return nodeMap;

  function addSibling(type) {
    if (!selectedNode || !targetNode) {
      return;
    }

    if (selectedNode.father === targetNode.father) {
      // 從選中節點的父節點的children中刪除當前id
      var father = nodeMap[targetNode.father];

      if (!father) {
        return;
      }

      var _sortList = father.sortList;

      _sortList.splice(_sortList.indexOf(selectedNode._key), 1); // 將當前id添加到目標節點的父節點children中


      _sortList.splice(type === 'down' ? _sortList.indexOf(dropId) + 1 : _sortList.indexOf(dropId), 0, dragId);
    } else {
      // 從選中節點的父節點的children中刪除當前id
      var _selectedNodeFather = nodeMap[selectedNode.father];

      if (!_selectedNodeFather) {
        return;
      }

      var _sortList2 = _selectedNodeFather.sortList;

      _sortList2.splice(_sortList2.indexOf(selectedNode._key), 1);

      selectedNode.father = targetNode.father; // 將當前id添加到目標節點的父節點children中

      var targetFather = nodeMap[targetNode.father];

      if (!targetFather) {
        return;
      }

      var children2 = targetFather.sortList;
      children2.splice(type === 'down' ? children2.indexOf(dropId) + 1 : children2.indexOf(dropId), 0, dragId);
    }
  }
}

function crossLine(r1, r2) {
  if (Math.abs((r1.x1 + r1.x2) / 2 - (r2.x1 + r2.x2) / 2) < (r1.x2 + r2.x2 - r1.x1 - r2.x1) / 2 && Math.abs((r1.y1 + r1.y2) / 2 - (r2.y1 + r2.y2) / 2) < (r1.y2 + r2.y2 - r1.y1 - r2.y1) / 2) return true;
  return false;
}

function getNodesInSelection(selectionX, selectionY, selectionWidth, selectionHeight, nodeHeight, cnodes) {
  var selectionStartX = selectionX;
  var selectionStartY = selectionY;
  var selectionEndX = selectionX + selectionWidth;
  var selectionEndY = selectionY + selectionHeight; // const selectionCenterX = selectionX + selectionWidth / 2;
  // const selectionCenterY = selectionY + selectionHeight / 2;

  var nodesInSelection = [];

  for (var index = 0; index < cnodes.length; index++) {
    var node = cnodes[index];

    if (!node || !node.width || !node.x || !node.y) {
      break;
    }

    var startX = node.x;
    var startY = node.y;
    var endX = node.x + node.width;
    var endY = node.y + nodeHeight; // const centerX = node.x + node.width / 2;
    // const centerY = node.y + nodeHeight / 2;

    if (crossLine({
      x1: selectionStartX,
      y1: selectionStartY,
      x2: selectionEndX,
      y2: selectionEndY
    }, {
      x1: startX,
      y1: startY,
      x2: endX,
      y2: endY
    })) {
      nodesInSelection.push(node);
    }
  }

  return nodesInSelection;
}

function changeSelect(selectedId, cnodes, direction) {
  var nodes = [].concat(cnodes);
  var target = nodes.find(function (node) {
    return node._key === selectedId;
  });

  if (!target || !target.x || !target.y) {
    return;
  } // 最短距离


  var minDistance;
  var resultNode;

  for (var index = 0; index < nodes.length; index++) {
    var node = nodes[index];

    if (!node || !node.x || !node.y) {
      break;
    }

    var distanceX = target.x - node.x;
    var distanceY = target.y - node.y;

    if (direction === 'ArrowUp') {
      if (distanceY > 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    } else if (direction === 'ArrowRight') {
      if (distanceX < 0 && distanceY === 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    } else if (direction === 'ArrowDown') {
      if (distanceY < 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    } else if (direction === 'ArrowLeft') {
      if (distanceX > 0 && distanceY === 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    }
  }

  return resultNode;

  function getMinDistance(node, distanceY, distanceX) {
    if (!minDistance) {
      minDistance = Math.abs(distanceY) + Math.abs(distanceX);
      resultNode = node;
    } else if (Math.abs(distanceY) + Math.abs(distanceX) < minDistance) {
      minDistance = Math.abs(distanceY) + Math.abs(distanceX);
      resultNode = node;
    }
  }
}

function changeMindSelect(selectedId, cnodes, direction) {
  var nodes = [].concat(cnodes);
  var target = nodes.find(function (node) {
    return node._key === selectedId;
  });

  if (!target || !target.x || !target.y || !target.width) {
    return;
  } // 最短距离


  var minDistance;
  var resultNode;

  for (var index = 0; index < nodes.length; index++) {
    var node = nodes[index];

    if (!node || !node.x || !node.y || !node.width) {
      break;
    }

    var distanceX = node.toLeft ? target.x + target.width - (node.x + node.width) : target.x - node.x;
    var distanceY = target.y - node.y;

    if (direction === 'ArrowUp') {
      if (distanceY > 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    } else if (direction === 'ArrowRight') {
      if (distanceX < 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    } else if (direction === 'ArrowDown') {
      if (distanceY < 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    } else if (direction === 'ArrowLeft') {
      if (distanceX > 0) {
        getMinDistance(node, distanceY, distanceX);
      }
    }
  }

  return resultNode;

  function getMinDistance(node, distanceY, distanceX) {
    if (!minDistance) {
      minDistance = Math.abs(distanceY) + Math.abs(distanceX);
      resultNode = node;
    } else if (Math.abs(distanceY) + Math.abs(distanceX) < minDistance) {
      minDistance = Math.abs(distanceY) + Math.abs(distanceX);
      resultNode = node;
    }
  }
} // 光标移动到文本末尾


function moveCursorToEnd(elment) {
  elment.focus();
  if (!window.getSelection) return;
  var range = window.getSelection(); //创建range

  if (range) {
    sessionStorage.setItem('cursorInTail', 'tail');
    range.selectAllChildren(elment); //range 选择obj下所有子内容

    range.collapseToEnd(); //光标移至最后
  }
} // 获取光标后的文本


function getTextAfterCursor(elment) {
  var cursorInTail = sessionStorage.getItem('cursorInTail');

  if (cursorInTail === 'tail') {
    return '';
  }

  if (!window.getSelection) return '';
  var selection = window.getSelection();

  if (selection) {
    var range = selection.getRangeAt(0);
    var cursorPosition = range.startOffset;
    var value = elment.innerText.substr(cursorPosition);
    return value;
  } else {
    return '';
  }
}

function moveCursor(type, cnodes, nodeId) {
  var index = cnodes.findIndex(function (item) {
    return item._key === nodeId;
  });
  if (index === -1) return;

  if (type === 'up') {
    if (index === 0) return;
    return cnodes[index - 1];
  } else {
    if (index + 1 === cnodes.length) return;
    return cnodes[index + 1];
  }
}

function isCursorHead() {
  if (!window.getSelection) return '';
  var selection = window.getSelection();
  return (selection == null ? void 0 : selection.focusOffset) === 0 ? true : false;
}

function isCursorTail(elment) {
  var cursorInTail = sessionStorage.getItem('cursorInTail');

  if (cursorInTail === 'tail') {
    return true;
  }

  if (!window.getSelection) return false;
  var selection = window.getSelection();

  if (selection) {
    var range = selection.getRangeAt(0);
    var cursorPosition = range.startOffset;

    if (elment.innerText.length === cursorPosition) {
      return true;
    } else {
      return false;
    }
  } else {
    return false;
  }
}

function getCursorIndex() {
  if (!window.getSelection) return;
  var selection = window.getSelection();
  return selection == null ? void 0 : selection.focusOffset;
}

function isMobile() {
  var regex_match = /(nokia|iphone|android|motorola|^mot-|softbank|foma|docomo|kddi|up.browser|up.link|htc|dopod|blazer|netfront|helio|hosin|huawei|novarra|CoolPad|webos|techfaith|palmsource|blackberry|alcatel|amoi|ktouch|nexian|samsung|^sam-|s[cg]h|^lge|ericsson|philips|sagem|wellcom|bunjalloo|maui|symbian|smartphone|midp|wap|phone|windows ce|iemobile|^spice|^bird|^zte-|longcos|pantech|gionee|^sie-|portalmmm|jigs browser|hiptop|^benq|haier|^lct|operas*mobi|opera*mini|320x320|240x320|176x220|Mobile)/i;
  var u = navigator.userAgent;

  if (null == u) {
    return true;
  }

  var result = regex_match.exec(u);

  if (null == result) {
    return false;
  } else {
    return true;
  }
} // 鼠标方向


function mouseDirection(element, e) {
  var dirs = ['top', 'right', 'bottom', 'left']; // 表示左上角和右下角及中心点坐标

  var x1, y1, x4, y4, x0, y0; // 表示左上角和右下角的对角线斜率

  var k; // 用getBoundingClientRect比较省事，而且它的兼容性还不错

  var rect = element.getBoundingClientRect();

  if (!rect.width) {
    rect.width = rect.right - rect.left;
  }

  if (!rect.height) {
    rect.height = rect.bottom - rect.top;
  } // 求各个点坐标 注意y坐标应该转换为负值，因为浏览器可视区域左上角为(0,0)，整个可视区域属于第四象限


  x1 = rect.left;
  y1 = -rect.top;
  x4 = rect.left + rect.width;
  y4 = -(rect.top + rect.height);
  x0 = rect.left + rect.width / 2;
  y0 = -(rect.top + rect.height / 2); // 矩形不够大，不考虑

  if (Math.abs(x1 - x4) < 0.0001) return dirs[4]; // 计算对角线斜率

  k = (y1 - y4) / (x1 - x4);
  var range = [k, -k]; // 表示鼠标当前位置的点坐标

  var x, y;
  x = e.clientX;
  y = -e.clientY; // 表示鼠标当前位置的点与元素中心点连线的斜率

  var kk;
  kk = (y - y0) / (x - x0); //如果斜率在range范围内，则鼠标是从左右方向移入移出的

  if (isFinite(kk) && range[0] < kk && kk < range[1]) {
    //根据x与x0判断左右
    return x > x0 ? dirs[1] : dirs[3];
  } else {
    //根据y与y0判断上下
    return y > y0 ? dirs[0] : dirs[2];
  }
} // 获取元素在屏幕中的位置

function isEmoji(str) {
  return str ? /(\ud83c[\udf00-\udfff])|(\ud83d[\udc00-\ude4f\ude80-\udeff])|[\u2600-\u2B55]/g.test(str) : false;
}

function countNodeDescendants(nodeMap, nodeId) {
  var count = 0;
  countNum(nodeId);

  function countNum(nodeId) {
    var node = nodeMap[nodeId];

    if (node) {
      var childKeys = node.sortList;
      count += childKeys.length;

      for (var index = 0; index < childKeys.length; index++) {
        var childKey = childKeys[index];
        countNum(childKey);
      }
    }
  }

  return count;
}

var urlReg = /(([\w-]{1,}\.+)+([a-zA-Z]+)(\/#\/)*\/*[\w\/\?=&%.]*)|(http:\/\/([\w-]{1,}\.+)+([a-zA-Z]+)(\/#\/)*\/*[\w\/\?=&%.]*)|(https:\/\/([\w-]{1,}\.+)+([a-zA-Z]+)(\/#\/)*\/*[\w\/\?=&%.]*)/g;
var rainbowColors = ['#fa6761', '#f7b370', '#f5db4d', '#32c995', '#6c87ff', '#706dcb'];
var lightRainbowColors = {
  '#fa6761': '#fed9d8',
  '#f7b370': '#fdecdb',
  '#f5db4d': '#fdf6d3',
  '#32c995': '#ccf2e5',
  '#6c87ff': '#dae1ff',
  '#706dcb': '#dbdbf2'
};
function createObjectUrl(content, type) {
  return window.URL.createObjectURL(new Blob(content, {
    type: type
  }));
}
function download(url, fileName) {
  var a = document.createElement('a');
  a.href = url;

  if (fileName) {
    a.download = fileName;
  } else {
    var reg = /([^\/]+)\.([^\/]+)$/i;
    var matchs = url.match(reg);
    a.download = matchs ? matchs[0] : 'file';
  }

  a.click();
}
function downloadSvgAsPng(svg, width, height, title) {
  var image = new Image();
  image.src = 'data:image/svg+xml;base64,' + window.btoa(unescape(encodeURIComponent(svg)));
  var canvas = document.createElement('canvas');
  canvas.width = width * 2;
  canvas.height = height * 2;
  var context = canvas.getContext('2d');
  return new Promise( /*#__PURE__*/function () {
    var _ref3 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(resolve, reject) {
      return runtime_1.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              try {
                image.onload = function () {
                  if (context) {
                    context.drawImage(image, 0, 0);
                    var a = document.createElement('a');
                    a.href = canvas.toDataURL('image/png');
                    a.download = title;
                    a.click();
                    resolve({
                      status: true
                    });
                  }
                };
              } catch (error) {
                reject(error);
              }

            case 1:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    return function (_x, _x2) {
      return _ref3.apply(this, arguments);
    };
  }());
}
/**
 * 图像转Base64
 */

function getBase64Image(img) {
  var canvas = document.createElement('canvas');
  canvas.width = img.width;
  canvas.height = img.height;
  var ctx = canvas.getContext('2d');

  if (ctx) {
    ctx.drawImage(img, 0, 0, img.width, img.height);
    var ext = img.src.substring(img.src.lastIndexOf('.') + 1).toLowerCase();
    var dataURL = canvas.toDataURL('image/' + ext);
    return dataURL;
  } else {
    return '';
  }
}

function getImgData(imgUrl) {
  var image = new Image();
  image.crossOrigin = 'Anonymous';
  image.src = imgUrl;
  return new Promise( /*#__PURE__*/function () {
    var _ref4 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(resolve, reject) {
      return runtime_1.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              try {
                image.onload = function () {
                  var base64 = getBase64Image(image);
                  resolve(base64);
                };
              } catch (error) {
                reject(error);
              }

            case 1:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2);
    }));

    return function (_x3, _x4) {
      return _ref4.apply(this, arguments);
    };
  }());
}
function downloadSvgAsPdf(svg, width, height, title) {
  var image = new Image();
  image.src = 'data:image/svg+xml;base64,' + window.btoa(unescape(encodeURIComponent(svg)));
  var canvas = document.createElement('canvas');
  canvas.width = width * 2;
  canvas.height = height * 2;
  var context = canvas.getContext('2d');
  return new Promise( /*#__PURE__*/function () {
    var _ref5 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(resolve, reject) {
      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              try {
                image.onload = function () {
                  if (context) {
                    context.drawImage(image, 0, 0);
                    var imageData = canvas.toDataURL('image/png');
                    var doc = new jspdf.jsPDF(width > height ? 'landscape' : 'portrait', 'px', [width, height]);
                    doc.addImage(imageData, 'JPEG', 0, 0, width, height);
                    doc.save(title + ".pdf");
                    resolve({
                      status: true
                    });
                  }
                };
              } catch (error) {
                reject(error);
              }

            case 1:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3);
    }));

    return function (_x5, _x6) {
      return _ref5.apply(this, arguments);
    };
  }());
}

var Add = function Add(_ref) {
  var node = _ref.node,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      rectHeight = _ref.rectHeight,
      _ref$position = _ref.position,
      position = _ref$position === void 0 ? 'right' : _ref$position,
      PATH_COLOR = _ref.PATH_COLOR,
      handleAddChild = _ref.handleAddChild;

  function getX(pos) {
    var diff = 2;

    switch (pos) {
      case 'right':
        return node.x + node.width + 2 * diff;

      case 'left':
        return node.x - 20 - diff;

      case 'leftBottom':
        return node.x - 5;

      case 'bottomCenter':
        return node.x + node.width / 2 - 10;

      default:
        return node.x;
    }
  }

  function getY(pos, radius) {
    var diff = 2;
    var y = 0;

    switch (pos) {
      case 'right':
      case 'left':
        y = node.y + BLOCK_HEIGHT / 2 - radius;
        break;

      case 'leftBottom':
      case 'bottomCenter':
        y = node.y + rectHeight + diff;
        break;

      default:
        y = node.y + rectHeight / 2 - radius;
        break;
    }

    return y;
  }

  function getPath(position) {
    switch (position) {
      case 'right':
        return "M " + (node.x + node.width) + " " + getY(position, 0) + " H " + (getX(position) + 2);

      case 'left':
        return "M " + node.x + " " + getY(position, 0) + " H " + (getX(position) + 3);

      case 'leftBottom':
        return "M " + (getX(position) + 10) + " " + (node.y + rectHeight) + " V " + (node.y + rectHeight + 4);

      case 'bottomCenter':
        return "M " + (node.x + node.width / 2) + " " + (node.y + BLOCK_HEIGHT) + " V " + (node.y + BLOCK_HEIGHT + 4);

      default:
        return '';
    }
  }

  return node.x && node.y ? React__default.createElement("g", null, React__default.createElement("g", null, React__default.createElement("path", {
    d: getPath(position),
    fill: "none",
    stroke: PATH_COLOR,
    strokeWidth: 1
  }), React__default.createElement("use", {
    className: "add-action",
    key: "add",
    href: "#add",
    x: getX(position),
    y: getY(position, 10),
    onClick: function onClick(e) {
      e.stopPropagation();
      handleAddChild();
    }
  }))) : null;
};

var now = /*#__PURE__*/new Date(new Date().setHours(0, 0, 0, 0)).getTime(); // let timer: NodeJS.Timeout;

var TreeNode = function TreeNode(_ref) {
  var _node$texts, _node$texts2, _node$texts3, _node$texts4, _node$texts5;

  var node = _ref.node,
      startId = _ref.startId,
      topBottomMargin = _ref.topBottomMargin,
      lineHeight = _ref.lineHeight,
      FONT_SIZE = _ref.FONT_SIZE,
      avatarRadius = _ref.avatarRadius,
      color = _ref.color,
      alias = _ref.alias,
      selected = _ref.selected,
      selectedNodes = _ref.selectedNodes,
      showIcon = _ref.showIcon,
      showAvatar = _ref.showAvatar,
      selectedColor = _ref.selectedColor,
      singleColumn = _ref.singleColumn,
      hideBorder = _ref.hideBorder,
      dotColor = _ref.dotColor,
      hoverBorderColor = _ref.hoverBorderColor,
      selectedBorderColor = _ref.selectedBorderColor,
      treeBackgroundColor = _ref.treeBackgroundColor,
      startNodeBg = _ref.startNodeBg,
      nodeColor = _ref.nodeColor,
      customAdornment = _ref.customAdornment,
      disabled = _ref.disabled,
      handleCheck = _ref.handleCheck,
      handleClickAvatar = _ref.handleClickAvatar,
      handleClickStatus = _ref.handleClickStatus,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      clickPreview = _ref.clickPreview,
      updateDragInfo = _ref.updateDragInfo,
      handleDragStart = _ref.handleDragStart,
      dragStarted = _ref.dragStarted,
      handleClickDot = _ref.handleClickDot,
      handleExpand = _ref.handleExpand,
      dragEndFromOutside = _ref.dragEndFromOutside,
      mouseEnterAvatar = _ref.mouseEnterAvatar,
      mouseLeaveAvatar = _ref.mouseLeaveAvatar,
      bottomOptions = _ref.bottomOptions,
      hideHour = _ref.hideHour,
      handleFileChange = _ref.handleFileChange,
      onContextMenu = _ref.onContextMenu,
      onClickNodeImage = _ref.onClickNodeImage,
      onResizeImage = _ref.onResizeImage,
      handleAddChild = _ref.handleAddChild,
      handleAddNext = _ref.handleAddNext;

  var _useState = React.useState(false),
      hover = _useState[0],
      sethover = _useState[1];

  var _useState2 = React.useState(false),
      dragIn = _useState2[0],
      setDragIn = _useState2[1];

  var _useState3 = React.useState(false),
      mouseDown = _useState3[0],
      setMouseDown = _useState3[1];

  var _useState4 = React.useState(0),
      clickX = _useState4[0],
      setclickX = _useState4[1];

  var _useState5 = React.useState(0),
      clickY = _useState5[0],
      setclickY = _useState5[1]; // const [hoverMore, setHoverMore] = useState(false);


  var _useState6 = React.useState(0),
      y = _useState6[0],
      setY = _useState6[1];

  var _useState7 = React.useState(false),
      hoverImage = _useState7[0],
      setHoverImage = _useState7[1];

  var blockHeight = topBottomMargin * 2 + lineHeight;
  var textHeight = topBottomMargin * 2 + (((_node$texts = node.texts) == null ? void 0 : _node$texts.length) || 1) * lineHeight;
  var imageHeight = node.imageUrl && node.imageWidth && node.imageHeight ? node.imageHeight + 15 / 2 : 0;
  var bottomAdornmentHeight = node.bottomAdornmentHeight && node.bottomAdornment ? node.bottomAdornmentHeight : 0;
  var rectHeight = textHeight + imageHeight + bottomAdornmentHeight;
  var iconIsEmoji = React.useMemo(function () {
    return isEmoji(node.icon);
  }, [node.icon]);
  var limitDayNum = node.limitDay ? node.limitDay - now > 0 ? Math.floor((node.limitDay - now) / 86400000) : Math.floor((node.limitDay - now) / 86400000) - 1 : 0;
  var lastX = 0;
  var gapTime = 166.66;
  var lastTime = 0;
  var width = 0;
  var pasteType = localStorage.getItem('pasteType');
  var pasteNodeKey = pasteType === 'cut' ? localStorage.getItem('pasteNodeKey') : null;

  function handleMouseEnter(e) {
    var crossCompDragId = sessionStorage.getItem('cross-comp-drag');
    sethover(true);
    setY(e.clientY);

    if (dragStarted) {
      updateDragInfo({
        dropNodeId: node._key,
        placement: 'in'
      });
    }

    if (crossCompDragId) {
      sessionStorage.setItem('cross-comp-drop', node._key);
    }
  }

  function handleMouseLeave(e) {
    sethover(false);

    if (dragStarted) {
      updateDragInfo({
        dropNodeId: node._key,
        placement: e.clientY - y > 0 ? 'down' : 'up'
      });
    }

    if (mouseDown) {
      handleDragStart(node, clickX, clickY);
      setMouseDown(false);
    }
  } // function handleMouseEnterMore() {
  //   setHoverMore(true);
  //   // timer = setTimeout(() => {
  //   //   openOptions(node);
  //   // }, 600);
  // }
  // function handleMouseLeaveMore() {
  //   setHoverMore(false);
  //   // clearTimeout(timer);
  // }


  function handleClickPreview() {
    clickPreview(node);
  }

  function handleDragEnter() {
    setDragIn(true);
  }

  function handleDragLeave() {
    setTimeout(function () {
      setDragIn(false);
    }, 50);
  }

  function handleDragOver(event) {
    event.preventDefault();
  }

  function handleDragEnd(event) {
    event.preventDefault();
    var files = event.dataTransfer.files;

    if (files.length && handleFileChange) {
      handleFileChange(node._key, node.name, files);
    } else {
      setDragIn(false);

      if (dragEndFromOutside) {
        dragEndFromOutside(node, event.dataTransfer.getData('text/plain'));
      }
    }
  }

  function rectClassName(node) {
    // 选中的节点
    if (selected === node._key || selectedNodes.findIndex(function (item) {
      return item._key === node._key;
    }) !== -1) {
      return 'selected';
    } else if ( // 有边框的节点
    !hideBorder && (node.father === startId || node._key === startId)) {
      return 'border-rect';
    } else return '';
  }

  function handleMouseEnterAvatar() {
    if (mouseEnterAvatar) {
      mouseEnterAvatar(node);
    }
  }

  function handleMouseLeaveAvatar() {
    if (mouseLeaveAvatar) {
      mouseLeaveAvatar(node);
    }
  }

  function location(node, type) {
    return nodeLocation(node, type, blockHeight, showIcon, showAvatar, avatarRadius, false);
  }

  function handleClickLink(type, url) {
    if (type === 'link') {
      if (url.includes('http')) {
        window.open(url, '_blank');
      } else {
        window.open("http://" + url, '_blank');
      }
    }
  }

  function handleClickImage(event) {
    event.stopPropagation();

    if (onClickNodeImage) {
      onClickNodeImage(node.imageUrl);
    } else {
      var _node$imageUrl;

      if ((_node$imageUrl = node.imageUrl) != null && _node$imageUrl.startsWith('data:image/')) {
        var img = new window.Image();
        img.src = node.imageUrl;
        var newWin = window.open('');

        if (newWin) {
          newWin.document.write(img.outerHTML);
          newWin.document.title = node.name;
          newWin.document.close();
        }
      } else {
        window.open(node.imageUrl, '_blank');
      }
    }
  }

  function handleContextMenu(event) {
    if (onContextMenu) {
      event.preventDefault();
      onContextMenu(node._key, event);
    }
  }

  function handleMouseEnterImage() {
    setHoverImage(true);
  }

  function handleMouseLeaveImage() {
    setHoverImage(false);
  }

  function handleStartResizeImage(e) {
    e.stopPropagation();
    lastX = e.clientX;
    width = node.imageWidth || 0;
    window.addEventListener('mousemove', mouseMoveHandle);
    window.addEventListener('mouseup', mouseUpHandle);
  }

  function mouseMoveHandle(e) {
    var time = new Date().getTime();

    if (time - lastTime > gapTime || !lastTime) {
      var diffX = e.clientX - lastX;
      lastX = e.clientX; // if (width.value + diffX > 100) {
      //   width.value += diffX;
      // }

      if (width + diffX > 100) {
        width += diffX;
        onResizeImage(node._key, width);
      }

      lastTime = time;
    }
  }

  function mouseUpHandle() {
    window.removeEventListener('mousemove', mouseMoveHandle);
    window.removeEventListener('mouseup', mouseUpHandle);
  }

  var textLocationRes = location(node, 'text');
  var circleLocationRes = location(node, 'avatar');
  var checkLocationRes = location(node, 'checkbox');
  var statusLocationRes = location(node, 'status');
  var iconLocationRes = location(node, 'icon');
  var favoriteLocationRes = location(node, 'favorite');
  var packLocationRes = location(node, 'pack');
  var startAdornmentLocationRes = location(node, 'startAdornment');
  var singleRowLinks = React.useMemo(function () {
    if (!node.texts && urlReg.test(node.name)) {
      var name = node.name;
      var matchList = name.match(urlReg);
      if (!matchList) return undefined;
      var arr = name.replace(urlReg, '!@#').split(/(!@#)/);
      var matchListIndex = 0;
      var links = [];

      for (var index = 0; index < arr.length; index++) {
        var element = arr[index];

        if (element === '!@#') {
          links.push({
            text: matchList[matchListIndex],
            type: 'link'
          });
          matchListIndex++;
        } else {
          links.push({
            text: element,
            type: 'text'
          });
        }
      }

      return links;
    } else {
      return undefined;
    }
  }, [node.name]);
  var nodeRectClassName = rectClassName(node);
  var backgroundColor = node.backgroundColor ? node.backgroundColor : node._key === startId ? startNodeBg : nodeColor || '#f0f0f0';

  if (node.name === '1.1. Element') {
    console.log('------1.1. Element------', backgroundColor, nodeColor);
  }

  if (urlReg.test(node.name)) {
    var arr1 = [];
    var matchList = node.name.match(urlReg);

    if (matchList) {
      var tempText = node.name;
      var textList = [];

      for (var index = 0; index < matchList.length; index++) {
        var element = matchList[index];
        tempText = tempText.replace(element, '!@#');
      }

      textList = tempText.split('!@#');

      for (var _index = 0; _index < textList.length; _index++) {
        var text = textList[_index];
        arr1.push(text);

        if (matchList[_index]) {
          arr1.push(matchList[_index]);
        }
      }
    }

    var marginLeft = 0;

    if (arr1 && arr1.length) {
      for (var _index2 = 0; _index2 < arr1.length; _index2++) {
        var name = arr1[_index2];

        if (_index2 !== 0) {
          marginLeft += textWidthAll(FONT_SIZE, arr1[_index2 - 1]);
        }

        var type = urlReg.test(name) ? 'link' : 'text';
      }
    }
  }

  var nodeRectStyle = {};

  if (dragStarted && hover || dragIn) {
    nodeRectStyle = {
      fill: backgroundColor,
      fillOpacity: 0.5,
      stroke: selectedBorderColor,
      strokeWidth: 2
    };
  } else {
    switch (nodeRectClassName) {
      case 'border-rect':
        nodeRectStyle = {
          fill: backgroundColor,
          stroke: hover ? hoverBorderColor : 'unset',
          strokeWidth: 2
        };
        break;

      case 'selected':
        nodeRectStyle = {
          fill: backgroundColor,
          stroke: selectedBorderColor,
          strokeWidth: 2,
          fillOpacity: pasteNodeKey && pasteNodeKey === node._key ? 0.4 : 1,
          strokeOpacity: pasteNodeKey && pasteNodeKey === node._key ? 0.4 : 1
        };
        break;

      default:
        nodeRectStyle = {
          fill: backgroundColor,
          // fillOpacity: node.backgroundColor ? 1 : 0,
          stroke: hover ? hoverBorderColor : 'unset',
          strokeWidth: 2
        };
        break;
    }
  }

  var normalTextColor = color;
  var totalButtonWidth = 2;
  return node.x && node.y ? React__default.createElement("g", {
    id: "tree-node-" + node._key,
    className: "tree-node",
    onClick: function onClick() {
      return handleClickNode(node);
    },
    onDoubleClick: function onDoubleClick() {
      return handleDbClickNode(node);
    },
    // onMouseDown={(e: React.MouseEvent) => handleDragStart(node, e)}
    onMouseDown: function onMouseDown(e) {
      if (e.button === 0) {
        e.stopPropagation();
        setMouseDown(true);
        setclickX(e.clientX);
        setclickY(e.clientY);
      }
    },
    onMouseUp: function onMouseUp() {
      return setMouseDown(false);
    },
    onMouseMove: function onMouseMove(e) {
      if (mouseDown) {
        e.stopPropagation();
      }
    },
    onMouseEnter: handleMouseEnter,
    onMouseLeave: handleMouseLeave,
    onContextMenu: handleContextMenu,
    onDragEnter: handleDragEnter,
    onDragLeave: handleDragLeave,
    onDragOver: handleDragOver,
    onDrop: handleDragEnd,
    style: {
      position: 'relative'
    }
  }, React__default.createElement("rect", {
    x: node.x - 10,
    y: node.y,
    width: node.name ? node.width + totalButtonWidth + 20 : 100 + 20,
    height: rectHeight + 10,
    fillOpacity: 0
  }), React__default.createElement("rect", {
    className: "node-rect " + (selected === node._key ? 'selected' : ''),
    x: node.x,
    y: node.y,
    rx: 4,
    ry: 4,
    width: node.width,
    height: rectHeight,
    // filter={
    //   nodeRectClassName !== 'selected' &&
    //   node.father === startId &&
    //   !node.backgroundColor
    //     ? 'url(#filterShadow)'
    //     : 'unset'
    // }
    style: _extends({}, nodeRectStyle)
  }), node.isPack ? React__default.createElement("use", {
    key: "pack",
    href: "#pack",
    width: "22",
    height: "22",
    x: packLocationRes == null ? void 0 : packLocationRes.x,
    y: packLocationRes == null ? void 0 : packLocationRes.y
  }) : null, node.hasCollect ? React__default.createElement("use", {
    key: "favorite",
    href: "#favorite",
    width: "22",
    height: "22",
    x: favoriteLocationRes == null ? void 0 : favoriteLocationRes.x,
    y: favoriteLocationRes == null ? void 0 : favoriteLocationRes.y
  }) : null, showIcon && node.icon ? iconIsEmoji ? React__default.createElement("text", {
    x: iconLocationRes == null ? void 0 : iconLocationRes.x,
    y: iconLocationRes == null ? void 0 : iconLocationRes.emojiY,
    dominantBaseline: "middle",
    fontSize: "18px"
  }, node.icon) : React__default.createElement("image", {
    key: "avatar-image",
    x: iconLocationRes == null ? void 0 : iconLocationRes.x,
    y: iconLocationRes == null ? void 0 : iconLocationRes.y,
    width: "22",
    height: "22",
    href: node.icon,
    style: {
      cursor: 'pointer'
    },
    onClick: handleClickPreview
  }) : null, showAvatar && node.avatarUri ? React__default.createElement("g", {
    onClick: function onClick(event) {
      return handleClickAvatar(node, event);
    },
    onMouseEnter: handleMouseEnterAvatar,
    onMouseLeave: handleMouseLeaveAvatar,
    viewBox: "0,0," + avatarRadius * 2 + "," + avatarRadius * 2
  }, React__default.createElement("clipPath", {
    id: alias + "-avatar-clip-" + node._key
  }, React__default.createElement("circle", {
    cx: circleLocationRes ? circleLocationRes.x + avatarRadius : 0,
    cy: circleLocationRes ? circleLocationRes.y + avatarRadius : 0,
    r: avatarRadius
  })), React__default.createElement("image", {
    x: circleLocationRes == null ? void 0 : circleLocationRes.x,
    y: circleLocationRes == null ? void 0 : circleLocationRes.y,
    width: avatarRadius * 2,
    height: avatarRadius * 2,
    href: node.avatarUri,
    clipPath: "url(#" + alias + "-avatar-clip-" + node._key + ")",
    preserveAspectRatio: "xMidYMid slice"
  })) : null, node.showCheckbox ? React__default.createElement("use", {
    key: "checkbox",
    href: "#checkbox-" + (node.checked ? 'checked' : 'uncheck'),
    x: checkLocationRes == null ? void 0 : checkLocationRes.x,
    y: checkLocationRes == null ? void 0 : checkLocationRes.y,
    onClick: function onClick(event) {
      return handleCheck(node, event);
    }
  }) : null, node.showStatus ? React__default.createElement("g", {
    onClick: function onClick(event) {
      return handleClickStatus(node, event);
    }
  }, !hideHour ? React__default.createElement("use", {
    href: "#status" + (limitDayNum && limitDayNum < 0 ? node.checked ? '-complete' : '-overdue' : ''),
    x: statusLocationRes == null ? void 0 : statusLocationRes.x,
    y: statusLocationRes == null ? void 0 : statusLocationRes.y
  }) : React__default.createElement("use", {
    href: "#status-onlyday" + (limitDayNum && limitDayNum < 0 ? node.checked ? '-complete' : '-overdue' : ''),
    x: statusLocationRes == null ? void 0 : statusLocationRes.x,
    y: statusLocationRes == null ? void 0 : statusLocationRes.y
  }), React__default.createElement("g", {
    fill: "#fff",
    textAnchor: "middle",
    dominantBaseline: "middle"
  }, React__default.createElement("text", {
    x: statusLocationRes ? !hideHour ? statusLocationRes.x + 9 : statusLocationRes.x + 11 : 0,
    y: statusLocationRes ? !hideHour ? statusLocationRes.y + 15 : statusLocationRes.y + 11 : 0,
    fontSize: "10",
    style: {
      userSelect: 'none'
    }
  }, node.limitDay ? Math.abs(limitDayNum) > 99 ? '99+' : Math.abs(limitDayNum) : '∞'), !hideHour ? React__default.createElement("text", {
    x: statusLocationRes ? statusLocationRes.x + 15 : 0,
    y: statusLocationRes ? statusLocationRes.y + 6 : 0,
    fontSize: "8",
    style: {
      userSelect: 'none'
    }
  }, node.hour ? node.hour > 9 ? '9+' : node.hour : '-') : null)) : null, node.startAdornment && node.startAdornmentWidth && node.startAdornmentHeight ? React__default.createElement("g", {
    style: {
      pointerEvents: dragIn ? 'none' : undefined
    }
  }, React__default.createElement(node.startAdornment, {
    x: (startAdornmentLocationRes == null ? void 0 : startAdornmentLocationRes.x) || 0,
    y: (startAdornmentLocationRes == null ? void 0 : startAdornmentLocationRes.y) || 0,
    nodeKey: node._key
  })) : null, React__default.createElement("text", {
    className: "node-text " + (selected === node._key ? 'selected' : ''),
    x: textLocationRes == null ? void 0 : textLocationRes.x,
    y: textLocationRes == null ? void 0 : textLocationRes.y,
    dominantBaseline: "middle",
    fontSize: FONT_SIZE,
    style: {
      fill: node.textDecoration === 'line-through' ? '#999' : nodeRectClassName === 'selected' && !node.color && node._key !== startId ? selectedColor || '#000000' : node._key === startId ? '#FFF' : node.color ? node.color : normalTextColor,
      fillOpacity: pasteNodeKey && pasteNodeKey === node._key ? 0.4 : 1,
      // fontFamily: "'Microsoft YaHei', sans-serif",
      userSelect: 'none',
      textDecoration: node.textDecoration,
      fontWeight: node.bold ? 'bold' : 'normal',
      fontStyle: node.italic ? 'italic' : 'unset',
      pointerEvents: dragIn ? 'none' : undefined
    }
  }, node.texts ? node.texts.map(function (text, index) {
    return React__default.createElement("tspan", {
      key: index,
      x: textLocationRes == null ? void 0 : textLocationRes.x,
      dy: index === 0 ? undefined : lineHeight
    }, text);
  }) : singleRowLinks ? singleRowLinks.map(function (item, index) {
    return React__default.createElement("tspan", {
      key: index,
      fill: item.type === 'link' ? selectedBorderColor : undefined,
      onClick: function onClick() {
        return handleClickLink(item.type, item.text);
      }
    }, item.text);
  }) : node.name), node.endAdornment && node.endAdornmentWidth && node.endAdornmentHeight ? React__default.createElement("g", {
    style: {
      pointerEvents: dragIn ? 'none' : undefined
    }
  }, React__default.createElement(node.endAdornment, {
    x: node.x + node.width - node.endAdornmentWidth - 5,
    y: node.y + (topBottomMargin * 2 + lineHeight - (node.endAdornmentHeight || 0)) / 2,
    nodeKey: node._key
  })) : null, node.bottomAdornment && node.bottomAdornmentWidth && node.bottomAdornmentHeight ? React__default.createElement("g", {
    style: {
      pointerEvents: dragIn ? 'none' : undefined
    }
  }, React__default.createElement(node.bottomAdornment, {
    x: node.x,
    y: node.y + rectHeight - bottomAdornmentHeight,
    nodeKey: node._key
  })) : null, customAdornment && customAdornment({
    x: node.x,
    y: node.y,
    height: rectHeight,
    nodeKey: node._key
  }), node.imageUrl && node.imageWidth && node.imageHeight ? React__default.createElement("g", {
    onMouseEnter: handleMouseEnterImage,
    onMouseLeave: handleMouseLeaveImage
  }, hoverImage ? [React__default.createElement("rect", {
    key: "image-hover-rect",
    x: (node == null ? void 0 : node.x) + 15 / 2,
    y: ((node == null ? void 0 : node.y) || 0) + topBottomMargin + (((_node$texts2 = node.texts) == null ? void 0 : _node$texts2.length) || 1) * lineHeight,
    width: node.imageWidth,
    height: node.imageHeight,
    stroke: selectedBorderColor,
    strokeWidth: 2,
    fillOpacity: 0
  }), React__default.createElement("rect", {
    key: "image-rect",
    x: (node == null ? void 0 : node.x) + 15 / 2,
    y: ((node == null ? void 0 : node.y) || 0) + topBottomMargin + (((_node$texts3 = node.texts) == null ? void 0 : _node$texts3.length) || 1) * lineHeight,
    width: node.imageWidth + 5,
    height: node.imageHeight + 5,
    fillOpacity: 0
  })] : null, React__default.createElement("image", {
    x: (node == null ? void 0 : node.x) + 15 / 2,
    y: ((node == null ? void 0 : node.y) || 0) + topBottomMargin + (((_node$texts4 = node.texts) == null ? void 0 : _node$texts4.length) || 1) * lineHeight,
    width: node.imageWidth,
    height: node.imageHeight,
    href: node.imageUrl,
    style: {
      cursor: 'pointer'
    },
    onClick: handleClickImage
  }), hoverImage ? React__default.createElement("rect", {
    key: "drag-handle",
    x: (node == null ? void 0 : node.x) + 15 / 2 + node.imageWidth - 4,
    y: node.y + topBottomMargin + (((_node$texts5 = node.texts) == null ? void 0 : _node$texts5.length) || 1) * lineHeight + node.imageHeight - 4,
    width: 8,
    height: 8,
    stroke: selectedBorderColor,
    strokeWidth: 2,
    // fillOpacity={0}
    fill: "#FFF",
    style: {
      cursor: 'nwse-resize'
    },
    onMouseDown: handleStartResizeImage
  }) : null) : null, node._key !== startId ? React__default.createElement(Dot, {
    node: node,
    BLOCK_HEIGHT: blockHeight,
    handleClick: handleClickDot,
    dragStarted: dragStarted,
    // nodeHover={hover}
    color: dotColor,
    position: node.toLeft ? 'right' : 'left'
  }) : null, node.contract || hover && (node._key !== selected || disabled) ? React__default.createElement(Expand, {
    node: node,
    BLOCK_HEIGHT: blockHeight,
    rectHeight: rectHeight,
    backgroundColor: treeBackgroundColor === 'unset' ? '#FFF' : treeBackgroundColor,
    handleClickExpand: function handleClickExpand() {
      return handleExpand(node);
    },
    position: bottomOptions ? node.toLeft ? 'left' : 'right' : node._key === startId && !singleColumn ? 'bottomCenter' : 'leftBottom',
    PATH_COLOR: dotColor
  }) : null, node._key === selected && !node.contract && !disabled ? React__default.createElement(Add, {
    node: node,
    BLOCK_HEIGHT: blockHeight,
    rectHeight: rectHeight,
    position: bottomOptions ? node.toLeft ? 'left' : 'right' : node._key === startId && !singleColumn ? 'bottomCenter' : 'leftBottom',
    PATH_COLOR: dotColor,
    handleAddChild: handleAddChild,
    handleAddNext: handleAddNext
  }) : null) : null;
};

function ClickOutside(_ref) {
  var style = _ref.style,
      onClickOutside = _ref.onClickOutside,
      children = _ref.children;

  var _useState = React.useState(false),
      isTouch = _useState[0],
      setisTouch = _useState[1];

  var containerRef = React.useRef(null);

  function handle(e) {
    if (e.type === 'touchend') setisTouch(true);
    if (e.type === 'click' && isTouch) return;
    var el = containerRef.current;
    if (el && !el.contains(e.target)) onClickOutside(e);
  }

  React.useEffect(function () {
    document.addEventListener('touchend', handle, true);
    document.addEventListener('click', handle, true);
    document.addEventListener('contextmenu', handle, true);
    return function () {
      document.removeEventListener('touchend', handle, true);
      document.removeEventListener('click', handle, true);
      document.removeEventListener('contextmenu', handle, true);
    };
  }, []);
  var propsStyle = style || {};
  return React__default.createElement("div", {
    ref: containerRef,
    style: _extends({}, {
      width: 'fit-content'
    }, propsStyle)
  }, children);
}

var composing = false;

var NodeInput = function NodeInput(_ref) {
  var selectedId = _ref.selectedId,
      nodeList = _ref.nodeList,
      topBottomMargin = _ref.topBottomMargin,
      lineHeight = _ref.lineHeight,
      FONT_SIZE = _ref.FONT_SIZE,
      showIcon = _ref.showIcon,
      showAvatar = _ref.showAvatar,
      avatarRadius = _ref.avatarRadius,
      startId = _ref.startId,
      startNodeBg = _ref.startNodeBg,
      textMaxWidth = _ref.textMaxWidth,
      selectedBorderColor = _ref.selectedBorderColor,
      quickCommandKey = _ref.quickCommandKey,
      nodeColor = _ref.nodeColor,
      inputEmpty = _ref.inputEmpty,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleFileChange = _ref.handleFileChange,
      handleQuickCommandOpen = _ref.handleQuickCommandOpen;
  var inputRef = React.useRef(null);

  var _useState = React.useState(''),
      value = _useState[0],
      setValue = _useState[1];

  var _useState2 = React.useState(null),
      selected = _useState2[0],
      setSelected = _useState2[1];

  var _useState3 = React.useState(1),
      rows = _useState3[0],
      setRows = _useState3[1];

  var _useState4 = React.useState(50),
      inputWidth = _useState4[0],
      setInputWidth = _useState4[1];

  React.useEffect(function () {
    if (selected) {
      var _selected$texts;

      setRows(((_selected$texts = selected.texts) == null ? void 0 : _selected$texts.length) || 1);
      setInputWidth(selected.texts ? textMaxWidth : textWidthAll(FONT_SIZE || 14, selected.name || 'untitled'));
      inputRef.current.value = '';

      if (!inputEmpty) {
        inputRef.current.value = selected.name;
      }
    } else {
      setInputWidth(50);
    }
  }, [selected]);

  function handleCommit(e) {
    if (composing) {
      return;
    }

    if ((e.key === 'Enter' || e.key === 'Tab') && e.shiftKey) {
      return;
    }

    if (quickCommandKey && e.key === quickCommandKey) {
      if (handleQuickCommandOpen && selectedId && !value) {
        var el = document.getElementById("tree-node-" + selectedId);

        if (el) {
          return handleQuickCommandOpen(el);
        }
      }
    }

    if ((e.key === 'Enter' || e.key === 'Tab') && selected) {
      handleChangeNodeText(selected._key, value.replaceAll("'", ''));
    }
  }

  var handleClickoutside = function handleClickoutside() {
    if (selectedId && inputRef && inputRef.current) {
      handleChangeNodeText(selectedId, inputRef.current.value);
    }
  };

  var handlePaste = function handlePaste(event) {
    if (event.clipboardData.files.length && handleFileChange && selectedId) {
      event.preventDefault();
      var files = event.clipboardData.files;
      handleFileChange(selectedId, value, files);
    }
  };

  var handleCompositionStart = function handleCompositionStart() {
    composing = true;
  };

  var handleCompositionEnd = function handleCompositionEnd() {
    composing = false;
  };

  var handleChange = function handleChange(val) {
    var res = getTextWidth(val || 'untitled', textMaxWidth, FONT_SIZE || 14, selected == null ? void 0 : selected.bold);
    setInputWidth(res.width + 12);
    setRows(res.texts.length || 1); // const width = textWidthAll(FONT_SIZE || 14, val);
    // if (width > textMaxWidth) {
    //   setInputWidth(textMaxWidth);
    //   const texts = splitTextIntoParagraphs(val, textMaxWidth, FONT_SIZE || 14);
    //   setRows(texts.length);
    // } else {
    //   setInputWidth(width + 8);
    // }

    setValue(val);
  };

  React.useEffect(function () {
    for (var index = 0; index < nodeList.length; index++) {
      var node = nodeList[index];

      if (node._key === selectedId) {
        setSelected(node);
        setValue(node.name);
        break;
      }
    }
  }, [selectedId, nodeList]);
  var left = 0;
  var top = 0;

  if (selected) {
    top = selected.y;
    var textX = nodeLocation(selected, 'text', topBottomMargin * 2 + lineHeight, showIcon, showAvatar, avatarRadius, true);

    if (selected.toLeft && !selected.name) {
      // left = textX ? textX.x + 85 : selected.x + 85;
      left = textX ? textX.x : selected.x;
    } else {
      left = textX ? textX.x : selected.x;
      top = top;
    }
  }

  return React__default.createElement(ClickOutside, {
    onClickOutside: handleClickoutside
  }, selected ? React__default.createElement("div", {
    style: {
      position: 'absolute',
      top: top - 1 + "px",
      left: selected.x - 1 + "px",
      minWidth: selected.width + 2 + "px",
      backgroundColor: // selected._key === startId
      //   ? '#CB1B45'
      //   : nodeColor || selected.backgroundColor || '#f0f0f0',
      selected.backgroundColor ? selected.backgroundColor : selected._key === startId ? startNodeBg : nodeColor || '#f0f0f0',
      paddingLeft: left - selected.x + "px",
      borderRadius: '4px',
      border: "2px solid " + selectedBorderColor,
      boxSizing: 'border-box'
    }
  }, React__default.createElement("textarea", {
    className: "node-input",
    style: {
      boxSizing: 'border-box',
      // border: '1px solid #000000',
      border: 'unset',
      // borderRadius: '4px',
      // padding: '0 5px',
      padding: 'unset',
      outline: 'none',
      width: (inputWidth < 50 ? 50 : inputWidth) + "px",
      // height: `${BLOCK_HEIGHT ? BLOCK_HEIGHT + 2 : 30}px`,
      fontSize: (FONT_SIZE || 14) + "px",
      fontFamily: 'inherit',
      fontWeight: 'inherit',
      color: selected._key === startId ? '#FFF' : selected.color,
      resize: 'none',
      lineHeight: lineHeight + "px",
      backgroundColor: 'inherit',
      wordBreak: 'break-all',
      overflow: 'hidden',
      marginTop: topBottomMargin + "px"
    },
    ref: inputRef,
    autoFocus: true,
    placeholder: "untitled",
    rows: rows,
    value: value,
    onChange: function onChange(e) {
      return handleChange(e.target.value);
    },
    onCompositionStart: handleCompositionStart,
    onCompositionEnd: handleCompositionEnd,
    onKeyDown: handleCommit,
    onMouseDown: function onMouseDown(e) {
      return e.stopPropagation();
    },
    onMouseMove: function onMouseMove(e) {
      return e.stopPropagation();
    },
    onContextMenu: function onContextMenu(e) {
      return e.stopPropagation();
    },
    onPaste: handlePaste
  })) : null);
};

var DragNode = function DragNode(_ref) {
  var nodeList = _ref.nodeList,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      FONT_SIZE = _ref.FONT_SIZE,
      avatarRadius = _ref.avatarRadius,
      alias = _ref.alias,
      showIcon = _ref.showIcon,
      showAvatar = _ref.showAvatar,
      movedNodeX = _ref.movedNodeX,
      movedNodeY = _ref.movedNodeY,
      dragInfo = _ref.dragInfo,
      mutilMode = _ref.mutilMode;

  var _useState = React.useState(null),
      node = _useState[0],
      setNode = _useState[1];

  React.useEffect(function () {
    for (var index = 0; index < nodeList.length; index++) {
      var _node = nodeList[index];

      if (_node._key === (dragInfo == null ? void 0 : dragInfo.dragNodeId)) {
        setNode(_node);
        break;
      }
    }
  }, [dragInfo, nodeList]);

  function location(node, type) {
    return nodeLocation(node, type, BLOCK_HEIGHT, showIcon, showAvatar, avatarRadius, true);
  }

  if (!node) {
    return null;
  }

  var textLocationRes = location(node, 'text');
  var circleLocationRes = location(node, 'avatar');
  var checkLocationRes = location(node, 'checkbox');
  var statusLocationRes = location(node, 'status');
  var iconLocationRes = location(node, 'icon');
  var backgroundColor = node.backgroundColor ? node.backgroundColor : '#FFF';
  return node.x && node.y ? React__default.createElement("g", {
    style: {
      pointerEvents: 'none'
    }
  }, dragInfo && dragInfo.placement !== 'in' ? React__default.createElement("line", {
    x1: node.x - 50 + movedNodeX,
    x2: node.x + node.width + 50 + movedNodeX,
    y1: node.y + BLOCK_HEIGHT / 2 + movedNodeY,
    y2: node.y + BLOCK_HEIGHT / 2 + movedNodeY,
    stroke: "#33A6B8",
    strokeWidth: 2
  }) : null, React__default.createElement("rect", {
    className: "node-rect",
    x: node.x + movedNodeX,
    y: node.y + movedNodeY,
    rx: 4,
    ry: 4,
    width: node.width,
    height: BLOCK_HEIGHT,
    style: {
      fill: backgroundColor,
      fillOpacity: 0.5,
      stroke: '#333333'
    }
  }), showIcon && node.icon ? React__default.createElement("image", {
    key: "avatar-image",
    x: iconLocationRes ? iconLocationRes.x + movedNodeX : 0,
    y: iconLocationRes ? iconLocationRes.y + movedNodeY : 0,
    width: "22",
    height: "22",
    href: node.icon
  }) : null, showAvatar && node.avatarUri ? [React__default.createElement("clipPath", {
    key: "avatar-path",
    id: alias + "-avatar-clip-" + node._key
  }, React__default.createElement("circle", {
    cx: circleLocationRes ? circleLocationRes.x + 11 + movedNodeX : 0,
    cy: circleLocationRes ? circleLocationRes.y + 11 + movedNodeY : 0,
    r: "11"
  })), React__default.createElement("image", {
    key: "avatar-image",
    x: circleLocationRes ? circleLocationRes.x + movedNodeX : 0,
    y: circleLocationRes ? circleLocationRes.y + movedNodeY : 0,
    width: "22",
    height: "22",
    href: node.avatarUri,
    clipPath: "url(#" + alias + "-avatar-clip-" + node._key + ")"
  })] : null, node.showCheckbox ? React__default.createElement("use", {
    key: "checkbox",
    href: "#checkbox-" + (node.checked ? 'checked' : 'uncheck'),
    x: checkLocationRes ? checkLocationRes.x + movedNodeX : 0,
    y: checkLocationRes ? checkLocationRes.y + movedNodeY : 0
  }) : null, node.showStatus ? [React__default.createElement("use", {
    key: "status",
    href: "#status" + (node.limitDay && node.limitDay < 0 ? node.checked ? '-complete' : '-overdue' : ''),
    x: statusLocationRes == null ? void 0 : statusLocationRes.x,
    y: statusLocationRes == null ? void 0 : statusLocationRes.y
  }), React__default.createElement("g", {
    key: "status-text",
    fill: "#fff",
    textAnchor: "middle",
    dominantBaseline: "middle"
  }, React__default.createElement("text", {
    x: statusLocationRes ? statusLocationRes.x + 11 + movedNodeX : 0,
    y: statusLocationRes ? statusLocationRes.y + 13 + movedNodeY : 0,
    fontSize: "10",
    fontWeight: "800"
  }, node.limitDay !== undefined ? Math.abs(node.limitDay) > 99 ? '99+' : Math.abs(node.limitDay) : '-'), React__default.createElement("text", {
    x: statusLocationRes ? statusLocationRes.x + 18 + movedNodeX : 0,
    y: statusLocationRes ? statusLocationRes.y + 5 + movedNodeY : 0,
    fontSize: "6",
    fontWeight: "800"
  }, node.hour ? node.hour > 9 ? '9+' : node.hour : '-'))] : null, React__default.createElement("text", {
    className: "node-text",
    x: textLocationRes ? textLocationRes.x + movedNodeX : 0,
    y: textLocationRes ? textLocationRes.y + movedNodeY : 0,
    dominantBaseline: "middle",
    fontSize: FONT_SIZE,
    style: {
      fill: node.color ? node.color : '#999',
      // fontFamily: "'Microsoft YaHei', sans-serif",
      userSelect: 'none'
    }
  }, mutilMode ? '多个节点' : node.shorted || node.name || '')) : null;
};

function calculate(nodes, startId, singleColumn, ITEM_HEIGHT, topBottomMargin, lineHeight, INDENT, FONT_SIZE, textMaxWidth, showIcon, showAvatar, avatarRadius, rootZoomRatio, secondZoomRatio, startX, startY, columnSpacing, collapseMode, expandedNodeKey, inputNodeKey, hideRoot, rainbowColor // showChildNum?: boolean
) {
  // nodes = JSON.parse(JSON.stringify(nodes));
  var BLOCK_HEIGHT = topBottomMargin * 2 + lineHeight;
  nodes = _.cloneDeep(nodes);
  var start_x = startX;
  var start_y = startY;
  var rainbowIndex = 0; // 根节点

  var root = nodes[startId];

  if (!root) {
    console.error("Can't find the root node");
    return;
  }

  var rootWidth = getNodeWidth(root, FONT_SIZE * rootZoomRatio, showIcon, showAvatar, avatarRadius, // showChildNum || false,
  false, textMaxWidth, inputNodeKey);
  root.width = rootWidth; // 是否是单列：参数单列或者根节点只有一个子节点为单列

  var isSingle = singleColumn || root.sortList && root.sortList.length === 1;
  var MAX_X = rootWidth;
  var MAX_Y = start_y + ITEM_HEIGHT * rootZoomRatio * 2;
  var MAX_END = rootWidth;
  var second_start_x;
  var second_end_x;
  var SECOND_START_NODE_ID;
  var SECOND_END_NODE_ID;
  var nodeList = [];
  var ancestorList = [];

  if (collapseMode && expandedNodeKey && nodes[expandedNodeKey]) {
    ancestorList = getAncestor(nodes[expandedNodeKey], nodes, true);
  } // 多列视图


  if (!isSingle) {
    if (!root.contract) {
      var _root$texts;

      var rootHeight = (((_root$texts = root.texts) == null ? void 0 : _root$texts.length) || 1) * BLOCK_HEIGHT * rootZoomRatio;

      if (root.imageUrl && root.imageHeight) {
        rootHeight += root.imageHeight + 15 / 2;
      }

      root.height = rootHeight;
      var secondLevel = getStarts(nodes, root);

      for (var index = 0; index < secondLevel.length; index++) {
        var element = secondLevel[index];
        var diffY = rootHeight + ITEM_HEIGHT * 2;

        if (index === 0) {
          SECOND_START_NODE_ID = element == null ? void 0 : element._key;
          location(nodes, element, start_x, start_y + diffY);
        } else {
          if (index + 1 === secondLevel.length) {
            SECOND_END_NODE_ID = element == null ? void 0 : element._key;
          }

          location(nodes, element, MAX_END + (columnSpacing ? columnSpacing : 55 * secondZoomRatio), start_y + diffY);
        }
      }
    }

    if (MAX_END === rootWidth) {
      MAX_END = MAX_END * 2;
    } // 根节点坐标


    if (second_start_x && second_end_x) {
      root.x = (second_end_x + second_start_x) / 2 - (root.width || 0) / 2;
    } else {
      // root.x = (MAX_END - (root.width || 0)) / 2;
      root.x = (MAX_END + startX - root.width) / 2;
    }

    root.y = start_y;
    nodeList.push(root);
  } else {
    // 单列视图
    if (rainbowColor) {
      root.backgroundColor = '#CB1B45';
    }

    location(nodes, root, start_x, start_y, '#CB1B45');
  } // let nodeList = [];
  // const keys = Object.keys(nodes);
  // for (let index = 0; index < keys.length; index++) {
  //   const key = keys[index];
  //   nodeList.push(nodes[key] as CNode);
  // }


  return {
    max_x: MAX_X,
    max_y: MAX_Y + ITEM_HEIGHT + startY,
    max_end: MAX_END + startX,
    second_start_x: second_start_x,
    second_end_x: second_end_x,
    isSingle: isSingle,
    nodes: nodeList
  };

  function getStarts(nodes, root) {
    var secondLevel = [];
    var childrenIds = root.sortList || [];

    for (var _index = 0; _index < childrenIds.length; _index++) {
      var _element = nodes[childrenIds[_index]];

      if (_element) {
        secondLevel.push(_element);
      } else {
        console.error("Can't find the node with the id " + childrenIds[_index]);
      }
    }

    return secondLevel;
  }

  function location(nodes, node, x, y, fatherRainbowColor, backgroundColor) {
    var childX = x;
    var childY = y;
    var lastChildY = y;
    var collapsed;
    var childrenIds = node.sortList || [];

    if (!(hideRoot && node._key === startId)) {
      // const shorted = getShortedStr(node.name);
      // if (shorted) {
      //   node.shorted = shorted;
      // }
      var nodeWidth = getNodeWidth(node, node._key === startId ? FONT_SIZE * rootZoomRatio : node.father === startId ? FONT_SIZE * secondZoomRatio : FONT_SIZE, showIcon, showAvatar, avatarRadius, // showChildNum || false,
      false, textMaxWidth, inputNodeKey);
      node.x = x;
      node.y = y;
      node.width = nodeWidth;
      childX = childX + INDENT; // 多行文字的情况

      if (node.texts && node.texts.length > 1) {
        var line_height = lineHeight;

        if (node._key === startId) {
          line_height = lineHeight * rootZoomRatio;
        } else if (node.father === startId) {
          line_height = lineHeight * secondZoomRatio;
        }

        childY += (node.texts.length - 1) * line_height;
        lastChildY += (node.texts.length - 1) * line_height;
      } // 节点有图片的情况


      if (node.imageUrl && node.imageHeight) {
        childY += node.imageHeight + 15 / 2;
        lastChildY += node.imageHeight + 15 / 2;

        if (childY > MAX_Y) {
          MAX_Y = childY;
        }
      } // 节点有bottomAdornment的情况


      if (node.bottomAdornment && node.bottomAdornmentHeight) {
        childY += node.bottomAdornmentHeight;
        lastChildY += node.bottomAdornmentHeight;

        if (childY > MAX_Y) {
          MAX_Y = childY;
        }
      } // 节点收缩的情况


      if (node.contract && node.sortList.length) {
        childY += 16 + 5;
      }

      if (childX > MAX_X) {
        MAX_X = childX;
      }

      if (MAX_END < node.x + nodeWidth) {
        MAX_END = node.x + nodeWidth;
      }

      if (node._key === SECOND_START_NODE_ID) {
        second_start_x = node.x + nodeWidth / 2;
      }

      if (node._key === SECOND_END_NODE_ID) {
        second_end_x = node.x + nodeWidth / 2;
      }

      if (hideRoot && node._key === startId) {
        collapsed = false;
      } else if (collapseMode) {
        if (expandedNodeKey && ancestorList.includes(node._key)) {
          collapsed = node.contract;
        } else {
          collapsed = true;
        }
      } else {
        collapsed = node.contract;
      }
    }

    if (rainbowColor) {
      if (node.father === startId) {
        node.backgroundColor = rainbowColors[rainbowIndex];

        if (rainbowIndex + 1 === rainbowColors.length) {
          rainbowIndex = 0;
        } else {
          rainbowIndex++;
        }
      }

      if (fatherRainbowColor) {
        node.pathColor = fatherRainbowColor;
      }

      if (backgroundColor) {
        node.backgroundColor = backgroundColor;
      }
    }

    if (!collapsed) {
      // 遍历子节点
      for (var _index2 = 0; _index2 < childrenIds.length; _index2++) {
        var _element2 = nodes[childrenIds[_index2]];

        if (!_element2) {
          console.error("Can't find the node with the id " + childrenIds[_index2]);
          continue;
        }

        var _diffY = void 0;

        if (_index2 === 0) {
          if (node._key === startId) {
            _diffY = ITEM_HEIGHT - BLOCK_HEIGHT * rootZoomRatio > 40 ? ITEM_HEIGHT : BLOCK_HEIGHT * rootZoomRatio + 40;
          } else if (node.father === startId) {
            _diffY = ITEM_HEIGHT - BLOCK_HEIGHT * secondZoomRatio > 8 ? ITEM_HEIGHT : BLOCK_HEIGHT * rootZoomRatio + 8;
          } else {
            _diffY = ITEM_HEIGHT;
          }
        } else {
          if (_element2._key === startId) {
            _diffY = ITEM_HEIGHT - BLOCK_HEIGHT * rootZoomRatio > 40 ? ITEM_HEIGHT : BLOCK_HEIGHT * rootZoomRatio + 40;
          } else if (_element2.father === startId) {
            _diffY = ITEM_HEIGHT - BLOCK_HEIGHT * secondZoomRatio > 8 ? ITEM_HEIGHT : BLOCK_HEIGHT * rootZoomRatio + 8;
          } else {
            _diffY = ITEM_HEIGHT;
          }
        }

        childY += _diffY + 5;
        lastChildY += _diffY + 5;
        childY = location(nodes, _element2, childX, childY, rainbowColor && node.father === startId ? node.backgroundColor : fatherRainbowColor, rainbowColor && node.father === startId ? // @ts-ignore
        lightRainbowColors[node.backgroundColor] : backgroundColor);

        if (childY > MAX_Y) {
          MAX_Y = childY;
        } // 非最后一个子节点


        if (_index2 + 1 !== childrenIds.length) {
          lastChildY = childY;
        }
      }
    }

    node.last_child_y = lastChildY;
    nodeList.push(node);
    return childY;
  }
}

var isMac = /*#__PURE__*/ /macintosh|mac os x/i.test(navigator.userAgent);
var spaceKeyDown = false; // 拖拽节流

var lastTime = 0;
var gapTime = 34;
var changed = false; // Please do not use types off of a default export module or else Storybook Docs will suffer.
// see: https://github.com/storybookjs/storybook/issues/9556

var Tree = /*#__PURE__*/React__default.forwardRef(function (_ref, ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      defaultSelectedId = _ref.defaultSelectedId,
      uncontrolled = _ref.uncontrolled,
      singleColumn = _ref.singleColumn,
      itemHeight = _ref.itemHeight,
      _ref$topBottomMargin = _ref.topBottomMargin,
      topBottomMargin = _ref$topBottomMargin === void 0 ? 5 : _ref$topBottomMargin,
      _ref$lineHeight = _ref.lineHeight,
      lineHeight = _ref$lineHeight === void 0 ? 20 : _ref$lineHeight,
      _ref$textMaxWidth = _ref.textMaxWidth,
      textMaxWidth = _ref$textMaxWidth === void 0 ? 300 : _ref$textMaxWidth,
      fontSize = _ref.fontSize,
      indent = _ref.indent,
      columnSpacing = _ref.columnSpacing,
      pathWidth = _ref.pathWidth,
      pathColor = _ref.pathColor,
      _ref$nodeColor = _ref.nodeColor,
      nodeColor = _ref$nodeColor === void 0 ? '#f0f0f0' : _ref$nodeColor,
      lineRadius = _ref.lineRadius,
      _ref$avatarRadius = _ref.avatarRadius,
      avatarRadius = _ref$avatarRadius === void 0 ? 11 : _ref$avatarRadius,
      disableShortcut = _ref.disableShortcut,
      disabled = _ref.disabled,
      showIcon = _ref.showIcon,
      showAvatar = _ref.showAvatar,
      hideHour = _ref.hideHour,
      root_zoom_ratio = _ref.root_zoom_ratio,
      second_zoom_ratio = _ref.second_zoom_ratio,
      backgroundColor = _ref.backgroundColor,
      color = _ref.color,
      hoverBorderColor = _ref.hoverBorderColor,
      selectedBorderColor = _ref.selectedBorderColor,
      selectedBackgroundColor = _ref.selectedBackgroundColor,
      quickCommandKey = _ref.quickCommandKey,
      _ref$paddingLeft = _ref.paddingLeft,
      paddingLeft = _ref$paddingLeft === void 0 ? 50 : _ref$paddingLeft,
      _ref$paddingTop = _ref.paddingTop,
      paddingTop = _ref$paddingTop === void 0 ? 50 : _ref$paddingTop,
      rainbowColor = _ref.rainbowColor,
      _ref$startNodeBg = _ref.startNodeBg,
      startNodeBg = _ref$startNodeBg === void 0 ? '#CB1B45' : _ref$startNodeBg,
      customAdornment = _ref.customAdornment,
      handleClickExpand = _ref.handleClickExpand,
      handleCheck = _ref.handleCheck,
      handleClickAvatar = _ref.handleClickAvatar,
      handleClickStatus = _ref.handleClickStatus,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleAddNext = _ref.handleAddNext,
      handleAddChild = _ref.handleAddChild,
      handleDeleteNode = _ref.handleDeleteNode,
      handleClickPreviewButton = _ref.handleClickPreviewButton,
      handleClickDot = _ref.handleClickDot,
      handleShiftUpDown = _ref.handleShiftUpDown,
      handleDrag = _ref.handleDrag,
      handlePaste = _ref.handlePaste,
      dragEndFromOutside = _ref.dragEndFromOutside,
      handleMouseEnterAvatar = _ref.handleMouseEnterAvatar,
      handleMouseLeaveAvatar = _ref.handleMouseLeaveAvatar,
      handleCrossCompDrag = _ref.handleCrossCompDrag,
      handleChange = _ref.handleChange,
      showDeleteConform = _ref.showDeleteConform,
      handleMutiSelect = _ref.handleMutiSelect,
      handleFileChange = _ref.handleFileChange,
      handleQuickCommandOpen = _ref.handleQuickCommandOpen,
      handlePasteText = _ref.handlePasteText,
      handleContextMenu = _ref.handleContextMenu,
      handleClickNodeImage = _ref.handleClickNodeImage,
      handleResizeNodeImage = _ref.handleResizeNodeImage;
  var clickTimeId;
  var rootZoomRatio = root_zoom_ratio || 1.8;
  var secondZoomRatio = second_zoom_ratio || 1.4;
  var ITEM_HEIGHT = itemHeight || 48; // const ITEM_HEIGHT = itemHeight || 35;

  var FONT_SIZE = fontSize || 14;
  var INDENT = indent || 25;
  var RADIUS = lineRadius || 4; // const AVATAR_WIDTH = avatarWidth || 22;
  // const CHECK_BOX_WIDTH = checkBoxWidth || 18;

  var PATH_WIDTH = pathWidth || 2;
  var PATH_COLOR = pathColor || '#535953';
  var UNCONTROLLED = uncontrolled === undefined ? true : uncontrolled;
  var SHOW_ICON = showIcon === undefined ? true : showIcon;
  var SHOW_AVATAR = showAvatar === undefined ? false : showAvatar;
  var BACKGROUND_COLOR = backgroundColor ? backgroundColor : 'unset';
  var COLOR = color || '#595959';
  var HOVER_BORDER_COLOR = hoverBorderColor || '#bed2fc';
  var SELECTED_BORDER_COLOR = selectedBorderColor || '#35a6f8';
  var SELECTED_BACKGROUND_COLOR = selectedBackgroundColor || '#e8e8e8';

  var _useState = React.useState(nodes),
      nodeMap = _useState[0],
      setNodeMap = _useState[1];

  var _useState2 = React.useState(0),
      secondStartX = _useState2[0],
      setSecondStartX = _useState2[1];

  var _useState3 = React.useState(0),
      secondEndX = _useState3[0],
      setSecondEndX = _useState3[1];

  var _useState4 = React.useState([]),
      cnodes = _useState4[0],
      setcnodes = _useState4[1]; // const [maxX, setmaxX] = useState(0);


  var _useState5 = React.useState(0),
      maxY = _useState5[0],
      setmaxY = _useState5[1];

  var _useState6 = React.useState(0),
      maxEnd = _useState6[0],
      setmaxEnd = _useState6[1];

  var _useState7 = React.useState(null),
      selectedId = _useState7[0],
      _setselectedId = _useState7[1];

  var _useState8 = React.useState([]),
      selectedNodes = _useState8[0],
      _setSelectedNodes = _useState8[1];

  var _useState9 = React.useState(false),
      showInput = _useState9[0],
      setshowInput = _useState9[1];

  var _useState10 = React.useState(false),
      showNewInput = _useState10[0],
      setshowNewInput = _useState10[1];

  var _useState11 = React.useState(false),
      inputEmpty = _useState11[0],
      setInputEmpty = _useState11[1];

  var _useState12 = React.useState(singleColumn),
      isSingle = _useState12[0],
      setisSingle = _useState12[1]; // const [showOptionsNode, setShowOptionsNode] = useState<CNode | null>(null);
  // 拖拽節點相關的狀態


  var _useState13 = React.useState(false),
      dragStarted = _useState13[0],
      setDragStarted = _useState13[1];

  var _useState14 = React.useState(false),
      frameSelectionStarted = _useState14[0],
      setFrameSelectionStarted = _useState14[1];

  var _useState15 = React.useState(0),
      selectionX = _useState15[0],
      setselectionX = _useState15[1];

  var _useState16 = React.useState(0),
      selectionY = _useState16[0],
      setselectionY = _useState16[1];

  var _useState17 = React.useState(0),
      selectionWidth = _useState17[0],
      setselectionWidth = _useState17[1];

  var _useState18 = React.useState(0),
      selectionHeight = _useState18[0],
      setselectionHeight = _useState18[1];

  var _useState19 = React.useState(false),
      showDragNode = _useState19[0],
      setShowDragNode = _useState19[1];

  var _useState20 = React.useState(0),
      clickX = _useState20[0],
      setClickX = _useState20[1];

  var _useState21 = React.useState(0),
      clickY = _useState21[0],
      setClickY = _useState21[1];

  var _useState22 = React.useState(0),
      movedNodeX = _useState22[0],
      setMovedNodeX = _useState22[1];

  var _useState23 = React.useState(0),
      movedNodeY = _useState23[0],
      setMovedNodeY = _useState23[1]; // 拖拽的相關信息


  var _useState24 = React.useState(null),
      dragInfo = _useState24[0],
      setDragInfo = _useState24[1];

  var _useState25 = React.useState(''),
      compId = _useState25[0],
      setCompId = _useState25[1];

  var containerRef = React.useRef(null);
  var block_height = topBottomMargin * 2 + lineHeight;

  var _useState26 = React.useState(''),
      startExport = _useState26[0],
      setStartExport = _useState26[1]; // 暴露方法


  React.useImperativeHandle(ref, function () {
    return {
      deleteNode: deletenode,
      saveNodes: saveNodes,
      addNext: addNext,
      addChild: addChild,
      updateNodeById: updateNodeById,
      updateNodesByIds: updateNodesByIds,
      rename: function rename() {
        if (selectedId) {
          setshowInput(true);
        }
      },
      renameById: function renameById(id, text) {
        changeText(id, text);
      },
      getSelectedId: function getSelectedId() {
        return selectedId;
      },
      getSelectedIds: function getSelectedIds() {
        var ids = [];

        for (var index = 0; index < selectedNodes.length; index++) {
          var node = selectedNodes[index];
          ids.push(node._key);
        }

        return ids;
      },
      setselectedId: function setselectedId(id) {
        return _setselectedId(id);
      },
      setSelectedNodes: function setSelectedNodes(nodes) {
        return _setSelectedNodes(nodes);
      },
      // closeOptions: function() {
      //   setShowOptionsNode(null);
      // },
      exportImage: function exportImage(type) {
        window.postMessage({
          name: 'export-status',
          message: 'start'
        }, '/');
        setStartExport(type);
      }
    };
  });
  var downloadImage = React.useCallback( /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
    var name, svg, imageHrefRegex, imageMatches, hrefRegex, index, match, matches, href, base64;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!startExport) {
              _context.next = 29;
              break;
            }

            name = nodeMap[startId].name;
            svg = document.getElementsByClassName('tree-svg')[0].outerHTML;
            imageHrefRegex = /<image\s[^>]*href="([^"]*)"/g;
            imageMatches = svg.match(imageHrefRegex);

            if (!imageMatches) {
              _context.next = 20;
              break;
            }

            hrefRegex = /href="([^"]+)"/;
            index = 0;

          case 8:
            if (!(index < imageMatches.length)) {
              _context.next = 20;
              break;
            }

            match = imageMatches[index].toString();
            matches = match.match(hrefRegex);

            if (!matches) {
              _context.next = 17;
              break;
            }

            href = matches[1];
            _context.next = 15;
            return getImgData(href);

          case 15:
            base64 = _context.sent;

            if (base64) {
              svg = svg.replace(href, base64);
            }

          case 17:
            index++;
            _context.next = 8;
            break;

          case 20:
            if (startExport === 'svg') {
              download(createObjectUrl([svg], 'image/svg'), name + ".svg");
            }

            if (!(startExport === 'png')) {
              _context.next = 24;
              break;
            }

            _context.next = 24;
            return downloadSvgAsPng(svg, maxEnd + 100, maxY + ITEM_HEIGHT, name);

          case 24:
            if (!(startExport === 'pdf')) {
              _context.next = 27;
              break;
            }

            _context.next = 27;
            return downloadSvgAsPdf(svg, maxEnd + 100, maxY + ITEM_HEIGHT, name);

          case 27:
            setStartExport('');
            window.postMessage({
              name: 'export-status',
              message: 'end'
            }, '/');

          case 29:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  })), [cnodes]);
  React.useEffect(function () {
    downloadImage();
  }, [cnodes]);
  React.useEffect(function () {
    setCompId(guid(8, 16));
  }, []);
  React.useEffect(function () {
    if (changed) {
      if (handleChange) {
        changed = false;
        handleChange();
      }
    }
  }, [nodeMap]);
  React.useEffect(function () {
    document.addEventListener('paste', onPaste);
    return function () {
      document.removeEventListener('paste', onPaste);
    };
  }, [showInput, showNewInput, selectedId]); // 参数nodes发生改变，重设nodeMap

  React.useEffect(function () {
    setNodeMap(nodes);
  }, [nodes]); // nodeMap发生改变，根据nodeMap计算渲染所需数据

  React.useEffect(function () {
    console.log('根据nodeMap计算渲染所需数据');

    if (!nodeMap[startId]) {
      return;
    }

    var cal = calculate(nodeMap, startId, singleColumn, ITEM_HEIGHT, topBottomMargin, lineHeight, INDENT, FONT_SIZE, textMaxWidth, SHOW_ICON, SHOW_AVATAR, avatarRadius, rootZoomRatio, secondZoomRatio, startExport ? 50 : paddingLeft, startExport ? 50 : paddingTop, columnSpacing, undefined, undefined, // showInput && selectedId ? selectedId : undefined,
    undefined, undefined, rainbowColor);

    if (cal) {
      setcnodes(cal.nodes); // setmaxX(cal.max_x);

      setmaxY(cal.max_y);
      setmaxEnd(cal.max_end);
      setSecondStartX(cal.second_start_x);
      setSecondEndX(cal.second_end_x);
      setisSingle(cal.isSingle);
    }
  }, [nodeMap, startId, singleColumn, showInput, rainbowColor, startExport]);
  React.useEffect(function () {
    if (defaultSelectedId) {
      // setShowOptionsNode(null);
      _setselectedId(defaultSelectedId);

      _setSelectedNodes([]);
    }
  }, [defaultSelectedId]);
  React.useEffect(function () {
    if (handleMutiSelect) {
      handleMutiSelect(selectedNodes);
    }
  }, [selectedNodes]); // 有父节点时的左侧水平线条

  function fatherPath(node) {
    // 从左向右画
    var startX = node.x;
    var blockHeight = node._key === startId ? block_height * rootZoomRatio : node.father === startId ? block_height * secondZoomRatio : block_height;
    var Y = node.y + blockHeight / 2;
    var endX = node.x - (INDENT - 5);
    var lineEndX = endX + RADIUS;
    var curveEndY = Y - RADIUS;
    var M = "M " + startX + " " + Y;
    var H = "H " + lineEndX;
    var Q = "Q " + endX + " " + Y + " " + endX + " " + curveEndY;
    return M + " " + H + " " + Q;
  } // 有子节点时的下部纵线


  function childPath(node) {
    var blockHeight = node._key === startId ? block_height * rootZoomRatio : node.father === startId ? block_height * secondZoomRatio : block_height;
    var childBlockHeight = node._key === startId ? block_height * secondZoomRatio : block_height;
    var M = "M " + (node.x + 5) + " " + (node.y + blockHeight);
    var V = "V " + (node.last_child_y + childBlockHeight / 2 - RADIUS);
    return M + " " + V;
  } // 根节点底部水平线


  function rootHpaht(height, y) {
    var startY = y + height + ITEM_HEIGHT;
    var M = "M " + (secondStartX ? secondStartX + RADIUS : 0) + " " + startY;
    var H = "H " + (secondEndX ? secondEndX - RADIUS : 0);
    return M + " " + H;
  } // 根节点底部纵线


  function rootVpath(node) {
    var startY = node.y + node.height;
    var endY = startY + ITEM_HEIGHT;
    var M = "M " + (node.x + node.width / 2) + " " + startY;
    var V = "V " + endY;
    return M + " " + V;
  } // 第二层节点头部纵线（从下往上画）


  function rootBottomVpath(node) {
    var startX = node.x + node.width / 2;
    var startY = node.y;
    var endY = startY - ITEM_HEIGHT; // 第二层的第一个节点

    if (node.x + node.width / 2 === secondStartX) {
      var lineEndY = endY + RADIUS;
      var curveEndX = startX + RADIUS;

      var _M = "M " + startX + " " + startY;

      var _V = "V " + lineEndY;

      var Q = "Q " + startX + " " + endY + " " + curveEndX + " " + endY;
      return _M + " " + _V + " " + Q;
    } // 第二层的最后一个节点


    if (node.x + node.width / 2 === secondEndX) {
      var _lineEndY = endY + RADIUS;

      var _curveEndX = startX - RADIUS;

      var _M2 = "M " + startX + " " + startY;

      var _V2 = "V " + _lineEndY;

      var _Q = "Q " + startX + " " + endY + " " + _curveEndX + " " + endY;

      return _M2 + " " + _V2 + " " + _Q;
    }

    var M = "M " + startX + " " + startY;
    var V = "V " + endY;
    return M + " " + V;
  }

  function handleSelectedNodeChanged(node) {
    _setselectedId(node._key);

    _setSelectedNodes([]);

    if (handleClickNode) {
      handleClickNode(node);
    }
  } // 单击节点


  function clickNode(node) {
    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }

    clearTimeout(clickTimeId);
    clickTimeId = setTimeout(function () {
      _setselectedId(node._key);

      _setSelectedNodes([]);

      if (handleClickNode) {
        handleClickNode(node);
      }
    }, 250);
  } // 双击节点


  function dbClickNode(node) {
    clearTimeout(clickTimeId);

    if (disabled || node.disabled) {
      return;
    }

    _setselectedId(node._key);

    _setSelectedNodes([]);

    setshowInput(true);

    if (handleDbClickNode) {
      handleDbClickNode(node);
    }
  } // 展开/收起节点


  function handleExpand(node) {
    if (UNCONTROLLED) {
      var _nodes = dot(nodeMap, node._key);

      if (!node.contract) {
        var count = countNodeDescendants(nodeMap, node._key);
        _nodes[node._key].childNum = count;
      } else {
        delete _nodes[node._key].childNum;
      }

      setNodeMap(_nodes);

      if (handleChange) {
        changed = true;
      }
    }

    if (handleClickExpand) {
      handleClickExpand(node);
    }
  } // check节点


  function check(node, e) {
    if (disabled) {
      return;
    }

    e.stopPropagation();

    if (UNCONTROLLED) {
      var _nodes2 = checkNode(nodeMap, node._key);

      setNodeMap(_nodes2);

      if (handleChange) {
        changed = true;
      }
    }

    if (handleCheck) {
      handleCheck(node);
    }
  }

  function clickAvatar(node, event) {
    if (handleClickAvatar) {
      event.stopPropagation();
      handleClickAvatar(node, event.currentTarget);
    }
  }

  function clickStatus(node, event) {
    if (handleClickStatus) {
      event.stopPropagation();
      handleClickStatus(node, event.currentTarget, event);
    }
  } // 节点改名


  function changeText(nodeId, text) {
    setshowInput(false);
    setshowNewInput(false);
    setInputEmpty(false);

    if (UNCONTROLLED) {
      var _nodes3 = changeNodeText(nodeMap, nodeId, text);

      setNodeMap(_nodes3);

      if (handleChange) {
        changed = true;
      }
    }

    if (handleChangeNodeText) {
      handleChangeNodeText(nodeId, text);
    }

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }
  }

  function handleResizeImage(nodeId, width) {
    if (UNCONTROLLED) {
      var _nodes4 = _extends({}, nodeMap);

      var node = _nodes4[nodeId];
      if (!node || !node.imageWidth || !node.imageHeight) return;
      var height = width / (node.imageWidth / node.imageHeight);
      node.imageWidth = width;
      node.imageHeight = height;
      setNodeMap(_nodes4);

      if (handleChange) {
        changed = true;
      }
    }

    if (handleResizeNodeImage) {
      handleResizeNodeImage(nodeId, width);
    }
  }

  function updateNodeById(nodeMap, id, data) {
    setshowInput(false);
    setshowNewInput(false);
    setInputEmpty(false);
    var nodes = updateNodeByKey(nodeMap, id, data);
    setNodeMap(nodes);

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }

    if (handleChange) {
      changed = true;
    }
  }

  function updateNodesByIds(nodeMap, ids, data) {
    setshowInput(false);
    setshowNewInput(false);
    setInputEmpty(false);

    var nodes = _.cloneDeep(nodeMap);

    for (var index = 0; index < ids.length; index++) {
      var id = ids[index];
      nodes = updateNodeByKey(nodes, id, data);
    }

    setNodeMap(nodes);

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }

    if (handleChange) {
      changed = true;
    }
  } // 添加平级节点


  function addNext(nodeKey) {
    var targetKey = nodeKey || selectedId;

    if (!targetKey) {
      return;
    }

    if (targetKey === startId) {
      return alert('根节点无法添加兄弟节点！');
    } // setShowOptionsNode(null);


    if (UNCONTROLLED) {
      var res = addNextNode(nodeMap, targetKey);

      if (handleAddNext) {
        handleAddNext(targetKey, res.addedNode);
      }

      _setselectedId(res.addedNode._key);

      _setSelectedNodes([]);

      setNodeMap(res.nodes);
      setshowInput(true);

      if (handleChange) {
        changed = true;
      }
    } else {
      if (handleAddNext) {
        handleAddNext(targetKey);
      }
    }
  } // 添加子节点


  function addChild(nodeKey) {
    var targetKey = nodeKey || selectedId;

    if (!targetKey) {
      return;
    } // setShowOptionsNode(null);


    if (UNCONTROLLED) {
      var res = addChildNode(nodeMap, targetKey);

      if (handleAddChild) {
        handleAddChild(targetKey, res.addedNode);
      }

      _setselectedId(res.addedNode._key);

      _setSelectedNodes([]);

      setNodeMap(res.nodes);
      setshowInput(true);

      if (handleChange) {
        changed = true;
      }
    } else {
      if (handleAddChild) {
        handleAddChild(targetKey);
      }
    }
  } // 節點上移


  function shiftUp() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'up');

    if (res) {
      if (UNCONTROLLED) {
        setNodeMap(res.nodes);

        if (handleChange) {
          changed = true;
        }
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'up');
        }
      }
    }
  } // 節點下移


  function shiftDown() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'down');

    if (res) {
      if (UNCONTROLLED) {
        setNodeMap(res.nodes);

        if (handleChange) {
          changed = true;
        }
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'down');
        }
      }
    }
  } // 删除节点


  function deletenode(nodeKey) {
    var targetKey = nodeKey || selectedId;

    if (!targetKey && !selectedNodes.length) {
      return;
    }

    if (UNCONTROLLED) {
      // 删除单个节点
      if (!selectedNodes.length && targetKey) {
        var node = nodeMap[targetKey];

        if (node.disabled) {
          return;
        }

        if (targetKey === startId) {
          return alert('根节点不允许删除！');
        }

        var nextSelectId = getNextSelect(node, nodeMap);

        if (nextSelectId) {
          _setselectedId(nextSelectId);
        } else {
          _setselectedId(null);
        }

        var res = deleteNode(nodeMap, targetKey);

        _setSelectedNodes([]);

        setNodeMap(res.nodes);

        if (handleChange) {
          changed = true;
        }
      } else {
        // 批量删除
        var _nodes5 = nodeMap;

        for (var index = 0; index < selectedNodes.length; index++) {
          var element = selectedNodes[index];

          if (element._key !== startId) {
            var _res = deleteNode(_nodes5, element._key);

            _nodes5 = _res.nodes;
          }
        }

        _setSelectedNodes([]);

        setNodeMap(_nodes5);

        if (handleChange) {
          changed = true;
        }
      }

      if (handleDeleteNode) {
        handleDeleteNode(targetKey, selectedNodes);
      }
    } else {
      if (handleDeleteNode) {
        handleDeleteNode(targetKey, selectedNodes);
      }
    }
  }

  function saveNodes() {
    return {
      rootKey: startId,
      data: _.cloneDeep(nodeMap)
    };
  }

  var handleKeyUp = function handleKeyUp(event) {
    if (event.key === ' ') {
      spaceKeyDown = false;
    }
  };

  function onPaste(event) {
    if (showInput || showNewInput) {
      return;
    }

    event.preventDefault();
    var pasteType = localStorage.getItem('pasteType');
    var pasteNodeKey = localStorage.getItem('pasteNodeKey');

    if (pasteType && pasteNodeKey && selectedId) {
      if (UNCONTROLLED) {
        var res = pasteNode(nodeMap, pasteNodeKey, pasteType, selectedId);

        if (res) {
          setNodeMap(res);

          if (handleChange) {
            changed = true;
          }
        }
      } else if (handlePaste) {
        handlePaste(pasteNodeKey, pasteType, selectedId, event);
      }

      localStorage.removeItem('pasteNodeKey');
      localStorage.removeItem('pasteType');
      localStorage.removeItem('copiedNodes');
    } else {
      var _event$clipboardData;

      var files = (_event$clipboardData = event.clipboardData) == null ? void 0 : _event$clipboardData.files;
      var node = selectedId ? nodeMap[selectedId] : null;

      if (files && files.length && node) {
        handleTreePaste(node._key, node.name, files);
      } else {
        var _event$clipboardData2;

        var text = (_event$clipboardData2 = event.clipboardData) == null ? void 0 : _event$clipboardData2.getData('text'); // 如果用户复制了文字，则将文字黏贴为节点

        if (text && handlePasteText) {
          handlePasteText(text, event);
        }
      }
    }
  }

  function handleKeyDown(_x) {
    return _handleKeyDown.apply(this, arguments);
  } // function clickOptionsButton(node: CNode) {
  //   clickNode(node);
  //   setShowOptionsNode(node);
  // }


  function _handleKeyDown() {
    _handleKeyDown = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(event) {
      var commandKey, el, node, res, _res3, _res4;

      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              if (event.key === ' ' && !spaceKeyDown) {
                spaceKeyDown = true;
              }

              if (!(disabled || disableShortcut || showInput || showNewInput)) {
                _context3.next = 3;
                break;
              }

              return _context3.abrupt("return");

            case 3:
              commandKey = isMac ? event.metaKey : event.ctrlKey;

              if (!(quickCommandKey && event.key === quickCommandKey)) {
                _context3.next = 9;
                break;
              }

              event.preventDefault();

              if (handleQuickCommandOpen && selectedId) {
                el = document.getElementById("tree-node-" + selectedId);

                if (el) {
                  handleQuickCommandOpen(el);
                }
              }

              _context3.next = 52;
              break;

            case 9:
              if (!commandKey) {
                _context3.next = 29;
                break;
              }

              _context3.t0 = event.key;
              _context3.next = _context3.t0 === 'c' ? 13 : _context3.t0 === 'x' ? 16 : 26;
              break;

            case 13:
              event.preventDefault();

              if (selectedId) {
                localStorage.setItem('pasteNodeKey', selectedId);
                localStorage.setItem('pasteType', 'copy');
                copyNode(nodeMap, selectedId);
              }

              return _context3.abrupt("break", 27);

            case 16:
              event.preventDefault();

              if (!selectedId) {
                _context3.next = 25;
                break;
              }

              if (!(selectedId === startId)) {
                _context3.next = 23;
                break;
              }

              localStorage.removeItem('pasteNodeKey');
              localStorage.removeItem('pasteType');
              localStorage.removeItem('copiedNodes');
              return _context3.abrupt("return");

            case 23:
              localStorage.setItem('pasteNodeKey', selectedId);
              localStorage.setItem('pasteType', 'cut');

            case 25:
              return _context3.abrupt("break", 27);

            case 26:
              return _context3.abrupt("break", 27);

            case 27:
              _context3.next = 52;
              break;

            case 29:
              _context3.t1 = event.key;
              _context3.next = _context3.t1 === 'Enter' ? 32 : _context3.t1 === 'Tab' ? 35 : _context3.t1 === 'Delete' ? 38 : _context3.t1 === 'Backspace' ? 38 : _context3.t1 === 'ArrowUp' ? 41 : _context3.t1 === 'ArrowDown' ? 44 : _context3.t1 === 'ArrowRight' ? 47 : _context3.t1 === 'ArrowLeft' ? 47 : 50;
              break;

            case 32:
              event.preventDefault();
              addNext();
              return _context3.abrupt("break", 52);

            case 35:
              event.preventDefault();
              addChild();
              return _context3.abrupt("break", 52);

            case 38:
              event.preventDefault();

              if (showDeleteConform) {
                node = selectedId ? nodeMap[selectedId] : null;

                if (node && node.sortList.length || selectedNodes.length > 1) {
                  showDeleteConform();
                } else {
                  deletenode();
                }
              } else {
                deletenode();
              }

              return _context3.abrupt("break", 52);

            case 41:
              event.preventDefault();

              if (event.shiftKey) {
                shiftUp();
              } else if (selectedId) {
                res = changeSelect(selectedId, cnodes, event.key);

                if (res) {
                  handleSelectedNodeChanged(res);
                }
              }

              return _context3.abrupt("break", 52);

            case 44:
              event.preventDefault();

              if (event.shiftKey) {
                shiftDown();
              } else if (selectedId) {
                _res3 = changeSelect(selectedId, cnodes, event.key);

                if (_res3) {
                  handleSelectedNodeChanged(_res3);
                }
              }

              return _context3.abrupt("break", 52);

            case 47:
              event.preventDefault();

              if (selectedId) {
                _res4 = changeSelect(selectedId, cnodes, event.key);

                if (_res4) {
                  handleSelectedNodeChanged(_res4);
                }
              }

              return _context3.abrupt("break", 52);

            case 50:
              // if (
              //   selectedId &&
              //   !showInput &&
              //   event.key.length === 1 &&
              //   /[a-zA-Z]+/.test(event.key)
              // ) {
              //   if (UNCONTROLLED) {
              //     let nodes = changeNodeText(nodeMap, selectedId, '');
              //     setNodeMap(nodes);
              //     if (handleChange) {
              //       changed = true;
              //     }
              //   }
              //   if (handleChangeNodeText) {
              //     handleChangeNodeText(selectedId, '');
              //   }
              //   setshowInput(true);
              // }
              if (selectedId && !showInput && event.key.length === 1 && /[a-zA-Z]+/.test(event.key)) {
                setInputEmpty(true);
                setshowInput(true);
              }

              return _context3.abrupt("break", 52);

            case 52:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3);
    }));
    return _handleKeyDown.apply(this, arguments);
  }

  function clickPreview(node) {
    if (handleClickPreviewButton) {
      handleClickPreviewButton(node);
    }
  }

  function clickDot(node) {
    if (handleClickDot) {
      handleClickDot(node);
    }
  }

  function handleFrameSelectionStart(e) {
    if (e.nativeEvent.which === 1 && !spaceKeyDown) {
      e.stopPropagation();
      setFrameSelectionStarted(true);
      setClickX(e.nativeEvent.offsetX);
      setClickY(e.nativeEvent.offsetY);
      setselectionX(e.nativeEvent.offsetX);
      setselectionY(e.nativeEvent.offsetY);
    }
  }

  function handleFrameSelectionEnd() {
    if (frameSelectionStarted) {
      var selectionNodes = getNodesInSelection(selectionX, selectionY, selectionWidth, selectionHeight, block_height, cnodes);

      _setselectedId(null);

      if (handleClickNode) {
        handleClickNode(selectionNodes.length ? selectionNodes : null);
      }

      _setSelectedNodes(selectionNodes);

      setFrameSelectionStarted(false);
      setselectionWidth(0);
      setselectionHeight(0);
    }
  }

  function handleDragStart(node, dragStartX, dragStartY) {
    if (disabled || node.disabled) {
      return;
    } // 如果框选了多个节点，而拖拽的节点不在其中的话，则取消框选


    if (selectedNodes.length) {
      var index = selectedNodes.findIndex(function (element) {
        return node._key === element._key;
      });

      if (index === -1) {
        _setSelectedNodes([]);
      }
    }

    sessionStorage.setItem('cross-comp-drag', node._key);
    sessionStorage.setItem('cross-drag-compId', compId);
    setDragStarted(true);
    setShowDragNode(true);
    setDragInfo({
      dragNodeId: node._key,
      dropNodeId: node._key,
      placement: 'in'
    });
    setClickX(dragStartX);
    setClickY(dragStartY);
    setMovedNodeX(0);
    setMovedNodeY(0);
  }

  function handleMoveNode(e) {
    if (dragStarted) {
      var time = new Date().getTime();

      if (time - lastTime > gapTime || !lastTime) {
        e.stopPropagation();
        var movedX = 0;
        var movedY = 0;
        movedX = e.clientX - clickX;
        movedY = e.clientY - clickY;
        setMovedNodeX(movedNodeX + movedX);
        setMovedNodeY(movedNodeY + movedY);
        setClickX(e.clientX);
        setClickY(e.clientY);
        lastTime = time;
      }
    }

    if (frameSelectionStarted) {
      var _time = new Date().getTime();

      if (_time - lastTime > gapTime || !lastTime) {
        e.stopPropagation();
        var _movedX = 0;
        var _movedY = 0;
        _movedX = e.nativeEvent.offsetX - clickX;
        _movedY = e.nativeEvent.offsetY - clickY;
        setselectionWidth(Math.abs(_movedX));
        setselectionHeight(Math.abs(_movedY));

        if (_movedX >= 0 && _movedY >= 0) {
          setselectionX(clickX);
          setselectionY(clickY);
        } else if (_movedX < 0 || _movedY < 0) {
          setselectionX(clickX + (_movedX < 0 ? _movedX : 0));
          setselectionY(clickY + (_movedY < 0 ? _movedY : 0));
        }

        var selectionNodes = getNodesInSelection(selectionX, selectionY, selectionWidth, selectionHeight, block_height, cnodes);

        _setselectedId(null);

        _setSelectedNodes(selectionNodes);

        lastTime = _time;
      }
    }
  }

  function handleDragEnd(e) {
    if (dragStarted && dragInfo && dragInfo.dragNodeId && dragInfo.dropNodeId) {
      e.stopPropagation();
      setDragStarted(false);
      var selectedNode = nodeMap[dragInfo.dragNodeId];
      var dragValid = isDragValid(dragInfo.dragNodeId, dragInfo.dropNodeId, nodeMap);
      var dragValid2 = true;
      var validSelectedNodes = [];

      if (selectedNodes.length > 1) {
        validSelectedNodes = getValidSelectedNodes(selectedNodes, nodeMap);
        dragValid2 = isMutilDragValid(validSelectedNodes, dragInfo.dropNodeId, nodeMap);
      } // 判斷拖拽是否無效


      if (!dragValid || !dragValid2) {
        setDragInfo(null); // 動畫：移動到最初的選中節點

        var fps = 30;
        var animeTime = 500;
        var stepX = movedNodeX / fps;
        var stepY = movedNodeY / fps;
        var interval = setInterval(function () {
          setMovedNodeX(function (movedNodeX) {
            return movedNodeX - stepX;
          });
          setMovedNodeY(function (movedNodeY) {
            return movedNodeY - stepY;
          });
        }, Math.floor(animeTime / fps));
        setTimeout(function () {
          setShowDragNode(false);
          clearInterval(interval);
        }, animeTime);
      } else if (selectedNode) {
        setShowDragNode(false);

        if (UNCONTROLLED) {
          if (validSelectedNodes.length > 1) {
            for (var index = 0; index < validSelectedNodes.length; index++) {
              var dragId = validSelectedNodes[index].nodeKey;
              var res = dragSort(nodeMap, dragId, dragInfo.dropNodeId, dragInfo.placement);

              if (res) {
                setNodeMap(res);

                if (handleChange) {
                  changed = true;
                }
              }
            }
          } else {
            var _res2 = dragSort(nodeMap, dragInfo.dragNodeId, dragInfo.dropNodeId, dragInfo.placement);

            if (_res2) {
              setNodeMap(_res2);

              if (handleChange) {
                changed = true;
              }
            }
          }
        } else if (handleDrag) {
          handleDrag(dragInfo, validSelectedNodes);
        } // 跨组件拖拽


        if (validSelectedNodes.length <= 1) {
          var crossCompDragId = sessionStorage.getItem('cross-comp-drag');
          var crossCompDropId = sessionStorage.getItem('cross-comp-drop');
          var crossDragCompId = sessionStorage.getItem('cross-drag-compId');

          if (crossCompDragId && handleCrossCompDrag && crossDragCompId !== compId) {
            handleCrossCompDrag(crossCompDragId, crossCompDropId);
          }
        }
      }

      sessionStorage.removeItem('cross-comp-drag');
      sessionStorage.removeItem('cross-comp-drop');
      sessionStorage.removeItem('cross-drag-compId');
    }

    handleFrameSelectionEnd();
  }

  function handleDragLeave() {
    setDragStarted(false);
    setDragInfo(null);
    setShowDragNode(false);
    handleFrameSelectionEnd();
  }

  function updateDragInfo(param) {
    if (dragInfo) {
      setDragInfo(_extends({}, dragInfo, param));
    } else {
      setDragInfo(param);
    }
  }

  function handleTreePaste(nodeId, nodeName, files) {
    if (handleFileChange) {
      handleFileChange(nodeId, nodeName, files);
    } else if (UNCONTROLLED) {
      if (files.length) {
        var file = files[0];

        if (file.type.startsWith('image/')) {
          if (nodeId !== startId) {
            var reader = new FileReader();

            reader.onload = function (event) {
              var _event$target;

              var base64String = (_event$target = event.target) == null ? void 0 : _event$target.result;

              if (base64String) {
                var img = new Image(); //手动创建一个Image对象

                img.src = base64String;
                img.onload = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2() {
                  var height;
                  return runtime_1.wrap(function _callee2$(_context2) {
                    while (1) {
                      switch (_context2.prev = _context2.next) {
                        case 0:
                          height = 200 / (img.width / img.height);
                          updateNodeById(nodeMap, nodeId, {
                            name: nodeName,
                            imageUrl: base64String,
                            imageWidth: 200,
                            imageHeight: height
                          });

                        case 2:
                        case "end":
                          return _context2.stop();
                      }
                    }
                  }, _callee2);
                }));
              }
            };

            reader.readAsDataURL(file);
          }
        }
      }
    }
  }

  return React__default.createElement("div", {
    className: "svg-wrapper",
    style: {
      position: 'relative',
      outline: 'none'
    },
    // className={styles.svgwrapper}
    tabIndex: -1,
    suppressContentEditableWarning: true,
    ref: containerRef,
    // onPaste={onPaste}
    onKeyDown: function onKeyDown(e) {
      return handleKeyDown(e);
    },
    onKeyUp: handleKeyUp,
    onMouseDown: handleFrameSelectionStart,
    onMouseMove: handleMoveNode,
    onMouseUp: handleDragEnd,
    onMouseLeave: handleDragLeave
  }, React__default.createElement("svg", {
    className: "tree-svg",
    viewBox: "0 0 " + (maxEnd + 100) + " " + (maxY + ITEM_HEIGHT),
    width: startExport ? (maxEnd + 100) * 2 : maxEnd + 100,
    height: startExport ? (maxY + ITEM_HEIGHT) * 2 : maxY + ITEM_HEIGHT,
    style: {
      backgroundColor: BACKGROUND_COLOR
    },
    xmlns: "http://www.w3.org/2000/svg"
  }, React__default.createElement("defs", null, React__default.createElement("filter", {
    id: "filterShadow",
    x: "0",
    y: "0",
    width: "200%",
    height: "200%"
  }, React__default.createElement("feOffset", {
    result: "offOut",
    "in": "SourceAlpha",
    dx: "2",
    dy: "2"
  }), React__default.createElement("feColorMatrix", {
    result: "matrixOut",
    "in": "offOut",
    type: "matrix",
    values: "0.3 0 0 0 0 \r\n                     0 0.3 0 0 0 \r\n                     0 0 0.3 0 0 \r\n                     0 0 0 0.3 0"
  }), React__default.createElement("feGaussianBlur", {
    result: "blurOut",
    "in": "matrixOut",
    stdDeviation: "1"
  }), React__default.createElement("feBlend", {
    "in": "SourceGraphic",
    in2: "blurOut",
    mode: "normal"
  })), React__default.createElement("symbol", {
    id: "contract-up",
    width: "20",
    height: "20",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "512",
    cy: "512",
    r: "400",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M512 39.367111c259.982222 0 472.632889 212.707556 472.632889 472.632889 0 259.982222-212.707556 472.632889-472.632889 472.632889C252.017778 984.632889 39.367111 771.925333 39.367111 512 39.367111 252.017778 252.074667 39.367111 512 39.367111z m0 68.266667C289.792 107.633778 107.633778 289.792 107.633778 512c0 222.208 182.158222 404.366222 404.366222 404.366222 222.208 0 404.366222-182.158222 404.366222-404.366222 0-222.208-182.158222-404.366222-404.366222-404.366222z",
    fill: COLOR
  }), React__default.createElement("path", {
    d: "M256 589.255111a40.163556 40.163556 0 0 1 13.141333-29.184l219.704889-203.036444a34.133333 34.133333 0 0 1 46.307556 0l219.875555 203.150222c17.009778 15.701333 17.351111 42.211556 0.739556 58.424889l-5.006222 4.152889a41.870222 41.870222 0 0 1-52.224-3.299556L519.68 454.883556a11.377778 11.377778 0 0 0-15.36 0l-178.801778 164.522666a41.756444 41.756444 0 0 1-57.173333-0.682666 40.049778 40.049778 0 0 1-11.889778-22.812445l-0.455111-6.656z",
    fill: COLOR
  })), React__default.createElement("symbol", {
    id: "add",
    width: "20",
    height: "20",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "512",
    cy: "512",
    r: "400",
    fill: COLOR
  }), React__default.createElement("path", {
    d: "M512 39.367111c259.982222 0 472.632889 212.707556 472.632889 472.632889 0 259.982222-212.707556 472.632889-472.632889 472.632889C252.017778 984.632889 39.367111 771.925333 39.367111 512 39.367111 252.017778 252.074667 39.367111 512 39.367111z m0 68.266667C289.792 107.633778 107.633778 289.792 107.633778 512c0 222.208 182.158222 404.366222 404.366222 404.366222 222.208 0 404.366222-182.158222 404.366222-404.366222 0-222.208-182.158222-404.366222-404.366222-404.366222z",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M244.622222 467.228444m44.544 0l445.155556 0q44.544 0 44.544 44.544l0-0.056888q0 44.544-44.544 44.544l-445.155556 0q-44.544 0-44.544-44.544l0 0.056888q0-44.544 44.544-44.544Z",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M556.259556 289.166222v445.212445a44.544 44.544 0 1 1-89.031112 0V289.166222a44.544 44.544 0 0 1 89.031112 0z",
    fill: nodeColor
  })), React__default.createElement("g", {
    id: "expand",
    width: "10",
    height: "10",
    viewBox: "0,0,10,10",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "5",
    cy: "5",
    r: "5",
    fill: "#F0F0F0",
    stroke: "#BFBFBF"
  }), React__default.createElement("path", {
    d: "M 2 5 H 8 5",
    stroke: "#666",
    strokeWidth: "1.6"
  }), React__default.createElement("path", {
    d: "M 5 2  V 5 8",
    stroke: "#666",
    strokeWidth: "1.6"
  })), React__default.createElement("g", {
    id: "checkbox-checked",
    width: "18",
    height: "18",
    viewBox: "0,0,18,18",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "9",
    cy: "9",
    r: "9",
    fill: "rgb(85, 85, 85)"
  }), React__default.createElement("path", {
    d: "M 4 9 L 8 13 L 14 5",
    stroke: "#fff",
    strokeWidth: "1.6"
  })), React__default.createElement("g", {
    id: "checkbox-uncheck",
    width: "18",
    height: "18",
    viewBox: "0,0,18,18",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "9",
    cy: "9",
    r: "9",
    fill: "rgb(216, 216, 216)",
    stroke: "#000000"
  })), React__default.createElement("g", {
    id: "status",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M0 0 L 22 22 H 0 Z",
    fill: "rgb(85, 85, 85)"
  }), React__default.createElement("path", {
    d: "M 0 0 H 22 V 22 Z",
    fill: "rgb(53, 166, 248)"
  })), React__default.createElement("g", {
    id: "status-overdue",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M0 0 L 22 22 H 0 Z",
    fill: "rgb(221, 53, 53)"
  }), React__default.createElement("path", {
    d: "M 0 0 H 22 V 22 Z",
    fill: "rgb(53, 166, 248)"
  })), React__default.createElement("g", {
    id: "status-complete",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M0 0 L 22 22 H 0 Z",
    fill: "#b6b7b7"
  }), React__default.createElement("path", {
    d: "M 0 0 H 22 V 22 Z",
    fill: "rgb(53, 166, 248)"
  })), React__default.createElement("g", {
    id: "status-onlyday",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("rect", {
    x: "0",
    y: "0",
    width: "22",
    height: "22",
    fill: "rgb(85, 85, 85)"
  })), React__default.createElement("g", {
    id: "status-onlyday-overdue",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("rect", {
    x: "0",
    y: "0",
    width: "22",
    height: "22",
    fill: "rgb(221, 53, 53)"
  })), React__default.createElement("g", {
    id: "status-onlyday-complete",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("rect", {
    x: "0",
    y: "0",
    width: "22",
    height: "22",
    fill: "#417505"
  })), React__default.createElement("symbol", {
    id: "favorite",
    width: "200",
    height: "200",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M565.228999 34.689634l112.062243 237.506364c8.702621 18.317097 25.411973 31.05108 44.816898 33.994614l250.736267 38.073966c48.688285 7.406826 68.213191 70.036902 32.930782 105.95921L824.307945 635.130487c-13.997782 14.237744-20.348775 34.810484-17.053298 54.927296l42.809217 261.086627c8.342678 50.687968-42.633244 89.441827-86.210339 65.50962l-224.276461-123.252469a57.030963 57.030963 0 0 0-55.271241 0l-224.276461 123.260467c-43.577095 23.91621-94.553017-14.82965-86.20234-65.509619l42.809216-261.094626c3.319474-20.116812-3.095509-40.697551-17.085293-54.927296L18.147691 450.223788C-17.126719 414.30148 2.326198 351.671404 51.070474 344.264578l250.704273-38.073966c19.348934-2.943534 36.074284-15.677516 44.752908-33.994614L458.63789 34.689634c21.820542-46.152687 84.826558-46.152687 106.58311 0z",
    fill: "#FFB11B"
  })), React__default.createElement("symbol", {
    id: "pack",
    width: "18",
    height: "16",
    viewBox: "0,0,18,16",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default.createElement("g", {
    transform: "translate(0.000000, 0.000007)"
  }, React__default.createElement("path", {
    d: "M15.8396584,2.58289418 L8.61752011,2.58289418 L6.1696488,0.130509602 C6.08473826,0.0462875302 5.96976481,-0.000681000602 5.85012509,-4.4408921e-15 L2.25037734,-4.4408921e-15 C1.00777667,-4.4408921e-15 0.000477621947,1.007383 0.000477621947,2.24990718 L0.000477621947,13.0493034 C-0.024613059,14.2668134 0.941990125,15.2741125 2.15942362,15.2992032 L2.16034157,15.2992032 L15.8396584,15.2992032 C17.0570919,15.2746479 18.0240776,14.2677314 17.9995224,13.0502979 L17.9995224,13.0493034 L17.9995224,4.83279389 C18.0246131,3.6152839 17.0580099,2.60798486 15.8405764,2.58289418 L15.8396584,2.58289418 Z",
    fill: "#7264C7"
  }), React__default.createElement("path", {
    d: "M5.02500122,3.90995406 C5.51319856,3.90995406 5.90898875,4.30566776 5.90898875,4.79386509 C5.90898875,5.13142591 5.71976385,5.42480743 5.44160487,5.57371884 L5.44109019,7.78495406 L12.4856515,7.78458737 C12.6301575,7.49311204 12.9307285,7.29272862 13.2780452,7.29272862 C13.7662426,7.29272862 14.1620328,7.68851881 14.1620328,8.17671615 C14.1620328,8.66491348 13.7662426,9.06070368 13.2780452,9.06070368 C12.9236883,9.06070368 12.6179914,8.85211427 12.4770572,8.5510087 L5.44109019,8.54995406 L5.44149123,10.9547212 C5.44149123,11.2319426 5.66707787,11.4575292 5.94429929,11.4575292 L12.4266114,11.4572917 C12.5306129,11.0848093 12.8724551,10.8115436 13.2780452,10.8115436 C13.7662426,10.8115436 14.1620328,11.2073338 14.1620328,11.6955312 C14.1620328,12.1837285 13.7662426,12.5795187 13.2780452,12.5795187 C12.987737,12.5795187 12.7300882,12.4395183 12.5689396,12.2233421 L5.94429929,12.222489 C5.24527904,12.222489 4.67653144,11.6537414 4.67653144,10.9547212 L4.67588826,5.60621629 C4.36134998,5.47082409 4.14109019,5.15805717 4.14109019,4.79386509 C4.14109019,4.30566776 4.53688038,3.90995406 5.02500122,3.90995406 Z",
    fill: "#FFFFFF"
  }))))), cnodes.map(function (node, index) {
    return React__default.createElement("g", {
      key: index + "_" + node._key,
      className: "node-group-" + node._key
    }, isSingle ? node.x && node.y ? React__default.createElement("g", {
      className: "multi-column"
    }, node._key !== startId ? React__default.createElement("path", {
      d: fatherPath(node),
      fill: "none",
      stroke: rainbowColor ? node.pathColor : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null, node.sortList && node.sortList.length && !node.contract ? React__default.createElement("path", {
      d: childPath(node),
      fill: "none",
      stroke: rainbowColor ? node.backgroundColor : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null) : null : React__default.createElement("g", {
      className: "single-column"
    }, node.x && node.y && // 有父节点
    node.father && // 父节点不为开始节点
    node.father !== startId && node._key !== startId ? React__default.createElement("path", {
      d: fatherPath(node),
      fill: "none",
      stroke: rainbowColor ? node.pathColor : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null, node.x && node.y && node.sortList && node.sortList.length && !node.contract && node._key !== startId ? React__default.createElement("path", {
      d: childPath(node),
      fill: "none",
      stroke: rainbowColor ? node.pathColor || node.backgroundColor : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null, node._key === startId && node.sortList && node.sortList.length && !node.contract ? React__default.createElement("path", {
      d: rootHpaht(node.height, node.y),
      fill: "none",
      stroke: rainbowColor ? startNodeBg : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null, node._key === startId && node.sortList && node.sortList.length && !node.contract ? React__default.createElement("path", {
      d: rootVpath(node),
      fill: "none",
      stroke: rainbowColor ? startNodeBg : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null, node.x && node.y && node.father && node.father === startId ? React__default.createElement("path", {
      d: rootBottomVpath(node),
      fill: "none",
      stroke: rainbowColor ? startNodeBg : PATH_COLOR,
      strokeWidth: PATH_WIDTH
    }) : null), showInput && node._key === selectedId ? null : React__default.createElement(TreeNode, {
      node: node,
      topBottomMargin: node._key === startId ? topBottomMargin * rootZoomRatio : node.father === startId ? topBottomMargin * secondZoomRatio : topBottomMargin,
      lineHeight: node._key === startId ? lineHeight * rootZoomRatio : node.father === startId ? lineHeight * secondZoomRatio : lineHeight,
      FONT_SIZE: node._key === startId ? FONT_SIZE * rootZoomRatio : node.father === startId ? FONT_SIZE * secondZoomRatio : FONT_SIZE,
      avatarRadius: avatarRadius,
      color: COLOR,
      nodeColor: rainbowColor ? undefined : nodeColor,
      startId: startId,
      alias: new Date().getTime(),
      selected: selectedId,
      selectedNodes: selectedNodes,
      singleColumn: singleColumn,
      showIcon: SHOW_ICON,
      showAvatar: SHOW_AVATAR,
      treeBackgroundColor: BACKGROUND_COLOR,
      // openOptions={clickOptionsButton}
      // nodeOptionsOpened={
      //   showOptionsNode && node._key === showOptionsNode._key
      //     ? true
      //     : false
      // }
      startNodeBg: startNodeBg,
      customAdornment: customAdornment,
      disabled: disabled,
      handleClickDot: clickDot,
      handleExpand: handleExpand,
      handleCheck: check,
      handleClickAvatar: clickAvatar,
      handleClickStatus: clickStatus,
      handleClickNode: clickNode,
      handleDbClickNode: dbClickNode,
      clickPreview: clickPreview,
      updateDragInfo: updateDragInfo,
      dragStarted: dragStarted,
      handleDragStart: handleDragStart,
      dragEndFromOutside: dragEndFromOutside,
      mouseEnterAvatar: function mouseEnterAvatar(node) {
        if (handleMouseEnterAvatar) handleMouseEnterAvatar(node);
      },
      mouseLeaveAvatar: function mouseLeaveAvatar(node) {
        if (handleMouseLeaveAvatar) handleMouseLeaveAvatar(node);
      },
      hideHour: hideHour,
      dotColor: PATH_COLOR,
      hoverBorderColor: HOVER_BORDER_COLOR,
      selectedBorderColor: SELECTED_BORDER_COLOR,
      selectedBackgroundColor: SELECTED_BACKGROUND_COLOR,
      handleFileChange: handleFileChange,
      onContextMenu: handleContextMenu,
      onClickNodeImage: handleClickNodeImage,
      onResizeImage: handleResizeImage,
      handleAddChild: addChild,
      handleAddNext: addNext
    }));
  }), showDragNode && (Math.abs(movedNodeX) > 5 || Math.abs(movedNodeY) > 5) ? React__default.createElement(DragNode, {
    nodeList: cnodes,
    BLOCK_HEIGHT: block_height,
    FONT_SIZE: FONT_SIZE,
    alias: new Date().getTime(),
    showIcon: SHOW_ICON,
    showAvatar: SHOW_AVATAR,
    avatarRadius: avatarRadius,
    movedNodeX: movedNodeX,
    movedNodeY: movedNodeY,
    dragInfo: dragInfo,
    mutilMode: selectedNodes.length > 1 ? true : false
  }) : null, frameSelectionStarted ? React__default.createElement("rect", {
    x: selectionX,
    y: selectionY,
    width: selectionWidth,
    height: selectionHeight,
    fill: "#35a6f8",
    fillOpacity: 0.2,
    stroke: "#35a6f8"
  }) : null), showInput || showNewInput ? React__default.createElement(NodeInput, {
    selectedId: selectedId,
    nodeList: cnodes,
    handleChangeNodeText: changeText,
    topBottomMargin: selectedId === startId ? topBottomMargin * rootZoomRatio : nodeMap && selectedId && nodeMap[selectedId].father === startId ? topBottomMargin * secondZoomRatio : topBottomMargin,
    lineHeight: selectedId === startId ? lineHeight * rootZoomRatio : nodeMap && selectedId && nodeMap[selectedId].father === startId ? lineHeight * secondZoomRatio : lineHeight,
    FONT_SIZE: selectedId === startId ? FONT_SIZE * rootZoomRatio : nodeMap && selectedId && nodeMap[selectedId].father === startId ? FONT_SIZE * secondZoomRatio : FONT_SIZE,
    avatarRadius: avatarRadius,
    showIcon: SHOW_ICON,
    showAvatar: SHOW_AVATAR,
    textMaxWidth: textMaxWidth,
    startNodeBg: startNodeBg,
    startId: startId,
    nodeColor: rainbowColor ? undefined : nodeColor,
    inputEmpty: inputEmpty,
    selectedBorderColor: SELECTED_BORDER_COLOR,
    handleFileChange: handleTreePaste,
    quickCommandKey: quickCommandKey,
    handleQuickCommandOpen: handleQuickCommandOpen
  }) : null);
});

var SVG = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M896 128H128c-25.6 0-42.666667 17.066667-42.666667 42.666667v554.666666c0 25.6 17.066667 42.666667 42.666667 42.666667h341.333333v85.333333H298.666667v85.333334h426.666666v-85.333334h-170.666666v-85.333333h341.333333c25.6 0 42.666667-17.066667 42.666667-42.666667V170.666667c0-25.6-17.066667-42.666667-42.666667-42.666667z m-42.666667 554.666667H170.666667V213.333333h682.666666v469.333334z"
  }), React__default.createElement("path", {
    fill: fill,
    d: "M640 448l-213.333333-128v256z"
  }));
};

var SVG$1 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M518.8 512.7c0-178.9 116.1-330.9 278.5-389.1-45.6-16.3-94.6-25.7-145.9-25.7C417 97.9 227 283.7 227 512.7c0 229.1 190 414.8 424.5 414.8 51.4 0 100.3-9.4 145.9-25.7-162.5-58.1-278.6-210.1-278.6-389.1z"
  }));
};

var SVG$2 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M298.7 676.2l-52.3 52.3c-9.6 9.6-9.6 25.3 0 34.9 9.6 9.6 25.3 9.6 34.9 0l52.3-52.3c9.6-9.6 9.6-25.3 0-34.9-9.6-9.6-25.3-9.6-34.9 0z m-15-372.7c9.7 9.7 25.5 9.7 35.2 0 9.7-9.7 9.7-25.5 0-35.2l-52.8-52.8c-9.7-9.7-25.5-9.7-35.2 0-9.7 9.7-9.7 25.5 0 35.2l52.8 52.8z m-69.9 168.8h-74.7c-13.8 0-24.9 11.1-24.9 24.9 0 13.8 11.2 24.9 24.9 24.9h74.7c13.8 0 24.9-11.1 24.9-24.9 0-13.7-11.2-24.9-24.9-24.9z m298.8-249c13.8 0 24.9-11.1 24.9-24.9v-74.7c0-13.8-11.1-24.9-24.9-24.9s-24.9 11.1-24.9 24.9v74.7c0 13.8 11.2 24.9 24.9 24.9z m239.6 69.2l52.3-52.3c9.6-9.6 9.6-25.3 0-34.9-9.6-9.6-25.3-9.6-34.9 0l-52.3 52.3c-9.6 9.6-9.6 25.3 0 34.9 9.6 9.7 25.3 9.7 34.9 0z m133.9 179.8h-74.7c-13.8 0-24.9 11.1-24.9 24.9 0 13.8 11.1 24.9 24.9 24.9h74.7c13.8 0 24.9-11.1 24.9-24.9 0-13.7-11.1-24.9-24.9-24.9zM741.5 690.9c-9.7-9.7-25.5-9.7-35.2 0-9.7 9.7-9.7 25.5 0 35.2l52.8 52.8c9.7 9.7 25.5 9.7 35.2 0 9.7-9.7 9.7-25.5 0-35.2l-52.8-52.8zM512.6 273c-123.9 0-224.3 100.4-224.3 224.3s100.4 224.3 224.3 224.3 224.3-100.4 224.3-224.3S636.5 273 512.6 273z m0 498.1c-13.8 0-24.9 11.1-24.9 24.9v74.7c0 13.8 11.1 24.9 24.9 24.9s24.9-11.1 24.9-24.9V796c0-13.7-11.1-24.9-24.9-24.9z"
  }));
};

var SVG$3 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M758.528 512L384 886.528l-60.330667-60.330667 313.984-314.453333-310.954666-310.912L386.986667 140.501333z"
  }));
};

var SVG$4 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M238.336 512l374.528 374.528 60.330667-60.330667-313.984-314.453333 310.954666-310.912-60.330666-60.330667z"
  }));
};

var SVG$5 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    d: "M145.6 0C100.8 0 64 35.2 64 80v862.4C64 987.2 100.8 1024 145.6 1024h732.8c44.8 0 81.6-36.8 81.6-81.6V324.8L657.6 0h-512z",
    fill: "#8199AF",
    "p-id": "2680"
  }), React__default.createElement("path", {
    d: "M960 326.4v16H755.2s-100.8-20.8-99.2-108.8c0 0 4.8 92.8 97.6 92.8H960z",
    fill: "#617F9B",
    "p-id": "2681"
  }), React__default.createElement("path", {
    d: "M657.6 0v233.6c0 25.6 17.6 92.8 97.6 92.8H960L657.6 0z",
    fill: "#FFFFFF",
    opacity: ".5",
    "p-id": "2682"
  }), React__default.createElement("path", {
    d: "M489.6 664c17.6-19.2 17.6-48 0-67.2s-48-17.6-65.6 0l-147.2 147.2c-17.6 17.6-17.6 48 0 65.6s48 19.2 65.6 0l91.2-89.6c4.8-4.8 4.8-12.8 0-17.6s-14.4-6.4-19.2 0l-57.6 56c-8 8-19.2 8-27.2 0s-8-20.8 0-28.8l56-56c20.8-20.8 54.4-20.8 75.2 0 20.8 20.8 20.8 54.4 0 75.2l-89.6 89.6c-33.6 33.6-88 33.6-123.2 0-33.6-33.6-33.6-88 0-121.6l147.2-147.2c33.6-33.6 89.6-33.6 123.2 0 33.6 33.6 33.6 88 0 121.6l-14.4 14.4c-1.6-14.4-6.4-28.8-16-41.6h1.6z",
    fill: "#FFFFFF",
    "p-id": "2683"
  }));
};

var SVG$6 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M475.648 728.064L236.032 473.6c-14.848-15.872-18.944-38.912-11.264-59.392 8.192-20.48 26.624-33.792 47.616-33.792h479.744c20.992 0 39.424 13.312 47.616 33.792 2.56 6.656 4.096 13.824 4.096 20.992 0 14.336-5.12 28.16-15.36 38.4l-239.616 254.464c-9.728 10.24-23.04 15.872-36.352 15.872-14.336 0-27.136-5.632-36.864-15.872z"
  }));
};

var SVG$7 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M677.888 598.528l-254.464 239.616c-15.872 14.848-38.912 18.944-59.392 11.264-20.48-8.192-33.792-26.624-33.792-47.616V322.56c0-20.992 13.312-39.424 33.792-47.616 6.656-2.56 13.824-4.096 20.992-4.096 14.336 0 28.16 5.12 38.4 15.36l254.464 239.616c10.24 9.728 15.872 23.04 15.872 36.352 0.512 13.824-5.632 26.624-15.872 36.352z"
  }));
};

var SVG$8 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    d: "M522.666667 522.666667m-53.333334 0a53.333333 53.333333 0 1 0 106.666667 0 53.333333 53.333333 0 1 0-106.666667 0Z",
    fill: fill
  }), React__default.createElement("path", {
    d: "M266.666667 522.666667m-53.333334 0a53.333333 53.333333 0 1 0 106.666667 0 53.333333 53.333333 0 1 0-106.666667 0Z",
    fill: fill
  }), React__default.createElement("path", {
    d: "M778.666667 522.666667m-53.333334 0a53.333333 53.333333 0 1 0 106.666667 0 53.333333 53.333333 0 1 0-106.666667 0Z",
    fill: fill
  }));
};

var SVG$9 = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M938.64603 886.273219l-173.071777-173.074847c53.665247-63.987337 86.075401-146.400325 86.075401-236.446154 0-203.406666-164.895561-368.298134-368.301204-368.298134-203.409736 0-368.302227 164.892491-368.302227 368.298134 0 203.409736 164.892491 368.302227 368.302227 368.302227 89.246627 0 171.055864-31.767518 234.798631-84.579327l173.148525 173.148525c1.576915 1.576915 8.15575-2.443655 14.6957-8.979512l23.675212-23.675212C936.205445 894.428969 940.222945 887.850134 938.64603 886.273219zM483.347426 778.093381c-166.425404 0-301.338093-134.912689-301.338093-301.338093s134.912689-301.338093 301.338093-301.338093S784.685519 310.329884 784.685519 476.755288 649.773853 778.093381 483.347426 778.093381z"
  }));
};

var SVG$a = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    fill: fill,
    d: "M576 64H448v384H64v128h384v384h128V576h384V448H576z"
  }));
};

var SVG$b = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 22 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 18.7 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 18 16' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    preserveAspectRatio: "xMinYMin meet",
    width: width,
    height: height
  }, React__default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default.createElement("g", {
    transform: "translate(0.000000, 0.000007)"
  }, React__default.createElement("path", {
    d: "M15.8396584,2.58289418 L8.61752011,2.58289418 L6.1696488,0.130509602 C6.08473826,0.0462875302 5.96976481,-0.000681000602 5.85012509,-4.4408921e-15 L2.25037734,-4.4408921e-15 C1.00777667,-4.4408921e-15 0.000477621947,1.007383 0.000477621947,2.24990718 L0.000477621947,13.0493034 C-0.024613059,14.2668134 0.941990125,15.2741125 2.15942362,15.2992032 L2.16034157,15.2992032 L15.8396584,15.2992032 C17.0570919,15.2746479 18.0240776,14.2677314 17.9995224,13.0502979 L17.9995224,13.0493034 L17.9995224,4.83279389 C18.0246131,3.6152839 17.0580099,2.60798486 15.8405764,2.58289418 L15.8396584,2.58289418 Z",
    fill: "#7264C7"
  }), React__default.createElement("path", {
    d: "M5.02500122,3.90995406 C5.51319856,3.90995406 5.90898875,4.30566776 5.90898875,4.79386509 C5.90898875,5.13142591 5.71976385,5.42480743 5.44160487,5.57371884 L5.44109019,7.78495406 L12.4856515,7.78458737 C12.6301575,7.49311204 12.9307285,7.29272862 13.2780452,7.29272862 C13.7662426,7.29272862 14.1620328,7.68851881 14.1620328,8.17671615 C14.1620328,8.66491348 13.7662426,9.06070368 13.2780452,9.06070368 C12.9236883,9.06070368 12.6179914,8.85211427 12.4770572,8.5510087 L5.44109019,8.54995406 L5.44149123,10.9547212 C5.44149123,11.2319426 5.66707787,11.4575292 5.94429929,11.4575292 L12.4266114,11.4572917 C12.5306129,11.0848093 12.8724551,10.8115436 13.2780452,10.8115436 C13.7662426,10.8115436 14.1620328,11.2073338 14.1620328,11.6955312 C14.1620328,12.1837285 13.7662426,12.5795187 13.2780452,12.5795187 C12.987737,12.5795187 12.7300882,12.4395183 12.5689396,12.2233421 L5.94429929,12.222489 C5.24527904,12.222489 4.67653144,11.6537414 4.67653144,10.9547212 L4.67588826,5.60621629 C4.36134998,5.47082409 4.14109019,5.15805717 4.14109019,4.79386509 C4.14109019,4.30566776 4.53688038,3.90995406 5.02500122,3.90995406 Z",
    fill: "#FFFFFF"
  }))));
};

var SVG$c = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 22 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 22 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    preserveAspectRatio: "xMinYMin meet",
    width: width,
    height: height
  }, React__default.createElement("path", {
    d: "M565.228999 34.689634l112.062243 237.506364c8.702621 18.317097 25.411973 31.05108 44.816898 33.994614l250.736267 38.073966c48.688285 7.406826 68.213191 70.036902 32.930782 105.95921L824.307945 635.130487c-13.997782 14.237744-20.348775 34.810484-17.053298 54.927296l42.809217 261.086627c8.342678 50.687968-42.633244 89.441827-86.210339 65.50962l-224.276461-123.252469a57.030963 57.030963 0 0 0-55.271241 0l-224.276461 123.260467c-43.577095 23.91621-94.553017-14.82965-86.20234-65.509619l42.809216-261.094626c3.319474-20.116812-3.095509-40.697551-17.085293-54.927296L18.147691 450.223788C-17.126719 414.30148 2.326198 351.671404 51.070474 344.264578l250.704273-38.073966c19.348934-2.943534 36.074284-15.677516 44.752908-33.994614L458.63789 34.689634c21.820542-46.152687 84.826558-46.152687 106.58311 0z",
    fill: "#FFB11B"
  }));
};

var SVG$d = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 20 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 20 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 20 20' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height
  }, React__default.createElement("path", {
    d: "M7.84 14.955c.206 0 .37-.07.505-.21l4.277-4.179a.787.787 0 00.264-.574.78.78 0 00-.258-.574L8.35 5.24a.695.695 0 00-.51-.21.721.721 0 00-.498 1.247l3.814 3.721-3.814 3.709a.721.721 0 00.498 1.248z",
    fill: fill,
    fillRule: "nonzero"
  }));
};

var SVG$e = function SVG(_ref) {
  var _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style,
      _ref$fill = _ref.fill,
      fill = _ref$fill === void 0 ? '#7C7B7B"' : _ref$fill,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? 29 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 29 : _ref$height,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$viewBox = _ref.viewBox,
      viewBox = _ref$viewBox === void 0 ? '0 0 1024 1024' : _ref$viewBox;
  return React__default.createElement("svg", {
    className: "svg-icon " + (className || ''),
    style: style,
    viewBox: viewBox,
    version: "1.1",
    preserveAspectRatio: "xMinYMin meet",
    width: width,
    height: height
  }, React__default.createElement("path", {
    d: "M512 298.666667c117.333333 0 213.333333 96 213.333333 213.333333s-96 213.333333-213.333333 213.333333-213.333333-96-213.333333-213.333333S394.666667 298.666667 512 298.666667z",
    fill: fill
  }));
};

var Icon = function Icon(props) {
  switch (props.name) {
    case 'play':
      return React__default.createElement(SVG, Object.assign({}, props));

    case 'moon':
      return React__default.createElement(SVG$1, Object.assign({}, props));

    case 'sun':
      return React__default.createElement(SVG$2, Object.assign({}, props));

    case 'next':
      return React__default.createElement(SVG$3, Object.assign({}, props));

    case 'prev':
      return React__default.createElement(SVG$4, Object.assign({}, props));

    case 'attach':
      return React__default.createElement(SVG$5, Object.assign({}, props));

    case 'collapse':
      return React__default.createElement(SVG$6, Object.assign({}, props));

    case 'collapsed':
      return React__default.createElement(SVG$7, Object.assign({}, props));

    case 'more':
      return React__default.createElement(SVG$8, Object.assign({}, props));

    case 'preview':
      return React__default.createElement(SVG$9, Object.assign({}, props));

    case 'plus':
      return React__default.createElement(SVG$a, Object.assign({}, props));

    case 'pack':
      return React__default.createElement(SVG$b, Object.assign({}, props));

    case 'fav':
      return React__default.createElement(SVG$c, Object.assign({}, props));

    case 'lineCollapse':
      return React__default.createElement(SVG$d, Object.assign({}, props));

    case 'dot':
      return React__default.createElement(SVG$e, Object.assign({}, props));

    default:
      return null;
  }
};

var composing$1 = false;

var TreeNode$1 = function TreeNode(_ref) {
  var node = _ref.node,
      indent = _ref.indent,
      selectedBackgroundColor = _ref.selectedBackgroundColor,
      dragLineColor = _ref.dragLineColor,
      color = _ref.color,
      selectedColor = _ref.selectedColor,
      hoverColor = _ref.hoverColor,
      hoverBackgroundColor = _ref.hoverBackgroundColor,
      cutColor = _ref.cutColor,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      FONT_SIZE = _ref.FONT_SIZE,
      selected = _ref.selected,
      showIcon = _ref.showIcon,
      disabled = _ref.disabled,
      showChildNum = _ref.showChildNum,
      showMoreButton = _ref.showMoreButton,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      handleClickExpand = _ref.handleClickExpand,
      handleClickIcon = _ref.handleClickIcon,
      clickMore = _ref.clickMore,
      showInput = _ref.showInput,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleDrag = _ref.handleDrag,
      handleDrop = _ref.handleDrop,
      pasteNodeKey = _ref.pasteNodeKey,
      compId = _ref.compId,
      collapseMode = _ref.collapseMode,
      collapseModeCollapsed = _ref.collapseModeCollapsed,
      draggable = _ref.draggable,
      storageData = _ref.storageData,
      startAdornment = _ref.startAdornment,
      customActionButtons = _ref.customActionButtons;
  var width = 20;
  var containerRef = React.useRef(null);

  var _useState = React.useState(false),
      hover = _useState[0],
      sethover = _useState[1];

  var _useState2 = React.useState(node.name),
      value = _useState2[0],
      setValue = _useState2[1];

  var _useState3 = React.useState(false),
      dragStarted = _useState3[0],
      setDragStarted = _useState3[1];

  var _useState4 = React.useState(false),
      isDragOver = _useState4[0],
      setIsDragOver = _useState4[1];

  var _useState5 = React.useState(false),
      isDragIn = _useState5[0],
      setIsDragIn = _useState5[1];

  var iconIsEmoji = React.useMemo(function () {
    return isEmoji(node.icon);
  }, [node.icon]);

  function rectClassName(node) {
    // 选中的节点
    if (selected === node._key) {
      return 'selected';
    } else return '';
  }

  function handleClickMore(e) {
    clickMore(node, e);
  }

  function handleClick(e) {
    e.stopPropagation();
    handleClickExpand(node);
  }

  function handleCommit(event) {
    if (composing$1) {
      return;
    }

    if (event.key === 'Enter' && selected) {
      handleChangeNodeText(selected, value);
    }
  }

  var handleClickoutside = function handleClickoutside() {
    if (selected && value) {
      handleChangeNodeText(selected, value);
    }
  };

  function handleDragStart(e) {
    e.dataTransfer.dropEffect = 'move';
    setDragStarted(true);
    sessionStorage.setItem('dragNodeId', node._key);
    sessionStorage.setItem('cross-comp-drag', node._key);
    sessionStorage.setItem('cross-drag-compId', compId); // if (!editable) {
    //   dispatch(setCopyInfo(null, node._key, node.name, nodeKey));
    // }

    if (handleDrag) {
      handleDrag(node, e);
    }
  }

  function handleDropNode(event) {
    setIsDragOver(false);
    sessionStorage.setItem('dropNodeId', node._key);
    sessionStorage.setItem('placement', isDragIn ? 'in' : 'down');
    handleDrop(event);
    sessionStorage.removeItem('cross-comp-drag');
    sessionStorage.removeItem('cross-drag-compId');
  }

  function handleDragOver(e) {
    if (!node.disabled) {
      e.preventDefault();
    }

    if (!isDragOver) {
      setIsDragOver(true);
    }

    if (BLOCK_HEIGHT - e.nativeEvent.offsetY > 5) {
      setIsDragIn(true);
    } else {
      setIsDragIn(false);
    }
  }

  function handleDragLeave() {
    setIsDragOver(false);
  }

  function handleDragEnd() {
    setDragStarted(false);
  }

  function handleClickLink(type, url) {
    if (type === 'link') {
      if (url.includes('http')) {
        window.open(url, '_blank');
      } else {
        window.open("http://" + url, '_blank');
      }
    }
  }

  var nodeRectClassName = rectClassName(node);
  var nameLinkArr = [];

  if (urlReg.test(node.name)) {
    var arr1 = [];
    var matchList = node.name.match(urlReg);

    if (matchList) {
      var tempText = node.name;
      var textList = [];

      for (var index = 0; index < matchList.length; index++) {
        var element = matchList[index];
        tempText = tempText.replace(element, '!@#');
      }

      textList = tempText.split('!@#');

      for (var _index = 0; _index < textList.length; _index++) {
        var text = textList[_index];
        arr1.push(text);

        if (matchList[_index]) {
          arr1.push(matchList[_index]);
        }
      }
    }

    var marginLeft = 0;
    var count = 0;

    if (arr1 && arr1.length) {
      for (var _index2 = 0; _index2 < arr1.length; _index2++) {
        var name = arr1[_index2];

        if (_index2 !== 0) {
          marginLeft += textWidthAll(FONT_SIZE, arr1[_index2 - 1]);
        }

        var type = urlReg.test(name) ? 'link' : 'text';
        var shortedName = '';

        if (node.shorted) {
          for (var _index3 = 0; _index3 < name.length; _index3++) {
            if (count < 28) {
              var _char = name[_index3]; // 全角

              if (_char.match(/[^\x00-\xff]/g)) {
                count++;
              } else {
                count += 0.5;
              }

              shortedName += _char;
            } else {
              break;
            }
          }

          if (count >= 28) {
            shortedName = shortedName + "...";
          }
        }

        if (count >= 28) {
          nameLinkArr.push({
            text: name,
            shortedName: shortedName,
            type: type,
            marginLeft: marginLeft
          });
          break;
        } else {
          nameLinkArr.push({
            text: name,
            type: type,
            marginLeft: marginLeft
          });
        }
      }
    }
  }

  var collapsed;

  if (collapseMode) {
    collapsed = collapseModeCollapsed;
  } else {
    collapsed = node.contract;
  }

  var storagedData;

  if (storageData) {
    var temp = {};

    for (var _index4 = 0; _index4 < storageData.length; _index4++) {
      var fieldName = storageData[_index4]; // @ts-ignore

      temp[fieldName] = node[fieldName];
    }

    storagedData = JSON.stringify(temp);
  }

  return node.x && node.y ? React__default.createElement("div", {
    id: "menu-item-" + node._key,
    className: "menu-item",
    onClick: function onClick(e) {
      e.stopPropagation();
      handleClickNode(node);
    },
    onDoubleClick: function onDoubleClick(e) {
      e.stopPropagation();
      handleDbClickNode(node);
    },
    onMouseEnter: function onMouseEnter() {
      return sethover(true);
    },
    onMouseLeave: function onMouseLeave() {
      return sethover(false);
    },
    style: {
      width: '100%',
      height: BLOCK_HEIGHT + "px",
      display: 'flex',
      alignItems: 'center',
      // fontFamily: "'Microsoft YaHei', sans-serif",
      userSelect: 'none',
      cursor: hover ? 'pointer' : 'default',
      paddingLeft: node.x - indent + "px",
      fontSize: FONT_SIZE + "px",
      boxSizing: 'border-box',
      backgroundColor: hover ? hoverBackgroundColor : nodeRectClassName === 'selected' ? selectedBackgroundColor : 'unset',
      borderStyle: 'solid',
      borderColor: dragLineColor,
      borderWidth: isDragOver ? isDragIn ? '3px' : '0 0 2px 0' : 0
    },
    draggable: draggable ? showInput || disabled || node.disabled ? false : true : false,
    onDragStart: handleDragStart,
    onDragOver: handleDragOver,
    onDragLeave: handleDragLeave,
    onDrop: handleDropNode,
    onDragEnd: handleDragEnd,
    ref: containerRef,
    "data-detail": storagedData
  }, React__default.createElement("div", {
    style: {
      width: width + "px",
      marginRight: '4px'
    }
  }, node.sortList && node.sortList.length ? React__default.createElement("div", {
    onClick: handleClick,
    style: {
      transform: collapsed ? 'unset' : 'rotate(90deg)',
      transition: 'transform 0.3s',
      WebkitTransform: 'transform 0.3s',
      lineHeight: '100%'
    }
  }, React__default.createElement(Icon, {
    name: "lineCollapse",
    width: width,
    height: width,
    fill: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color
  })) : React__default.createElement("div", {
    style: {
      width: width,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, React__default.createElement(Icon, {
    name: "dot",
    width: 10,
    height: 10,
    fill: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color
  }))), startAdornment ? startAdornment(node, nodeRectClassName === 'selected' ? true : false, hover) : null, showIcon && node.icon ? iconIsEmoji ? React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      lineHeight: '22px'
    }
  }, node.icon) : React__default.createElement("div", {
    className: "menu-item-icon-" + (node.type || 'node'),
    style: {
      width: '22px',
      height: '22px',
      backgroundImage: "url(\"" + node.icon + "\")",
      backgroundPosition: 'center',
      backgroundSize: 'contain',
      backgroundRepeat: 'no-repeat',
      marginRight: '4px',
      flexShrink: 0
    },
    onClick: function onClick() {
      return handleClickIcon(node);
    }
  }) : null, showInput ? React__default.createElement(ClickOutside, {
    onClickOutside: handleClickoutside
  }, React__default.createElement("input", {
    autoFocus: true,
    placeholder: "untitled",
    value: value,
    style: {
      boxSizing: 'border-box',
      border: '1px solid #000000',
      outline: 'none'
    },
    onChange: function onChange(e) {
      return setValue(e.target.value);
    },
    onKeyDown: function onKeyDown(e) {
      return handleCommit(e);
    },
    onBlur: function onBlur() {
      return handleChangeNodeText(selected, value);
    },
    onMouseDown: function onMouseDown(e) {
      return e.stopPropagation();
    },
    onContextMenu: function onContextMenu(e) {
      return e.stopPropagation();
    },
    onCompositionStart: function onCompositionStart() {
      return composing$1 = true;
    },
    onCompositionEnd: function onCompositionEnd() {
      return composing$1 = false;
    }
  })) : nameLinkArr.length ? React__default.createElement("span", {
    style: {
      fontSize: FONT_SIZE + "px",
      // fontFamily: "'Microsoft YaHei', sans-serif",
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      display: 'flex'
    }
  }, nameLinkArr.map(function (name, index) {
    return React__default.createElement("span", {
      key: index,
      style: {
        color: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color,
        textDecoration: name.type === 'link' ? 'underline' : 'unset',
        fontWeight: nodeRectClassName === 'selected' ? 'bold' : 'normal'
      },
      onClick: function onClick() {
        return handleClickLink(name.type, name.text);
      }
    }, name.text || '');
  }), showChildNum ? React__default.createElement("span", {
    style: {
      color: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color,
      fontWeight: nodeRectClassName === 'selected' ? 'bold' : 'normal'
    }
  }, " (" + (node.childNum || node.sortList.length) + ")") : null) : React__default.createElement("span", {
    style: {
      fontSize: FONT_SIZE + "px",
      // fontFamily: "'Microsoft YaHei', sans-serif",
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      color: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color,
      fontWeight: nodeRectClassName === 'selected' ? 800 : 'normal'
    }
  }, "" + (node.name || '') + (showChildNum ? " (" + (node.childNum || node.sortList.length) + ")" : '')), React__default.createElement("div", {
    style: {
      flex: 1
    }
  }), customActionButtons && hover ? customActionButtons(node, nodeRectClassName === 'selected' ? true : false, hover) : null, showMoreButton ? React__default.createElement("div", {
    onClick: handleClickMore,
    style: {
      opacity: hover && !dragStarted ? 1 : 0,
      height: '100%',
      display: 'flex',
      alignItems: 'center'
    }
  }, React__default.createElement("svg", {
    viewBox: "0 0 1024 1024",
    version: "1.1",
    xmlns: "http://www.w3.org/2000/svg",
    width: BLOCK_HEIGHT,
    height: BLOCK_HEIGHT - 8
  }, React__default.createElement("path", {
    d: "M426.666667 512a85.333333 85.333333 0 1 1 170.709333 0.042667A85.333333 85.333333 0 0 1 426.666667 512z m0 298.666667a85.333333 85.333333 0 1 1 170.709333 0.042666A85.333333 85.333333 0 0 1 426.666667 810.666667z m0-597.333334a85.333333 85.333333 0 1 1 170.709333 0.042667A85.333333 85.333333 0 0 1 426.666667 213.333333z",
    fill: hoverColor
  }))) : null) : null;
};

var isMac$1 = /*#__PURE__*/ /macintosh|mac os x/i.test(navigator.userAgent);
var MenuTree = /*#__PURE__*/React__default.forwardRef(function (_ref, ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      backgroundColor = _ref.backgroundColor,
      selectedBackgroundColor = _ref.selectedBackgroundColor,
      dragLineColor = _ref.dragLineColor,
      color = _ref.color,
      selectedColor = _ref.selectedColor,
      hoverColor = _ref.hoverColor,
      _ref$hoverBackgroundC = _ref.hoverBackgroundColor,
      hoverBackgroundColor = _ref$hoverBackgroundC === void 0 ? '#4d4d4d' : _ref$hoverBackgroundC,
      cutColor = _ref.cutColor,
      defaultSelectedId = _ref.defaultSelectedId,
      uncontrolled = _ref.uncontrolled,
      itemHeight = _ref.itemHeight,
      _ref$topBottomMargin = _ref.topBottomMargin,
      topBottomMargin = _ref$topBottomMargin === void 0 ? 5 : _ref$topBottomMargin,
      _ref$lineHeight = _ref.lineHeight,
      lineHeight = _ref$lineHeight === void 0 ? 20 : _ref$lineHeight,
      fontSize = _ref.fontSize,
      _ref$indent = _ref.indent,
      indent = _ref$indent === void 0 ? 18 : _ref$indent,
      disableShortcut = _ref.disableShortcut,
      disabled = _ref.disabled,
      showMoreButton = _ref.showMoreButton,
      showIcon = _ref.showIcon,
      _ref$showChildNum = _ref.showChildNum,
      showChildNum = _ref$showChildNum === void 0 ? false : _ref$showChildNum,
      startAdornment = _ref.startAdornment,
      customActionButtons = _ref.customActionButtons,
      handleClickExpand = _ref.handleClickExpand,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      handleClickIcon = _ref.handleClickIcon,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleAddNext = _ref.handleAddNext,
      handleAddChild = _ref.handleAddChild,
      handleDeleteNode = _ref.handleDeleteNode,
      handleClickMoreButton = _ref.handleClickMoreButton,
      handleShiftUpDown = _ref.handleShiftUpDown,
      handlePaste = _ref.handlePaste,
      handleDragStart = _ref.handleDragStart,
      handleDrag = _ref.handleDrag,
      collapseMode = _ref.collapseMode,
      _ref$draggable = _ref.draggable,
      draggable = _ref$draggable === void 0 ? true : _ref$draggable,
      storageData = _ref.storageData,
      hideRoot = _ref.hideRoot,
      _ref$paddingLeft = _ref.paddingLeft,
      paddingLeft = _ref$paddingLeft === void 0 ? 0 : _ref$paddingLeft;
  var clickTimeId;
  var ITEM_HEIGHT = itemHeight || 32;
  var BLOCK_HEIGHT = topBottomMargin * 2 + lineHeight;
  var FONT_SIZE = fontSize || 14; // const AVATAR_WIDTH = avatarWidth || 22;
  // const CHECK_BOX_WIDTH = checkBoxWidth || 18;

  var UNCONTROLLED = uncontrolled === undefined ? true : uncontrolled;
  var SHOW_ICON = showIcon === undefined ? true : showIcon;

  var _useState = React.useState(nodes),
      nodeMap = _useState[0],
      setNodeMap = _useState[1];

  var _useState2 = React.useState([]),
      cnodes = _useState2[0],
      setcnodes = _useState2[1]; // const [maxX, setmaxX] = useState(0);


  var _useState3 = React.useState(null),
      selectedId = _useState3[0],
      setselectedId = _useState3[1];

  var _useState4 = React.useState(false),
      showInput = _useState4[0],
      setshowInput = _useState4[1];

  var _useState5 = React.useState(false),
      showNewInput = _useState5[0],
      setshowNewInput = _useState5[1]; // 粘貼的節點key


  var _useState6 = React.useState(null),
      pasteNodeKey = _useState6[0],
      setPasteNodeKey = _useState6[1]; // 粘貼方式


  var _useState7 = React.useState(null),
      pasteType = _useState7[0],
      setPasteType = _useState7[1];

  var _useState8 = React.useState(''),
      compId = _useState8[0],
      setCompId = _useState8[1];

  var containerRef = React.useRef(null);

  var _useState9 = React.useState(startId),
      expandedNodeKey = _useState9[0],
      setExpandedNodeKey = _useState9[1];

  var _useState10 = React.useState([]),
      ancestorList = _useState10[0],
      setAncestorList = _useState10[1]; // 暴露方法


  React.useImperativeHandle(ref, function () {
    return {
      deleteNode: deletenode,
      saveNodes: saveNodes,
      addNext: addNext,
      addChild: addChild,
      rename: function rename() {
        if (selectedId) {
          setshowInput(true);
        }
      },
      clearSelect: function clearSelect() {
        setselectedId(null);
      }
    };
  });
  React.useEffect(function () {
    setCompId(guid(8, 16));
  }, []); // 参数nodes发生改变，重设nodeMap

  React.useEffect(function () {
    setNodeMap(nodes);
  }, [nodes]); // nodeMap发生改变，根据nodeMap计算渲染所需数据

  React.useEffect(function () {
    console.log('根据nodeMap计算渲染所需数据');

    if (!nodeMap[startId]) {
      return;
    }

    var cal = calculate(nodeMap, startId, true, ITEM_HEIGHT, topBottomMargin, lineHeight, indent, FONT_SIZE, 3000, SHOW_ICON, false, 11, 1, 1, paddingLeft + indent, 0, 0, collapseMode, expandedNodeKey, undefined, hideRoot);

    if (cal) {
      cal.nodes.sort(function (a, b) {
        return a.y - b.y;
      });
      setcnodes(cal.nodes);
    }
  }, [nodeMap, startId, expandedNodeKey]);
  React.useEffect(function () {
    if (collapseMode && expandedNodeKey && nodeMap[expandedNodeKey]) {
      var _ancestorList = getAncestor(nodes[expandedNodeKey], nodes, true);

      setAncestorList(_ancestorList);
    }
  }, [nodeMap, expandedNodeKey]);
  React.useEffect(function () {
    if (defaultSelectedId) {
      setselectedId(defaultSelectedId);

      if (nodeMap && nodeMap[defaultSelectedId]) {
        setExpandedNodeKey(defaultSelectedId);
      }
    }
  }, [defaultSelectedId]); // 单击节点

  function clickNode(node) {
    clearTimeout(clickTimeId);
    clickTimeId = setTimeout(function () {
      setselectedId(node._key);

      if (handleClickNode) {
        handleClickNode(node);
      }
    }, 250);
  } // 双击节点


  function dbClickNode(node) {
    if (disabled || node.disabled) {
      return;
    }

    clearTimeout(clickTimeId);
    setselectedId(node._key);
    setshowInput(true);

    if (handleDbClickNode) {
      handleDbClickNode(node);
    }
  } // 展开/收起节点


  function handleExpand(node) {
    if (collapseMode) {
      if (expandedNodeKey === node._key) {
        setExpandedNodeKey(node.father || null);
      } else {
        setExpandedNodeKey(node._key);

        if (handleClickExpand && node.contract) {
          handleClickExpand(node);
        }
      }
    } else {
      if (UNCONTROLLED) {
        var _nodes = dot(nodeMap, node._key);

        setNodeMap(_nodes);
      }

      if (handleClickExpand) {
        handleClickExpand(node);
      }
    }
  }

  function clickIcon(node) {
    if (handleClickIcon) {
      handleClickIcon(node);
    }
  } // 节点改名


  function changeText(nodeId, text) {
    setshowInput(false);
    setshowNewInput(false);

    if (UNCONTROLLED) {
      var _nodes2 = changeNodeText(nodeMap, nodeId, text);

      setNodeMap(_nodes2);
    }

    if (handleChangeNodeText) {
      handleChangeNodeText(nodeId, text);
    }

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }
  } // 添加平级节点


  function addNext() {
    if (!selectedId) {
      return;
    }

    if (selectedId === startId) {
      return alert('根节点无法添加兄弟节点！');
    }

    if (UNCONTROLLED) {
      var res = addNextNode(nodeMap, selectedId);

      if (handleAddNext) {
        handleAddNext(selectedId, res.addedNode);
      }

      setselectedId(res.addedNode._key);
      setNodeMap(res.nodes);
      setshowInput(true);
    } else {
      if (handleAddNext) {
        handleAddNext(selectedId);
      }
    }
  } // 添加子节点


  function addChild() {
    if (!selectedId) {
      return;
    }

    if (UNCONTROLLED) {
      var res = addChildNode(nodeMap, selectedId);

      if (handleAddChild) {
        handleAddChild(selectedId, res.addedNode);
      }

      setExpandedNodeKey(selectedId);
      setselectedId(res.addedNode._key);
      setNodeMap(res.nodes);
      setshowInput(true);
    } else {
      if (handleAddChild) {
        handleAddChild(selectedId);
      }
    }
  } // 删除节点


  function deletenode() {
    if (!selectedId) {
      return;
    }

    if (selectedId === startId) {
      return alert('根节点不允许删除！');
    }

    if (UNCONTROLLED) {
      var res = deleteNode(nodeMap, selectedId);

      if (handleDeleteNode) {
        handleDeleteNode(selectedId);
      }

      setselectedId(null);
      setNodeMap(res.nodes);
    } else {
      if (handleDeleteNode) {
        handleDeleteNode(selectedId);
      }
    }
  } // 節點上移


  function shiftUp() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'up');

    if (res) {
      if (UNCONTROLLED) {
        setNodeMap(res.nodes);
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'up');
        }
      }
    }
  } // 節點下移


  function shiftDown() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'down');

    if (res) {
      if (UNCONTROLLED) {
        setNodeMap(res.nodes);
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'down');
        }
      }
    }
  }

  function saveNodes() {
    return nodeMap;
  }

  function handleKeyDown(event) {
    if (disabled || disableShortcut || showInput || showNewInput) {
      return;
    }

    event.preventDefault();
    var commandKey = isMac$1 ? event.metaKey : event.ctrlKey;

    switch (event.key) {
      case 'Enter':
        addNext();
        break;

      case 'Tab':
        addChild();
        break;

      case 'Delete':
      case 'Backspace':
        deletenode();
        break;

      case 'ArrowUp':
        if (event.shiftKey) {
          shiftUp();
        }

        break;

      case 'ArrowDown':
        if (event.shiftKey) {
          shiftDown();
        }

        break;
      // 複製

      case 'c':
        if (commandKey && selectedId) {
          setPasteNodeKey(selectedId);
          setPasteType('copy');
        }

        break;
      // 剪切

      case 'x':
        if (commandKey && selectedId) {
          // 根節點不允許剪切
          if (selectedId === startId) {
            setPasteNodeKey(null);
            setPasteType(null);
            return;
          }

          setPasteNodeKey(selectedId);
          setPasteType('cut');
        }

        break;
      // 粘貼

      case 'v':
        if (commandKey && pasteType && pasteNodeKey && selectedId) {
          if (UNCONTROLLED) {
            var res = pasteNode(nodeMap, pasteNodeKey, pasteType, selectedId);

            if (res) {
              setNodeMap(res);
            }
          } else if (handlePaste) {
            handlePaste(pasteNodeKey, pasteType, selectedId);
          }

          setPasteNodeKey(null);
          setPasteType(null);
        }

        break;
    }
  }

  function handleClickMore(node, event) {
    if (handleClickMoreButton) {
      handleClickMoreButton(node, event.currentTarget);
    }
  }

  function handleDrop(event) {
    var dragNodeId = sessionStorage.getItem('dragNodeId');
    var dropNodeId = sessionStorage.getItem('dropNodeId');
    var placement = sessionStorage.getItem('placement');

    if (!dropNodeId) {
      return;
    }

    var dragInfo = {
      dragNodeId: dragNodeId || '',
      dropNodeId: dropNodeId,
      placement: placement
    };

    if (UNCONTROLLED) {
      var res = dragSort(nodeMap, dragNodeId || '', dropNodeId, dragInfo.placement);

      if (res) {
        setNodeMap(res);
      }
    } else if (handleDrag) {
      handleDrag(dragNodeId || '', dragInfo, event);
    }
  }

  return React__default.createElement("div", {
    className: "menu-wrapper",
    style: {
      position: 'relative',
      outline: 'none',
      width: '100%',
      backgroundColor: backgroundColor || '#333333'
    },
    tabIndex: -1,
    ref: containerRef,
    onKeyDown: function onKeyDown(e) {
      return handleKeyDown(e);
    }
  }, cnodes.map(function (node, index) {
    return React__default.createElement(TreeNode$1, {
      key: index + "_" + node._key,
      startId: startId,
      indent: indent,
      node: node,
      BLOCK_HEIGHT: BLOCK_HEIGHT,
      FONT_SIZE: FONT_SIZE,
      selectedBackgroundColor: selectedBackgroundColor || '#00CDD3',
      dragLineColor: dragLineColor || '#00CDD3',
      color: color || '#CDD0D2',
      selectedColor: selectedColor || '#FFF',
      hoverColor: hoverColor || '#FFF',
      hoverBackgroundColor: hoverBackgroundColor,
      selected: selectedId,
      showIcon: SHOW_ICON,
      disabled: disabled || false,
      showChildNum: showChildNum,
      cutColor: cutColor || 'rgba(255,255,255,0.5)',
      pasteNodeKey: pasteType === 'cut' ? pasteNodeKey : null,
      showMoreButton: showMoreButton && !disabled ? true : false,
      handleClickNode: clickNode,
      handleDbClickNode: dbClickNode,
      clickMore: handleClickMore,
      handleClickExpand: handleExpand,
      showInput: (showInput || showNewInput) && selectedId === node._key,
      handleChangeNodeText: changeText,
      handleClickIcon: clickIcon,
      handleDrag: handleDragStart,
      handleDrop: handleDrop,
      compId: compId,
      collapseMode: collapseMode,
      collapseModeCollapsed: collapseMode ? expandedNodeKey ? !ancestorList.includes(node._key) : true : undefined,
      draggable: draggable,
      storageData: storageData,
      startAdornment: startAdornment,
      customActionButtons: customActionButtons
    });
  }));
});

var ThemeContext = /*#__PURE__*/React__default.createContext({});
var MiniMenu = function MiniMenu(_ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      dropdownNodeKeyList = _ref.dropdownNodeKeyList,
      width = _ref.width,
      backgroundColor = _ref.backgroundColor,
      selectedBackgroundColor = _ref.selectedBackgroundColor,
      color = _ref.color,
      itemHeight = _ref.itemHeight,
      fontSize = _ref.fontSize,
      columnSpacing = _ref.columnSpacing,
      borderRadius = _ref.borderRadius,
      normalFirstLevel = _ref.normalFirstLevel,
      handleClickNode = _ref.handleClickNode,
      handleClickExpand = _ref.handleClickExpand,
      handleMouseEnter = _ref.handleMouseEnter,
      handleMouseLeave = _ref.handleMouseLeave,
      handleCrossCompDrag = _ref.handleCrossCompDrag,
      tools = _ref.tools;
  var WIDTH = width || 48;
  var ITEM_HEIGHT = itemHeight || 48;
  var rootNode = nodes[startId];
  var BKCOLOR = backgroundColor || 'rgb(51, 51, 51)';
  var SEL_BKCOLOR = selectedBackgroundColor || 'rgb(0, 205, 211)';
  var COLOR = color || 'rgb(205, 208, 210)';
  var FONT_SIZE = fontSize || 14;

  var _useState = React.useState(''),
      compId = _useState[0],
      setCompId = _useState[1];

  React.useEffect(function () {
    setCompId(guid(8, 16));
  }, []); // 當前點擊的節點id
  // const [selectedId, setSelectedId] = useState<string | null>(null);
  // 當前點擊的節點id所在的第一列節點id
  // const [firstLevelId, setFirstLevelId] = useState<string | null>(null);
  // useEffect(() => {
  //   function getFatherId(node: Node): string | null {
  //     if (node.father === startId) {
  //       return node._key;
  //     } else if (nodes[node.father]) {
  //       return getFatherId(nodes[node.father]);
  //     } else return null;
  //   }
  //   if (selectedId && nodes[selectedId]) {
  //     const id = getFatherId(nodes[selectedId]);
  //     if (id) {
  //       setFirstLevelId(id);
  //     }
  //   }
  // }, [selectedId]);

  var keyList = dropdownNodeKeyList ? dropdownNodeKeyList : rootNode && rootNode.sortList ? rootNode.sortList : [];
  return React__default.createElement("div", {
    style: {
      width: (normalFirstLevel ? 180 : WIDTH) + "px",
      color: COLOR,
      fontSize: FONT_SIZE + "px",
      backgroundColor: BKCOLOR
    }
  }, React__default.createElement(ThemeContext.Provider, {
    value: {
      nodes: nodes,
      width: WIDTH,
      height: ITEM_HEIGHT,
      backgroundColor: BKCOLOR,
      color: COLOR,
      handleClickNode: handleClickNode,
      // setSelectedId,
      selectedBackgroundColor: SEL_BKCOLOR,
      handleClickExpand: handleClickExpand,
      handleMouseEnter: handleMouseEnter,
      handleMouseLeave: handleMouseLeave,
      handleCrossCompDrag: handleCrossCompDrag
    }
  }, keyList.map(function (key, index) {
    return nodes[key] ? React__default.createElement(MenuItem, {
      key: index + "_" + key,
      node: nodes[key],
      firstLevel: normalFirstLevel ? false : true,
      columnSpacing: columnSpacing,
      borderRadius: borderRadius,
      compId: compId,
      // selectedId={firstLevelId}
      tools: tools
    }) : null;
  })));
};

var MenuItem = function MenuItem(_ref2) {
  var node = _ref2.node,
      firstLevel = _ref2.firstLevel,
      columnSpacing = _ref2.columnSpacing,
      borderRadius = _ref2.borderRadius,
      compId = _ref2.compId,
      tools = _ref2.tools;
  var configProps = React.useContext(ThemeContext);

  var _useState2 = React.useState(false),
      hover = _useState2[0],
      setHover = _useState2[1];

  var nodes = configProps.nodes;
  var width = configProps.width;
  var height = configProps.height;
  var backgroundColor = configProps.backgroundColor;
  var color = configProps.color;
  var iconIsEmoji = React.useMemo(function () {
    return isEmoji(node.icon);
  }, [node.icon]);

  function handleClick(e) {
    e.stopPropagation();

    if (configProps.handleClickNode) {
      // configProps.setSelectedId(node._key);
      configProps.handleClickNode(node);
    }
  }

  function clickExpand(e) {
    e.stopPropagation();

    if (configProps.handleClickExpand) {
      configProps.handleClickExpand(node);
    }
  }

  function handleMouseEnter() {
    setHover(true);

    if (firstLevel && configProps.handleMouseEnter) {
      configProps.handleMouseEnter();
    }
  }

  function handleMouseLeave() {
    setHover(false);

    if (firstLevel && configProps.handleMouseLeave) {
      configProps.handleMouseLeave();
    }
  }

  function handleMouseUp() {
    var crossCompDragId = sessionStorage.getItem('cross-comp-drag');
    var crossDragCompId = sessionStorage.getItem('cross-drag-compId');

    if (crossCompDragId && configProps.handleCrossCompDrag && crossDragCompId !== compId) {
      configProps.handleCrossCompDrag(crossCompDragId, node._key);
      sessionStorage.removeItem('cross-comp-drag');
      sessionStorage.removeItem('cross-comp-drop');
      sessionStorage.removeItem('cross-drag-compId');
    }
  }

  return React__default.createElement("div", {
    style: {
      width: (firstLevel ? width : 180) + "px",
      height: height + "px",
      position: 'relative',
      display: 'flex',
      justifyContent: firstLevel ? 'center' : 'flex-start',
      alignItems: 'center',
      cursor: 'pointer',
      boxSizing: 'border-box',
      padding: '0 15px',
      // backgroundColor:
      //   node._key === selectedId
      //     ? configProps.selectedBackgroundColor
      //     : 'unset',
      backgroundColor: hover ? configProps.selectedBackgroundColor : 'unset'
    },
    onMouseEnter: handleMouseEnter,
    onMouseLeave: handleMouseLeave,
    onClick: function onClick(e) {
      return handleClick(e);
    },
    onMouseUp: handleMouseUp
  }, node.icon ? iconIsEmoji ? React__default.createElement("div", {
    style: {
      marginRight: firstLevel ? 0 : '8px',
      marginLeft: '-2px',
      fontSize: '18px'
    }
  }, node.icon) : React__default.createElement("i", {
    style: {
      width: '22px',
      height: '22px',
      backgroundImage: "url(\"" + node.icon + "\")",
      backgroundPosition: 'center',
      backgroundSize: 'contain',
      backgroundRepeat: 'no-repeat',
      marginRight: firstLevel ? 0 : '8px',
      flexShrink: 0
    }
  }) : // 如果沒有圖標，顯示name首個字符
  firstLevel ? React__default.createElement("div", null, node.name.substring(0, 1)) : null, !firstLevel ? // 節點名
  React__default.createElement("span", {
    style: {
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      color: hover ? '#FFF' : color
    }
  }, node.name || '') : null, React__default.createElement("div", {
    style: {
      flex: 1
    }
  }), !firstLevel && tools && hover ? tools(node._key) : null, !firstLevel && node && node.sortList.length ? React__default.createElement("div", {
    style: {
      position: 'absolute',
      right: '3px'
    },
    onClick: function onClick(e) {
      return clickExpand(e);
    }
  }, React__default.createElement("svg", {
    width: "12px",
    height: "12px",
    viewBox: "0 0 12 12",
    version: "1.1"
  }, React__default.createElement("g", null, React__default.createElement("path", {
    d: "M " + 12 / 4 + " 0 L " + (12 / 4 + 12 / 2) + " " + 12 / 2 + " L " + 12 / 4 + " " + 12 + " Z",
    fill: hover ? '#FFF' : color
  })))) : null, hover ? // 鼠標移上顯示子菜單
  React__default.createElement("div", {
    className: "subMenuWrapper",
    style: {
      position: 'absolute',
      top: 0,
      left: (firstLevel ? width : 180) + "px",
      paddingLeft: (columnSpacing === undefined ? 1 : columnSpacing) + "px"
    }
  }, React__default.createElement("div", {
    style: {
      backgroundColor: backgroundColor,
      borderRadius: borderRadius === undefined ? '0' : borderRadius
    }
  }, node && node.sortList && node.sortList.map(function (key, index) {
    return nodes[key] ? React__default.createElement(MenuItem, {
      key: index + "_" + key,
      node: nodes[key],
      columnSpacing: columnSpacing,
      borderRadius: borderRadius,
      compId: compId,
      tools: tools
    }) : null;
  }))) : null);
};

var CatalogItem = function CatalogItem(_ref) {
  var node = _ref.node,
      indent = _ref.indent,
      color = _ref.color,
      hoverColor = _ref.hoverColor,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      FONT_SIZE = _ref.FONT_SIZE,
      fontWeight = _ref.fontWeight,
      handleClickNode = _ref.handleClickNode,
      handleClickExpand = _ref.handleClickExpand,
      info = _ref.info;

  var _useState = React.useState(false),
      hover = _useState[0],
      sethover = _useState[1];

  var width = 12;

  function handleClick(e) {
    e.stopPropagation();
    handleClickExpand();
  }

  return node.x && node.y ? React__default.createElement("div", {
    onClick: function onClick() {
      return handleClickNode(node);
    },
    onMouseEnter: function onMouseEnter() {
      return sethover(true);
    },
    onMouseLeave: function onMouseLeave() {
      return sethover(false);
    },
    style: {
      width: '100%',
      height: BLOCK_HEIGHT + "px",
      display: 'flex',
      alignItems: 'center',
      color: hover ? hoverColor : color,
      // fontFamily: "'Microsoft YaHei', sans-serif",
      userSelect: 'none',
      cursor: hover ? 'pointer' : 'default',
      paddingLeft: node.x - indent + "px",
      fontSize: FONT_SIZE + "px",
      boxSizing: 'border-box'
    }
  }, React__default.createElement("div", {
    style: {
      width: width + "px",
      marginRight: '8px'
    }
  }, node.sortList && node.sortList.length ? React__default.createElement("div", {
    onClick: handleClick
  }, React__default.createElement("svg", {
    width: width,
    height: width,
    viewBox: "0,0," + width + "," + width
  }, node.contract ? React__default.createElement("path", {
    d: "M " + width / 4 + " " + 0 + " L " + (width / 4 + width / 2) + " " + width / 2 + " L " + width / 4 + " " + width + " Z",
    fill: hover ? hoverColor : color
  }) : React__default.createElement("path", {
    d: "M 0 " + width / 4 + " H " + width + " L " + width / 2 + " " + (width / 4 + width / 2) + " Z",
    fill: hover ? hoverColor : color
  }))) : null), React__default.createElement("span", {
    style: {
      fontWeight: fontWeight ? fontWeight : 'normal',
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis'
    }
  }, node ? node.name || '' : ''), React__default.createElement("div", {
    style: {
      position: 'relative',
      flex: 1,
      margin: '0 15px',
      minWidth: '50%'
    }
  }, React__default.createElement("div", {
    style: {
      width: '100%',
      borderBottom: '1px dashed #e8e8e8',
      position: 'absolute',
      top: '50%',
      right: 0
    }
  })), info ? React__default.createElement("div", {
    style: {
      flexShrink: 0
    }
  }, info) : null) : null;
};

var Catalog = function Catalog(_ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      backgroundColor = _ref.backgroundColor,
      color = _ref.color,
      hoverColor = _ref.hoverColor,
      itemHeight = _ref.itemHeight,
      _ref$topBottomMargin = _ref.topBottomMargin,
      topBottomMargin = _ref$topBottomMargin === void 0 ? 5 : _ref$topBottomMargin,
      _ref$lineHeight = _ref.lineHeight,
      lineHeight = _ref$lineHeight === void 0 ? 20 : _ref$lineHeight,
      titleFontSize = _ref.titleFontSize,
      fontSize = _ref.fontSize,
      indent = _ref.indent,
      handleClickNode = _ref.handleClickNode,
      info = _ref.info,
      itemInfoMap = _ref.itemInfoMap,
      hideTitle = _ref.hideTitle;
  var ITEM_HEIGHT = itemHeight || 32;
  var BLOCK_HEIGHT = topBottomMargin * 2 + lineHeight;
  var FONT_SIZE = fontSize || 14;
  var INDENT = indent || 18;

  var _useState = React.useState(nodes),
      nodeMap = _useState[0],
      setNodeMap = _useState[1];

  var _useState2 = React.useState([]),
      cnodes = _useState2[0],
      setcnodes = _useState2[1]; // 参数nodes发生改变，重设nodeMap


  React.useEffect(function () {
    setNodeMap(nodes);
  }, [nodes]); // nodeMap发生改变，根据nodeMap计算渲染所需数据

  React.useEffect(function () {
    console.log('根据nodeMap计算渲染所需数据');

    if (!nodeMap[startId]) {
      return;
    }

    var cal = calculate(nodeMap, startId, true, ITEM_HEIGHT, topBottomMargin, lineHeight, INDENT, FONT_SIZE, 3000, false, false, 11, 1, 1, 0, 0);

    if (cal) {
      cal.nodes.sort(function (a, b) {
        return a.y - b.y;
      });
      setcnodes(cal.nodes);
    }
  }, [nodeMap, startId]); // 单击节点

  function clickNode(node) {
    if (handleClickNode) {
      handleClickNode(node);
    }
  } // 展开/收起节点


  function handleExpand(node) {
    var nodes = dot(nodeMap, node._key);
    setNodeMap(nodes);
  }

  return React__default.createElement("div", {
    className: "catalog-wrapper",
    style: {
      position: 'relative',
      width: '100%',
      backgroundColor: backgroundColor || 'unset'
    }
  }, !hideTitle ? React__default.createElement("div", {
    style: {
      fontSize: (titleFontSize || 24) + "px",
      width: '100%',
      textAlign: 'center',
      margin: '25px 0'
    }
  }, nodeMap[startId].name) : null, info ? React__default.createElement("div", {
    style: {
      width: '100%'
    }
  }, info) : null, cnodes.map(function (node, index) {
    return node._key !== startId ? React__default.createElement(CatalogItem, {
      key: index + "_" + node._key,
      node: node,
      indent: INDENT,
      BLOCK_HEIGHT: BLOCK_HEIGHT,
      FONT_SIZE: FONT_SIZE,
      fontWeight: node.father === startId ? 'bolder' : undefined,
      color: color || '#595959',
      hoverColor: hoverColor || '#8c8c8c',
      handleClickNode: clickNode,
      handleClickExpand: function handleClickExpand() {
        return handleExpand(node);
      },
      info: itemInfoMap ? itemInfoMap[node._key] : undefined
    }) : null;
  }));
};

function calculate$1(nodes, startId, single, rowGap, topBottomMargin, lineHeight, INDENT, FONT_SIZE, textMaxWidth, showIcon, showAvatar, avatarRadius, rootZoomRatio, secondZoomRatio, startX, startY, inputNodeKey, rainbowColor // showChildNum?: boolean
) {
  var _root$texts;

  // nodes = JSON.parse(JSON.stringify(nodes));
  var BLOCK_HEIGHT = topBottomMargin * 2 + lineHeight;
  nodes = _.cloneDeep(nodes); // 根节点

  var root = nodes[startId];
  var rootWidth = getNodeWidth(root, FONT_SIZE * rootZoomRatio, showIcon, showAvatar, avatarRadius, // showChildNum || false,
  false, textMaxWidth, inputNodeKey);
  root.width = rootWidth;
  var rootHeight = topBottomMargin * rootZoomRatio * 2 + (((_root$texts = root.texts) == null ? void 0 : _root$texts.length) || 1) * lineHeight * rootZoomRatio;

  if (root.imageUrl && root.imageHeight) {
    rootHeight += root.imageHeight + 15 / 2;
  }

  root.height = rootHeight;
  var MAX_X = rootWidth;
  var MAX_Y = startY + BLOCK_HEIGHT * 2;
  var MAX_END = rootWidth * 1.5;
  var MIN_X = startX;
  var MIN_END = startY;
  var start_x = startX;
  var start_y = startY;
  var nodeList = [];
  var rainbowIndex = 0;

  if (single) {
    // if (rainbowColor) {
    //   root.backgroundColor = '#CB1B45';
    // }
    location(nodes, root, start_x, start_y, undefined, '#CB1B45');
  } else {
    if (!root.contract) {
      var _getStarts = getStarts(nodes, root),
          rightStarts = _getStarts.rightStarts,
          leftStarts = _getStarts.leftStarts;

      var x1 = rootWidth + INDENT * 4,
          y1 = start_x,
          x2 = -INDENT * 4,
          y2 = start_y;

      for (var index = 0; index < rightStarts.length; index++) {
        var node = rightStarts[index];

        if (!node) {
          break;
        }

        y1 = location(nodes, node, x1, y1, undefined);

        if (index + 1 !== rightStarts.length) {
          y1 += rowGap * secondZoomRatio;

          if (y1 > MAX_Y) {
            MAX_Y = y1;
          }
        }
      }

      for (var _index = 0; _index < leftStarts.length; _index++) {
        var _node = leftStarts[_index];

        if (!_node) {
          break;
        }

        y2 = location(nodes, _node, x2, y2, true);

        if (_index + 1 !== leftStarts.length) {
          y2 += rowGap * secondZoomRatio;

          if (y2 > MAX_Y) {
            MAX_Y = y2;
          }
        }
      }

      var diff = Math.abs(MIN_END) + startX;
      var nodeKeys = Object.keys(nodes);

      for (var _index2 = 0; _index2 < nodeKeys.length; _index2++) {
        var _node2 = nodes[nodeKeys[_index2]];
        _node2.x = _node2.x ? _node2.x + diff : 0;
      }

      MAX_X = MAX_X + Math.abs(MIN_X);
      MAX_END = MAX_END + Math.abs(MIN_END) + startX; // ---start---

      var rightCenterY = 0;

      if (rightStarts.length === 1) {
        // @ts-ignore
        rightCenterY = rightStarts[0].y;
      } else if (rightStarts.length > 1) {
        rightCenterY = // @ts-ignore
        (rightStarts[0].y + rightStarts[rightStarts.length - 1].y) / 2;
      }

      var leftCenterY = 0;

      if (leftStarts.length === 1) {
        // @ts-ignore
        leftCenterY = leftStarts[0].y;
      } else if (leftStarts.length > 1) {
        leftCenterY = // @ts-ignore
        (leftStarts[0].y + leftStarts[leftStarts.length - 1].y) / 2;
      }

      if (rightCenterY && leftCenterY && leftCenterY !== rightCenterY) {
        var diffY = Math.abs(leftCenterY - rightCenterY);
        MAX_Y += diffY;
        var targetNodes = [];

        if (rightCenterY < leftCenterY) {
          targetNodes = rightStarts;
          rightCenterY += diffY;
        } else {
          targetNodes = leftStarts;
          leftCenterY += diffY;
        }

        var keys = getDescendantKeys(targetNodes.map(function (item) {
          return item._key;
        }), nodes);

        for (var _index3 = 0; _index3 < keys.length; _index3++) {
          var _node3 = nodes[keys[_index3]];
          _node3.y = _node3.y ? _node3.y + diffY : 0;

          if (_node3.dots) {
            for (var _index4 = 0; _index4 < _node3.dots.length; _index4++) {
              _node3.dots[_index4] = _node3.dots[_index4] + diffY;
            }
          }
        }
      } // ---end---


      root.rightDots = [];
      root.leftDots = [];

      for (var _index5 = 0; _index5 < leftStarts.length; _index5++) {
        var element = leftStarts[_index5];

        if (element) {
          root.leftDots.push(element);
        }
      }

      for (var _index6 = 0; _index6 < rightStarts.length; _index6++) {
        var _element = rightStarts[_index6];

        if (_element) {
          root.rightDots.push(_element);
        }
      }

      root.x = Math.abs(MIN_END) + startX;

      if (rightCenterY) {
        root.y = rightCenterY;
      } else {
        root.y = MAX_Y / 2;
      }
    } else {
      root.x = startX;
      root.y = startY;
      delete root.rightDots;
      delete root.leftDots;
    }

    nodeList.push(root);
  }

  return {
    max_x: MAX_X,
    max_y: MAX_Y + startY,
    max_end: MAX_END + startX,
    nodes: nodeList
  };

  function getStarts(nodes, root) {
    var rightStarts = [];
    var leftStarts = [];
    var childrenIds = root.sortList || [];

    for (var _index7 = 0; _index7 < childrenIds.length; _index7++) {
      var _element2 = nodes[childrenIds[_index7]];

      if (_index7 % 2 === 0) {
        rightStarts.push(_element2);
      } else {
        leftStarts.push(_element2);
      }
    }

    return {
      rightStarts: rightStarts,
      leftStarts: leftStarts
    };
  }

  function location(nodes, node, x, y, toLeft, backgroundColor) {
    var _node$texts;

    var shorted = getShortedStr(node.name);

    if (shorted) {
      node.shorted = shorted;
    }

    var nodeWidth = getNodeWidth(node, node._key === startId ? FONT_SIZE * rootZoomRatio : node.father === startId ? FONT_SIZE * secondZoomRatio : FONT_SIZE, showIcon, showAvatar, avatarRadius, // showChildNum || false,
    false, textMaxWidth, inputNodeKey);
    var line_height = lineHeight;

    if (node._key === startId) {
      line_height = lineHeight * rootZoomRatio;
    } else if (node.father === startId) {
      line_height = lineHeight * secondZoomRatio;
    }

    var top_bottom_margin = topBottomMargin;

    if (node._key === startId) {
      top_bottom_margin = topBottomMargin * rootZoomRatio;
    } else if (node.father === startId) {
      top_bottom_margin = topBottomMargin * secondZoomRatio;
    }

    var nodeHeight = top_bottom_margin * 2 + (((_node$texts = node.texts) == null ? void 0 : _node$texts.length) || 1) * line_height;

    if (node.imageUrl && node.imageHeight) {
      nodeHeight += node.imageHeight + 15 / 2;
    }

    if (node.bottomAdornment && node.bottomAdornmentHeight) {
      nodeHeight += node.bottomAdornmentHeight;
    }

    node.x = x;
    node.width = nodeWidth;
    node.height = nodeHeight;

    if (toLeft) {
      node.toLeft = true;
      node.x = node.x - nodeWidth;
    } else {
      delete node.toLeft;
    }

    node.dots = [];
    var childrenIds = node.sortList;
    var childY = y;
    var childX;
    var diffX = node._key === startId ? INDENT * 2 : INDENT;

    if (!toLeft) {
      childX = x + nodeWidth + diffX;

      if (childX > MAX_X) {
        MAX_X = childX;
      }

      if (MAX_END < node.x + nodeWidth) {
        MAX_END = node.x + nodeWidth;
      }
    } else {
      childX = x - nodeWidth - diffX;

      if (childX < MIN_X) {
        MIN_X = childX;
      }

      if (MIN_END > node.x - nodeWidth) {
        MIN_END = node.x - nodeWidth;
      }
    } // if (node.texts && node.texts.length > 1) {
    //   let blockHeight = BLOCK_HEIGHT;
    //   if (node._key === startId) {
    //     blockHeight = BLOCK_HEIGHT * rootZoomRatio;
    //   } else if (node.father === startId) {
    //     blockHeight = BLOCK_HEIGHT * secondZoomRatio;
    //   }
    //   childY += (node.texts.length - 1) * blockHeight;
    // }


    if (rainbowColor) {
      if (node.father === startId) {
        node.backgroundColor = rainbowColors[rainbowIndex];

        if (rainbowIndex + 1 === rainbowColors.length) {
          rainbowIndex = 0;
        } else {
          rainbowIndex++;
        }
      } else {
        node.backgroundColor = backgroundColor;
      }
    }

    if (!node.contract) {
      // 遍历子节点
      for (var _index8 = 0; _index8 < childrenIds.length; _index8++) {
        var _element3 = nodes[childrenIds[_index8]];

        if (!_element3) {
          break;
        }

        childY = location(nodes, _element3, childX, childY, toLeft, rainbowColor && node.father === startId ? // @ts-ignore
        lightRainbowColors[node.backgroundColor] : backgroundColor);
        node.dots.push(_element3.y);

        if (_index8 + 1 !== childrenIds.length) {
          childY += rowGap;

          if (childY > MAX_Y) {
            MAX_Y = childY;
          }
        }
      }
    }

    if (!node.contract && childrenIds.length) {
      var _nodes$childrenIds$, _nodes$childrenIds;

      var firstChildY = (_nodes$childrenIds$ = nodes[childrenIds[0]]) == null ? void 0 : _nodes$childrenIds$.y;
      var lastChildY = (_nodes$childrenIds = nodes[childrenIds[childrenIds.length - 1]]) == null ? void 0 : _nodes$childrenIds.y; // 在子节点的纵向居中

      var middleY = firstChildY && lastChildY ? (firstChildY + lastChildY) / 2 : (y + childY) / 2;

      if (node.father === startId) {
        node.y = middleY + BLOCK_HEIGHT / 2 - BLOCK_HEIGHT * secondZoomRatio / 2;
      } else if (node._key === startId) {
        node.y = middleY + BLOCK_HEIGHT * secondZoomRatio / 2 - BLOCK_HEIGHT * rootZoomRatio / 2;
      } else {
        node.y = middleY;
      }
    } else {
      node.y = (y + childY) / 2;
    }

    nodeList.push(node); // if (node.texts && node.texts.length > 1) {
    //   childY += (node.texts.length - 1) * blockHeight;
    //   if (childY > MAX_Y) {
    //     MAX_Y = childY;
    //   }
    // }
    // // 节点有图片的情况;
    // if (node.imageUrl && node.imageHeight) {
    //   childY += node.imageHeight + 15 / 2;
    //   if (childY > MAX_Y) {
    //     MAX_Y = childY;
    //   }
    // }

    if (node.y + nodeHeight > childY) {
      childY = node.y + nodeHeight;

      if (childY > MAX_Y) {
        MAX_Y = childY;
      }
    }

    return childY;
  }
}

var isMac$2 = /*#__PURE__*/ /macintosh|mac os x/i.test(navigator.userAgent);
var spaceKeyDown$1 = false; // 拖拽节流

var lastTime$1 = 0;
var gapTime$1 = 34;
var changed$1 = false; // Please do not use types off of a default export module or else Storybook Docs will suffer.
// see: https://github.com/storybookjs/storybook/issues/9556

var Mind = /*#__PURE__*/React__default.forwardRef(function (_ref, ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      defaultSelectedId = _ref.defaultSelectedId,
      uncontrolled = _ref.uncontrolled,
      singleColumn = _ref.singleColumn,
      _ref$rowGap = _ref.rowGap,
      rowGap = _ref$rowGap === void 0 ? 12 : _ref$rowGap,
      _ref$topBottomMargin = _ref.topBottomMargin,
      topBottomMargin = _ref$topBottomMargin === void 0 ? 5 : _ref$topBottomMargin,
      _ref$lineHeight = _ref.lineHeight,
      lineHeight = _ref$lineHeight === void 0 ? 20 : _ref$lineHeight,
      _ref$textMaxWidth = _ref.textMaxWidth,
      textMaxWidth = _ref$textMaxWidth === void 0 ? 300 : _ref$textMaxWidth,
      fontSize = _ref.fontSize,
      indent = _ref.indent,
      pathWidth = _ref.pathWidth,
      pathColor = _ref.pathColor,
      _ref$nodeColor = _ref.nodeColor,
      nodeColor = _ref$nodeColor === void 0 ? '#f0f0f0' : _ref$nodeColor,
      _ref$avatarRadius = _ref.avatarRadius,
      avatarRadius = _ref$avatarRadius === void 0 ? 11 : _ref$avatarRadius,
      disableShortcut = _ref.disableShortcut,
      disabled = _ref.disabled,
      showIcon = _ref.showIcon,
      showAvatar = _ref.showAvatar,
      hideHour = _ref.hideHour,
      root_zoom_ratio = _ref.root_zoom_ratio,
      second_zoom_ratio = _ref.second_zoom_ratio,
      backgroundColor = _ref.backgroundColor,
      color = _ref.color,
      hoverBorderColor = _ref.hoverBorderColor,
      selectedBorderColor = _ref.selectedBorderColor,
      selectedBackgroundColor = _ref.selectedBackgroundColor,
      quickCommandKey = _ref.quickCommandKey,
      _ref$paddingLeft = _ref.paddingLeft,
      paddingLeft = _ref$paddingLeft === void 0 ? 50 : _ref$paddingLeft,
      _ref$paddingTop = _ref.paddingTop,
      paddingTop = _ref$paddingTop === void 0 ? 50 : _ref$paddingTop,
      rainbowColor = _ref.rainbowColor,
      _ref$startNodeBg = _ref.startNodeBg,
      startNodeBg = _ref$startNodeBg === void 0 ? '#CB1B45' : _ref$startNodeBg,
      customAdornment = _ref.customAdornment,
      handleClickExpand = _ref.handleClickExpand,
      handleCheck = _ref.handleCheck,
      handleClickAvatar = _ref.handleClickAvatar,
      handleClickStatus = _ref.handleClickStatus,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleAddNext = _ref.handleAddNext,
      handleAddChild = _ref.handleAddChild,
      handleDeleteNode = _ref.handleDeleteNode,
      handleClickPreviewButton = _ref.handleClickPreviewButton,
      handleClickDot = _ref.handleClickDot,
      handleShiftUpDown = _ref.handleShiftUpDown,
      handleDrag = _ref.handleDrag,
      handlePaste = _ref.handlePaste,
      dragEndFromOutside = _ref.dragEndFromOutside,
      handleMouseEnterAvatar = _ref.handleMouseEnterAvatar,
      handleMouseLeaveAvatar = _ref.handleMouseLeaveAvatar,
      handleCrossCompDrag = _ref.handleCrossCompDrag,
      handleChange = _ref.handleChange,
      showDeleteConform = _ref.showDeleteConform,
      handleMutiSelect = _ref.handleMutiSelect,
      handleFileChange = _ref.handleFileChange,
      handleQuickCommandOpen = _ref.handleQuickCommandOpen,
      handlePasteText = _ref.handlePasteText,
      handleContextMenu = _ref.handleContextMenu,
      handleClickNodeImage = _ref.handleClickNodeImage,
      handleResizeNodeImage = _ref.handleResizeNodeImage;
  var clickTimeId;
  var radius = 8;
  var rootZoomRatio = root_zoom_ratio || 1.8;
  var secondZoomRatio = second_zoom_ratio || 1.4;
  var FONT_SIZE = fontSize || 14;
  var INDENT = indent || 35; // const AVATAR_WIDTH = avatarWidth || 22;
  // const CHECK_BOX_WIDTH = checkBoxWidth || 18;

  var PATH_WIDTH = pathWidth || 2;
  var PATH_COLOR = pathColor || '#535953';
  var UNCONTROLLED = uncontrolled === undefined ? true : uncontrolled;
  var SHOW_ICON = showIcon === undefined ? true : showIcon;
  var SHOW_AVATAR = showAvatar === undefined ? false : showAvatar;
  var BACKGROUND_COLOR = backgroundColor ? backgroundColor : 'unset';
  var COLOR = color || '#595959';
  var HOVER_BORDER_COLOR = hoverBorderColor || '#bed2fc';
  var SELECTED_BORDER_COLOR = selectedBorderColor || '#35a6f8';
  var SELECTED_BACKGROUND_COLOR = selectedBackgroundColor || '#e8e8e8';

  var _useState = React.useState(nodes),
      nodeMap = _useState[0],
      setNodeMap = _useState[1];

  var _useState2 = React.useState([]),
      cnodes = _useState2[0],
      setcnodes = _useState2[1]; // const [maxX, setmaxX] = useState(0);


  var _useState3 = React.useState(0),
      maxY = _useState3[0],
      setmaxY = _useState3[1];

  var _useState4 = React.useState(0),
      maxEnd = _useState4[0],
      setmaxEnd = _useState4[1];

  var _useState5 = React.useState(null),
      selectedId = _useState5[0],
      _setselectedId = _useState5[1];

  var _useState6 = React.useState([]),
      selectedNodes = _useState6[0],
      _setSelectedNodes = _useState6[1];

  var _useState7 = React.useState(false),
      showInput = _useState7[0],
      setshowInput = _useState7[1];

  var _useState8 = React.useState(false),
      showNewInput = _useState8[0],
      setshowNewInput = _useState8[1];

  var _useState9 = React.useState(false),
      inputEmpty = _useState9[0],
      setInputEmpty = _useState9[1]; // 拖拽節點相關的狀態


  var _useState10 = React.useState(false),
      dragStarted = _useState10[0],
      setDragStarted = _useState10[1];

  var _useState11 = React.useState(false),
      frameSelectionStarted = _useState11[0],
      setFrameSelectionStarted = _useState11[1];

  var _useState12 = React.useState(0),
      selectionX = _useState12[0],
      setselectionX = _useState12[1];

  var _useState13 = React.useState(0),
      selectionY = _useState13[0],
      setselectionY = _useState13[1];

  var _useState14 = React.useState(0),
      selectionWidth = _useState14[0],
      setselectionWidth = _useState14[1];

  var _useState15 = React.useState(0),
      selectionHeight = _useState15[0],
      setselectionHeight = _useState15[1];

  var _useState16 = React.useState(false),
      showDragNode = _useState16[0],
      setShowDragNode = _useState16[1];

  var _useState17 = React.useState(0),
      clickX = _useState17[0],
      setClickX = _useState17[1];

  var _useState18 = React.useState(0),
      clickY = _useState18[0],
      setClickY = _useState18[1];

  var _useState19 = React.useState(0),
      movedNodeX = _useState19[0],
      setMovedNodeX = _useState19[1];

  var _useState20 = React.useState(0),
      movedNodeY = _useState20[0],
      setMovedNodeY = _useState20[1]; // 拖拽的相關信息


  var _useState21 = React.useState(null),
      dragInfo = _useState21[0],
      setDragInfo = _useState21[1];

  var _useState22 = React.useState(''),
      compId = _useState22[0],
      setCompId = _useState22[1];

  var containerRef = React.useRef(null);
  var block_height = topBottomMargin * 2 + lineHeight;

  var _useState23 = React.useState(''),
      startExport = _useState23[0],
      setStartExport = _useState23[1]; // 暴露方法


  React.useImperativeHandle(ref, function () {
    return {
      deleteNode: deletenode,
      saveNodes: saveNodes,
      addNext: addNext,
      addChild: addChild,
      updateNodeById: updateNodeById,
      updateNodesByIds: updateNodesByIds,
      rename: function rename() {
        if (selectedId) {
          setshowInput(true);
        }
      },
      renameById: function renameById(id, text) {
        changeText(id, text);
      },
      getSelectedId: function getSelectedId() {
        return selectedId;
      },
      getSelectedIds: function getSelectedIds() {
        var ids = [];

        for (var index = 0; index < selectedNodes.length; index++) {
          var node = selectedNodes[index];
          ids.push(node._key);
        }

        return ids;
      },
      setselectedId: function setselectedId(id) {
        return _setselectedId(id);
      },
      setSelectedNodes: function setSelectedNodes(nodes) {
        return _setSelectedNodes(nodes);
      },
      exportImage: function exportImage(type) {
        window.postMessage({
          name: 'export-status',
          message: 'start'
        }, '/');
        setStartExport(type);
      }
    };
  });
  var downloadImage = React.useCallback( /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee() {
    var name, svg, imageHrefRegex, imageMatches, hrefRegex, index, match, matches, href, base64;
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!startExport) {
              _context.next = 29;
              break;
            }

            name = nodeMap[startId].name;
            svg = document.getElementsByClassName('tree-svg')[0].outerHTML;
            imageHrefRegex = /<image\s[^>]*href="([^"]*)"/g;
            imageMatches = svg.match(imageHrefRegex);

            if (!imageMatches) {
              _context.next = 20;
              break;
            }

            hrefRegex = /href="([^"]+)"/;
            index = 0;

          case 8:
            if (!(index < imageMatches.length)) {
              _context.next = 20;
              break;
            }

            match = imageMatches[index].toString();
            matches = match.match(hrefRegex);

            if (!matches) {
              _context.next = 17;
              break;
            }

            href = matches[1];
            _context.next = 15;
            return getImgData(href);

          case 15:
            base64 = _context.sent;

            if (base64) {
              svg = svg.replace(href, base64);
            }

          case 17:
            index++;
            _context.next = 8;
            break;

          case 20:
            if (startExport === 'svg') {
              download(createObjectUrl([svg], 'image/svg'), name + ".svg");
            }

            if (!(startExport === 'png')) {
              _context.next = 24;
              break;
            }

            _context.next = 24;
            return downloadSvgAsPng(svg, maxEnd + 100, maxY, name);

          case 24:
            if (!(startExport === 'pdf')) {
              _context.next = 27;
              break;
            }

            _context.next = 27;
            return downloadSvgAsPdf(svg, maxEnd + 100, maxY, name);

          case 27:
            setStartExport('');
            window.postMessage({
              name: 'export-status',
              message: 'end'
            }, '/');

          case 29:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  })), [cnodes]);
  React.useEffect(function () {
    downloadImage();
  }, [cnodes]);
  React.useEffect(function () {
    setCompId(guid(8, 16));
  }, []);
  React.useEffect(function () {
    if (changed$1) {
      if (handleChange) {
        changed$1 = false;
        handleChange();
      }
    }
  }, [nodeMap]);
  React.useEffect(function () {
    document.addEventListener('paste', onPaste);
    return function () {
      document.removeEventListener('paste', onPaste);
    };
  }, [showInput, showNewInput, selectedId]); // 参数nodes发生改变，重设nodeMap

  React.useEffect(function () {
    setNodeMap(nodes);
  }, [nodes]); // nodeMap发生改变，根据nodeMap计算渲染所需数据

  React.useEffect(function () {
    console.log('根据nodeMap计算渲染所需数据');

    if (!nodeMap[startId]) {
      return;
    }

    var cal = calculate$1(nodeMap, startId, singleColumn, rowGap, topBottomMargin, lineHeight, INDENT, FONT_SIZE, textMaxWidth, SHOW_ICON, SHOW_AVATAR, avatarRadius, rootZoomRatio, secondZoomRatio, startExport ? 50 : paddingLeft, startExport ? 50 : paddingTop, undefined, rainbowColor);

    if (cal) {
      setcnodes(cal.nodes);
      setmaxY(cal.max_y);
      setmaxEnd(cal.max_end);
    }
  }, [nodeMap, startId, singleColumn, showInput, rainbowColor, startExport]);
  React.useEffect(function () {
    if (defaultSelectedId) {
      _setselectedId(defaultSelectedId);

      _setSelectedNodes([]);
    }
  }, [defaultSelectedId]);
  React.useEffect(function () {
    if (handleMutiSelect) {
      handleMutiSelect(selectedNodes);
    }
  }, [selectedNodes]);

  function handleSelectedNodeChanged(node) {
    _setselectedId(node._key);

    _setSelectedNodes([]);

    if (handleClickNode) {
      handleClickNode(node);
    }
  } // 单击节点


  function clickNode(node) {
    clearTimeout(clickTimeId);
    clickTimeId = setTimeout(function () {
      _setselectedId(node._key);

      _setSelectedNodes([]);

      if (handleClickNode) {
        handleClickNode(node);
      }
    }, 250);
  } // 双击节点


  function dbClickNode(node) {
    clearTimeout(clickTimeId);

    if (disabled || node.disabled) {
      return;
    }

    _setselectedId(node._key);

    _setSelectedNodes([]);

    setshowInput(true);

    if (handleDbClickNode) {
      handleDbClickNode(node);
    }
  } // 展开/收起节点


  function handleExpand(node) {
    if (UNCONTROLLED) {
      var _nodes = dot(nodeMap, node._key);

      if (!node.contract) {
        var count = countNodeDescendants(nodeMap, node._key);
        _nodes[node._key].childNum = count;
      } else {
        delete _nodes[node._key].childNum;
      }

      setNodeMap(_nodes);

      if (handleChange) {
        changed$1 = true;
      }
    }

    if (handleClickExpand) {
      handleClickExpand(node);
    }
  } // check节点


  function check(node, e) {
    if (disabled) {
      return;
    }

    e.stopPropagation();

    if (UNCONTROLLED) {
      var _nodes2 = checkNode(nodeMap, node._key);

      setNodeMap(_nodes2);

      if (handleChange) {
        changed$1 = true;
      }
    }

    if (handleCheck) {
      handleCheck(node);
    }
  }

  function clickAvatar(node, event) {
    if (handleClickAvatar) {
      event.stopPropagation();
      handleClickAvatar(node, event.currentTarget);
    }
  }

  function clickStatus(node, event) {
    if (handleClickStatus) {
      event.stopPropagation();
      handleClickStatus(node, event.currentTarget, event);
    }
  } // 节点改名


  function changeText(nodeId, text) {
    setshowInput(false);
    setshowNewInput(false);
    setInputEmpty(false);

    if (UNCONTROLLED) {
      var _nodes3 = changeNodeText(nodeMap, nodeId, text);

      setNodeMap(_nodes3);

      if (handleChange) {
        changed$1 = true;
      }
    }

    if (handleChangeNodeText) {
      handleChangeNodeText(nodeId, text);
    }

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }
  }

  function updateNodeById(nodeMap, id, data) {
    setshowInput(false);
    setshowNewInput(false);
    setInputEmpty(false);
    var nodes = updateNodeByKey(nodeMap, id, data);
    setNodeMap(nodes);

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }

    if (handleChange) {
      changed$1 = true;
    }
  }

  function updateNodesByIds(nodeMap, ids, data) {
    setshowInput(false);
    setshowNewInput(false);
    setInputEmpty(false);

    var nodes = _.cloneDeep(nodeMap);

    for (var index = 0; index < ids.length; index++) {
      var id = ids[index];
      nodes = updateNodeByKey(nodes, id, data);
    }

    setNodeMap(nodes);

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }

    if (handleChange) {
      changed$1 = true;
    }
  } // 添加平级节点


  function addNext(nodeKey) {
    var targetKey = nodeKey || selectedId;

    if (!targetKey) {
      return;
    }

    if (targetKey === startId) {
      return alert('根节点无法添加兄弟节点！');
    } // setShowOptionsNode(null);


    if (UNCONTROLLED) {
      var res = addNextNode(nodeMap, targetKey);

      if (handleAddNext) {
        handleAddNext(targetKey, res.addedNode);
      }

      _setselectedId(res.addedNode._key);

      _setSelectedNodes([]);

      setNodeMap(res.nodes);
      setshowInput(true);

      if (handleChange) {
        changed$1 = true;
      }
    } else {
      if (handleAddNext) {
        handleAddNext(targetKey);
      }
    }
  } // 添加子节点


  function addChild(nodeKey) {
    var targetKey = nodeKey || selectedId;

    if (!targetKey) {
      return;
    } // setShowOptionsNode(null);


    if (UNCONTROLLED) {
      var res = addChildNode(nodeMap, targetKey);

      if (handleAddChild) {
        handleAddChild(targetKey, res.addedNode);
      }

      _setselectedId(res.addedNode._key);

      _setSelectedNodes([]);

      setNodeMap(res.nodes);
      setshowInput(true);

      if (handleChange) {
        changed$1 = true;
      }
    } else {
      if (handleAddChild) {
        handleAddChild(targetKey);
      }
    }
  } // 節點上移


  function shiftUp() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'up');

    if (res) {
      if (UNCONTROLLED) {
        setNodeMap(res.nodes);

        if (handleChange) {
          changed$1 = true;
        }
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'up');
        }
      }
    }
  } // 節點下移


  function shiftDown() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'down');

    if (res) {
      if (UNCONTROLLED) {
        setNodeMap(res.nodes);

        if (handleChange) {
          changed$1 = true;
        }
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'down');
        }
      }
    }
  } // 删除节点


  function deletenode(nodeKey) {
    var targetKey = nodeKey || selectedId;

    if (!targetKey && !selectedNodes.length) {
      return;
    }

    if (UNCONTROLLED) {
      // 删除单个节点
      if (!selectedNodes.length && targetKey) {
        var node = nodeMap[targetKey];

        if (node.disabled) {
          return;
        }

        if (targetKey === startId) {
          return alert('根节点不允许删除！');
        }

        var nextSelectId = getNextSelect(node, nodeMap);

        if (nextSelectId) {
          _setselectedId(nextSelectId);
        } else {
          _setselectedId(null);
        }

        var res = deleteNode(nodeMap, targetKey);

        _setSelectedNodes([]);

        setNodeMap(res.nodes);

        if (handleChange) {
          changed$1 = true;
        }
      } else {
        // 批量删除
        var _nodes4 = nodeMap;

        for (var index = 0; index < selectedNodes.length; index++) {
          var element = selectedNodes[index];

          if (element._key !== startId) {
            var _res = deleteNode(_nodes4, element._key);

            _nodes4 = _res.nodes;
          }
        }

        _setSelectedNodes([]);

        setNodeMap(_nodes4);

        if (handleChange) {
          changed$1 = true;
        }
      }

      if (handleDeleteNode) {
        handleDeleteNode(targetKey, selectedNodes);
      }
    } else {
      if (handleDeleteNode) {
        handleDeleteNode(targetKey, selectedNodes);
      }
    }
  }

  function saveNodes() {
    return {
      rootKey: startId,
      data: _.cloneDeep(nodeMap)
    };
  }

  var handleKeyUp = function handleKeyUp(event) {
    if (event.key === ' ') {
      spaceKeyDown$1 = false;
    }
  };

  function onPaste(event) {
    if (showInput || showNewInput) {
      return;
    }

    event.preventDefault();
    var pasteType = localStorage.getItem('pasteType');
    var pasteNodeKey = localStorage.getItem('pasteNodeKey');

    if (pasteType && pasteNodeKey && selectedId) {
      if (UNCONTROLLED) {
        var res = pasteNode(nodeMap, pasteNodeKey, pasteType, selectedId);

        if (res) {
          setNodeMap(res);

          if (handleChange) {
            changed$1 = true;
          }
        }
      } else if (handlePaste) {
        handlePaste(pasteNodeKey, pasteType, selectedId, event);
      }

      localStorage.removeItem('pasteNodeKey');
      localStorage.removeItem('pasteType');
    } else {
      var _event$clipboardData;

      var files = (_event$clipboardData = event.clipboardData) == null ? void 0 : _event$clipboardData.files;
      var node = selectedId ? nodeMap[selectedId] : null;

      if (files && files.length && node) {
        handleTreePaste(node._key, node.name, files);
      } else {
        var _event$clipboardData2;

        var text = (_event$clipboardData2 = event.clipboardData) == null ? void 0 : _event$clipboardData2.getData('text'); // 如果用户复制了文字，则将文字黏贴为节点

        if (text && handlePasteText) {
          handlePasteText(text, event);
        }
      }
    }
  }

  function handleKeyDown(_x) {
    return _handleKeyDown.apply(this, arguments);
  } // function clickOptionsButton(node: CNode) {
  //   clickNode(node);
  //   setShowOptionsNode(node);
  // }


  function _handleKeyDown() {
    _handleKeyDown = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(event) {
      var commandKey, el, node, res, _res3, _res4;

      return runtime_1.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              if (event.key === ' ' && !spaceKeyDown$1) {
                spaceKeyDown$1 = true;
              }

              if (!(disabled || disableShortcut || showInput || showNewInput)) {
                _context3.next = 3;
                break;
              }

              return _context3.abrupt("return");

            case 3:
              commandKey = isMac$2 ? event.metaKey : event.ctrlKey;

              if (!(quickCommandKey && event.key === quickCommandKey)) {
                _context3.next = 9;
                break;
              }

              event.preventDefault();

              if (handleQuickCommandOpen && selectedId) {
                el = document.getElementById("tree-node-" + selectedId);

                if (el) {
                  handleQuickCommandOpen(el);
                }
              }

              _context3.next = 51;
              break;

            case 9:
              if (!commandKey) {
                _context3.next = 28;
                break;
              }

              _context3.t0 = event.key;
              _context3.next = _context3.t0 === 'c' ? 13 : _context3.t0 === 'x' ? 16 : 25;
              break;

            case 13:
              event.preventDefault();

              if (selectedId) {
                localStorage.setItem('pasteNodeKey', selectedId);
                localStorage.setItem('pasteType', 'copy');
                copyNode(nodeMap, selectedId);
              }

              return _context3.abrupt("break", 26);

            case 16:
              event.preventDefault();

              if (!selectedId) {
                _context3.next = 24;
                break;
              }

              if (!(selectedId === startId)) {
                _context3.next = 22;
                break;
              }

              localStorage.removeItem('pasteNodeKey');
              localStorage.removeItem('pasteType');
              return _context3.abrupt("return");

            case 22:
              localStorage.setItem('pasteNodeKey', selectedId);
              localStorage.setItem('pasteType', 'cut');

            case 24:
              return _context3.abrupt("break", 26);

            case 25:
              return _context3.abrupt("break", 26);

            case 26:
              _context3.next = 51;
              break;

            case 28:
              _context3.t1 = event.key;
              _context3.next = _context3.t1 === 'Enter' ? 31 : _context3.t1 === 'Tab' ? 34 : _context3.t1 === 'Delete' ? 37 : _context3.t1 === 'Backspace' ? 37 : _context3.t1 === 'ArrowUp' ? 40 : _context3.t1 === 'ArrowDown' ? 43 : _context3.t1 === 'ArrowRight' ? 46 : _context3.t1 === 'ArrowLeft' ? 46 : 49;
              break;

            case 31:
              event.preventDefault();
              addNext();
              return _context3.abrupt("break", 51);

            case 34:
              event.preventDefault();
              addChild();
              return _context3.abrupt("break", 51);

            case 37:
              event.preventDefault();

              if (showDeleteConform) {
                node = selectedId ? nodeMap[selectedId] : null;

                if (node && node.sortList.length) {
                  showDeleteConform();
                } else {
                  deletenode();
                }
              } else {
                deletenode();
              }

              return _context3.abrupt("break", 51);

            case 40:
              event.preventDefault();

              if (event.shiftKey) {
                shiftUp();
              } else if (selectedId) {
                res = changeMindSelect(selectedId, cnodes, event.key);

                if (res) {
                  handleSelectedNodeChanged(res);
                }
              }

              return _context3.abrupt("break", 51);

            case 43:
              event.preventDefault();

              if (event.shiftKey) {
                shiftDown();
              } else if (selectedId) {
                _res3 = changeMindSelect(selectedId, cnodes, event.key);

                if (_res3) {
                  handleSelectedNodeChanged(_res3);
                }
              }

              return _context3.abrupt("break", 51);

            case 46:
              event.preventDefault();

              if (selectedId) {
                _res4 = changeMindSelect(selectedId, cnodes, event.key);

                if (_res4) {
                  handleSelectedNodeChanged(_res4);
                }
              }

              return _context3.abrupt("break", 51);

            case 49:
              // if (
              //   selectedId &&
              //   !showInput &&
              //   event.key.length === 1 &&
              //   /[a-zA-Z]+/.test(event.key)
              // ) {
              //   if (UNCONTROLLED) {
              //     let nodes = changeNodeText(nodeMap, selectedId, '');
              //     setNodeMap(nodes);
              //     if (handleChange) {
              //       changed = true;
              //     }
              //   }
              //   if (handleChangeNodeText) {
              //     handleChangeNodeText(selectedId, '');
              //   }
              //   setshowInput(true);
              // }
              if (selectedId && !showInput && event.key.length === 1 && /[a-zA-Z]+/.test(event.key)) {
                setInputEmpty(true);
                setshowInput(true);
              }

              return _context3.abrupt("break", 51);

            case 51:
            case "end":
              return _context3.stop();
          }
        }
      }, _callee3);
    }));
    return _handleKeyDown.apply(this, arguments);
  }

  function clickPreview(node) {
    if (handleClickPreviewButton) {
      handleClickPreviewButton(node);
    }
  }

  function clickDot(node) {
    if (handleClickDot) {
      handleClickDot(node);
    }
  }

  function handleFrameSelectionStart(e) {
    if (e.nativeEvent.which === 1 && !spaceKeyDown$1) {
      e.stopPropagation();
      setFrameSelectionStarted(true);
      setClickX(e.nativeEvent.offsetX);
      setClickY(e.nativeEvent.offsetY);
      setselectionX(e.nativeEvent.offsetX);
      setselectionY(e.nativeEvent.offsetY);
    }
  }

  function handleFrameSelectionEnd() {
    if (frameSelectionStarted) {
      var selectionNodes = getNodesInSelection(selectionX, selectionY, selectionWidth, selectionHeight, block_height, cnodes);

      _setselectedId(null);

      if (handleClickNode) {
        handleClickNode(selectionNodes.length ? selectionNodes : null);
      }

      _setSelectedNodes(selectionNodes);

      setFrameSelectionStarted(false);
      setselectionWidth(0);
      setselectionHeight(0);
    }
  }

  function handleDragStart(node, dragStartX, dragStartY) {
    if (disabled || node.disabled) {
      return;
    } // 如果框选了多个节点，而拖拽的节点不在其中的话，则取消框选


    if (selectedNodes.length) {
      var index = selectedNodes.findIndex(function (element) {
        return node._key === element._key;
      });

      if (index === -1) {
        _setSelectedNodes([]);
      }
    }

    sessionStorage.setItem('cross-comp-drag', node._key);
    sessionStorage.setItem('cross-drag-compId', compId);
    setDragStarted(true);
    setShowDragNode(true);
    setDragInfo({
      dragNodeId: node._key,
      dropNodeId: node._key,
      placement: 'in'
    });
    setClickX(dragStartX);
    setClickY(dragStartY);
    setMovedNodeX(0);
    setMovedNodeY(0);
  }

  function handleMoveNode(e) {
    if (dragStarted) {
      var time = new Date().getTime();

      if (time - lastTime$1 > gapTime$1 || !lastTime$1) {
        e.stopPropagation();
        var movedX = 0;
        var movedY = 0;
        movedX = e.clientX - clickX;
        movedY = e.clientY - clickY;
        setMovedNodeX(movedNodeX + movedX);
        setMovedNodeY(movedNodeY + movedY);
        setClickX(e.clientX);
        setClickY(e.clientY);
        lastTime$1 = time;
      }
    }

    if (frameSelectionStarted) {
      var _time = new Date().getTime();

      if (_time - lastTime$1 > gapTime$1 || !lastTime$1) {
        e.stopPropagation();
        var _movedX = 0;
        var _movedY = 0;
        _movedX = e.nativeEvent.offsetX - clickX;
        _movedY = e.nativeEvent.offsetY - clickY;
        setselectionWidth(Math.abs(_movedX));
        setselectionHeight(Math.abs(_movedY));

        if (_movedX >= 0 && _movedY >= 0) {
          setselectionX(clickX);
          setselectionY(clickY);
        } else if (_movedX < 0 || _movedY < 0) {
          setselectionX(clickX + (_movedX < 0 ? _movedX : 0));
          setselectionY(clickY + (_movedY < 0 ? _movedY : 0));
        }

        var selectionNodes = getNodesInSelection(selectionX, selectionY, selectionWidth, selectionHeight, block_height, cnodes);

        _setselectedId(null);

        _setSelectedNodes(selectionNodes);

        lastTime$1 = _time;
      }
    }
  }

  function handleDragEnd(e) {
    if (dragStarted && dragInfo && dragInfo.dragNodeId && dragInfo.dropNodeId) {
      e.stopPropagation();
      setDragStarted(false);
      var selectedNode = nodeMap[dragInfo.dragNodeId];
      var dragValid = isDragValid(dragInfo.dragNodeId, dragInfo.dropNodeId, nodeMap);
      var dragValid2 = true;
      var validSelectedNodes = [];

      if (selectedNodes.length > 1) {
        validSelectedNodes = getValidSelectedNodes(selectedNodes, nodeMap);
        dragValid2 = isMutilDragValid(validSelectedNodes, dragInfo.dropNodeId, nodeMap);
      } // 判斷拖拽是否無效


      if (!dragValid || !dragValid2) {
        setDragInfo(null); // 動畫：移動到最初的選中節點

        var fps = 30;
        var animeTime = 500;
        var stepX = movedNodeX / fps;
        var stepY = movedNodeY / fps;
        var interval = setInterval(function () {
          setMovedNodeX(function (movedNodeX) {
            return movedNodeX - stepX;
          });
          setMovedNodeY(function (movedNodeY) {
            return movedNodeY - stepY;
          });
        }, Math.floor(animeTime / fps));
        setTimeout(function () {
          setShowDragNode(false);
          clearInterval(interval);
        }, animeTime);
      } else if (selectedNode) {
        setShowDragNode(false);

        if (UNCONTROLLED) {
          if (validSelectedNodes.length > 1) {
            for (var index = 0; index < validSelectedNodes.length; index++) {
              var dragId = validSelectedNodes[index].nodeKey;
              var res = dragSort(nodeMap, dragId, dragInfo.dropNodeId, dragInfo.placement);

              if (res) {
                setNodeMap(res);

                if (handleChange) {
                  changed$1 = true;
                }
              }
            }
          } else {
            var _res2 = dragSort(nodeMap, dragInfo.dragNodeId, dragInfo.dropNodeId, dragInfo.placement);

            if (_res2) {
              setNodeMap(_res2);

              if (handleChange) {
                changed$1 = true;
              }
            }
          }
        } else if (handleDrag) {
          handleDrag(dragInfo, validSelectedNodes);
        } // 跨组件拖拽


        if (validSelectedNodes.length <= 1) {
          var crossCompDragId = sessionStorage.getItem('cross-comp-drag');
          var crossCompDropId = sessionStorage.getItem('cross-comp-drop');
          var crossDragCompId = sessionStorage.getItem('cross-drag-compId');

          if (crossCompDragId && handleCrossCompDrag && crossDragCompId !== compId) {
            handleCrossCompDrag(crossCompDragId, crossCompDropId);
          }
        }
      }

      sessionStorage.removeItem('cross-comp-drag');
      sessionStorage.removeItem('cross-comp-drop');
      sessionStorage.removeItem('cross-drag-compId');
    }

    handleFrameSelectionEnd();
  }

  function handleDragLeave() {
    setDragStarted(false);
    setDragInfo(null);
    setShowDragNode(false);
    handleFrameSelectionEnd();
  }

  function updateDragInfo(param) {
    if (dragInfo) {
      setDragInfo(_extends({}, dragInfo, param));
    } else {
      setDragInfo(param);
    }
  } // 有子节点的节点后的纵线


  function childVPath(node, y1, y2) {
    var diff = INDENT - 8;
    var HlineWidth = diff - radius;
    var startBlockHeight = block_height;

    if (node._key === startId) {
      startBlockHeight = block_height * rootZoomRatio;
    } else if (node.father === startId) {
      startBlockHeight = block_height * secondZoomRatio;
    }

    var endBlockHeight = block_height;

    if (node._key === startId) {
      endBlockHeight = block_height * secondZoomRatio;
    }

    var startX = !node.toLeft ? node.x + node.width : node.x;
    var startY = node.y + startBlockHeight / 2;
    var M = "M " + startX + " " + startY;
    var H = !node.toLeft ? "H " + (startX + HlineWidth) : "H " + (startX - HlineWidth);
    var M2 = "M " + (!node.toLeft ? startX + HlineWidth : startX - HlineWidth) + " " + (y1 + endBlockHeight / 2 + radius);
    var V = "V " + (y2 + endBlockHeight / 2 - radius);

    if (y1 === y2) {
      return M + " " + H;
    } else {
      return M + " " + H + " " + M2 + " " + V;
    }
  } // 每个子节点前的横线


  function path(node, dotY) {
    var startBlockHeight = block_height;

    if (node._key === startId) {
      startBlockHeight = block_height * rootZoomRatio;
    } else if (node.father === startId) {
      startBlockHeight = block_height * secondZoomRatio;
    }

    var endBlockHeight = block_height;

    if (node._key === startId) {
      endBlockHeight = block_height * secondZoomRatio;
    }

    var nodeMiddleY = node.y + startBlockHeight / 2;
    var endX = !node.toLeft ? node.x + node.width + INDENT - radius : node.x - INDENT + radius;
    var endY = dotY + endBlockHeight / 2;
    var startX = !node.toLeft ? endX - radius : endX + radius;
    var startY;

    if (nodeMiddleY === endY) {
      startY = endY;
    } else if (nodeMiddleY > endY) {
      startY = endY + radius;
    } else {
      startY = endY - radius;
    }

    var x1 = startX;
    var y1 = endY;
    var M = "M " + startX + " " + startY;
    var Q = "Q " + x1 + " " + y1 + "," + endX + " " + endY;
    var H = ''; // 根节点与其子节点的间隔为2INDENT，所以再加一段横线

    if (node._key === startId) {
      H = "H " + (endX + INDENT);
    }

    return M + " " + Q + " " + H;
  }

  function rootPath(node, dotY, isLeft) {
    var startBlockHeight = node.height || block_height * rootZoomRatio;
    var endBlockHeight = block_height * secondZoomRatio;
    var startX = node.x + node.width / 2; // const middleY = node.y + startBlockHeight / 2;

    var startY = node.y + startBlockHeight / 2;
    var endX = !isLeft ? node.x + node.width + INDENT * 4 - 8 : node.x - INDENT * 4 + 8;
    var endY = dotY + endBlockHeight / 2; // const x1 = (startX + endX) / 2;

    var x1 = startX;
    var y1 = endY;
    var M = "M " + startX + " " + startY;
    var Q = "Q " + x1 + " " + y1 + ", " + endX + " " + endY;
    return M + " " + Q;
  }

  function handleTreePaste(nodeId, nodeName, files) {
    if (handleFileChange) {
      handleFileChange(nodeId, nodeName, files);
    } else if (UNCONTROLLED) {
      if (files.length) {
        var file = files[0];

        if (file.type.startsWith('image/')) {
          if (nodeId !== startId) {
            var reader = new FileReader();

            reader.onload = function (event) {
              var _event$target;

              var base64String = (_event$target = event.target) == null ? void 0 : _event$target.result;

              if (base64String) {
                var img = new Image(); //手动创建一个Image对象

                img.src = base64String;
                img.onload = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2() {
                  var height;
                  return runtime_1.wrap(function _callee2$(_context2) {
                    while (1) {
                      switch (_context2.prev = _context2.next) {
                        case 0:
                          height = 200 / (img.width / img.height);
                          updateNodeById(nodeMap, nodeId, {
                            name: nodeName,
                            imageUrl: base64String,
                            imageWidth: 200,
                            imageHeight: height
                          });

                        case 2:
                        case "end":
                          return _context2.stop();
                      }
                    }
                  }, _callee2);
                }));
              }
            };

            reader.readAsDataURL(file);
          }
        }
      }
    }
  }

  function handleResizeImage(nodeId, width) {
    if (UNCONTROLLED) {
      var _nodes5 = _extends({}, nodeMap);

      var node = _nodes5[nodeId];
      if (!node || !node.imageWidth || !node.imageHeight) return;
      var height = width / (node.imageWidth / node.imageHeight);
      node.imageWidth = width;
      node.imageHeight = height;
      setNodeMap(_nodes5);

      if (handleChange) {
        changed$1 = true;
      }
    }

    if (handleResizeNodeImage) {
      handleResizeNodeImage(nodeId, width);
    }
  }

  return React__default.createElement("div", {
    className: "svg-wrapper",
    style: {
      position: 'relative',
      outline: 'none'
    },
    // className={styles.svgwrapper}
    tabIndex: -1,
    suppressContentEditableWarning: true,
    ref: containerRef,
    // onPaste={onPaste}
    onKeyDown: function onKeyDown(e) {
      return handleKeyDown(e);
    },
    onMouseDown: handleFrameSelectionStart,
    onKeyUp: handleKeyUp,
    onMouseMove: handleMoveNode,
    onMouseUp: handleDragEnd,
    onMouseLeave: handleDragLeave
  }, React__default.createElement("svg", {
    className: "tree-svg",
    viewBox: "0 0 " + (maxEnd + 100) + " " + maxY,
    width: startExport ? (maxEnd + 100) * 2 : maxEnd + 100,
    height: startExport ? maxY * 2 : maxY,
    style: {
      backgroundColor: BACKGROUND_COLOR
    },
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink"
  }, React__default.createElement("defs", null, React__default.createElement("filter", {
    id: "filterShadow",
    x: "0",
    y: "0",
    width: "200%",
    height: "200%"
  }, React__default.createElement("feOffset", {
    result: "offOut",
    "in": "SourceAlpha",
    dx: "2",
    dy: "2"
  }), React__default.createElement("feColorMatrix", {
    result: "matrixOut",
    "in": "offOut",
    type: "matrix",
    values: "0.3 0 0 0 0 \r\n                     0 0.3 0 0 0 \r\n                     0 0 0.3 0 0 \r\n                     0 0 0 0.3 0"
  }), React__default.createElement("feGaussianBlur", {
    result: "blurOut",
    "in": "matrixOut",
    stdDeviation: "1"
  }), React__default.createElement("feBlend", {
    "in": "SourceGraphic",
    in2: "blurOut",
    mode: "normal"
  })), React__default.createElement("symbol", {
    id: "contract-up",
    width: "20",
    height: "20",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "512",
    cy: "512",
    r: "400",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M512 39.367111c259.982222 0 472.632889 212.707556 472.632889 472.632889 0 259.982222-212.707556 472.632889-472.632889 472.632889C252.017778 984.632889 39.367111 771.925333 39.367111 512 39.367111 252.017778 252.074667 39.367111 512 39.367111z m0 68.266667C289.792 107.633778 107.633778 289.792 107.633778 512c0 222.208 182.158222 404.366222 404.366222 404.366222 222.208 0 404.366222-182.158222 404.366222-404.366222 0-222.208-182.158222-404.366222-404.366222-404.366222z",
    fill: COLOR
  }), React__default.createElement("path", {
    d: "M256 589.255111a40.163556 40.163556 0 0 1 13.141333-29.184l219.704889-203.036444a34.133333 34.133333 0 0 1 46.307556 0l219.875555 203.150222c17.009778 15.701333 17.351111 42.211556 0.739556 58.424889l-5.006222 4.152889a41.870222 41.870222 0 0 1-52.224-3.299556L519.68 454.883556a11.377778 11.377778 0 0 0-15.36 0l-178.801778 164.522666a41.756444 41.756444 0 0 1-57.173333-0.682666 40.049778 40.049778 0 0 1-11.889778-22.812445l-0.455111-6.656z",
    fill: COLOR
  })), React__default.createElement("symbol", {
    id: "contract-left",
    width: "20",
    height: "20",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "512",
    cy: "512",
    r: "400",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M512 39.367111c259.982222 0 472.632889 212.707556 472.632889 472.632889 0 259.982222-212.707556 472.632889-472.632889 472.632889C252.017778 984.632889 39.367111 771.925333 39.367111 512 39.367111 252.017778 252.074667 39.367111 512 39.367111z m0 68.266667C289.792 107.633778 107.633778 289.792 107.633778 512c0 222.208 182.158222 404.366222 404.366222 404.366222 222.208 0 404.366222-182.158222 404.366222-404.366222 0-222.208-182.158222-404.366222-404.366222-404.366222z",
    fill: COLOR
  }), React__default.createElement("path", {
    d: "M594.944 261.688889a40.163556 40.163556 0 0 0-29.184 13.141333L362.723556 494.535111a34.133333 34.133333 0 0 0 0 46.307556l203.150222 219.875555c15.701333 17.009778 42.211556 17.351111 58.424889 0.739556l4.152889-5.006222a41.870222 41.870222 0 0 0-3.299556-52.224L460.572444 525.368889a11.377778 11.377778 0 0 1 0-15.36l164.522667-178.801778a41.756444 41.756444 0 0 0-0.682667-57.173333 40.049778 40.049778 0 0 0-22.812444-11.889778l-6.656-0.455111z",
    fill: COLOR
  })), React__default.createElement("symbol", {
    id: "contract-right",
    width: "20",
    height: "20",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "512",
    cy: "512",
    r: "400",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M512 39.367111c259.982222 0 472.632889 212.707556 472.632889 472.632889 0 259.982222-212.707556 472.632889-472.632889 472.632889C252.017778 984.632889 39.367111 771.925333 39.367111 512 39.367111 252.017778 252.074667 39.367111 512 39.367111z m0 68.266667C289.792 107.633778 107.633778 289.792 107.633778 512c0 222.208 182.158222 404.366222 404.366222 404.366222 222.208 0 404.366222-182.158222 404.366222-404.366222 0-222.208-182.158222-404.366222-404.366222-404.366222z",
    fill: COLOR
  }), React__default.createElement("path", {
    d: "M462.108444 261.688889a40.163556 40.163556 0 0 1 29.184 13.141333l202.979556 219.704889a34.133333 34.133333 0 0 1 0 46.307556l-203.093333 219.875555a40.106667 40.106667 0 0 1-58.424889 0.739556l-4.152889-5.006222a41.870222 41.870222 0 0 1 3.299555-52.224l164.522667-178.858667a11.377778 11.377778 0 0 0 0-15.36L431.957333 331.207111a41.756444 41.756444 0 0 1 0.682667-57.173333 40.049778 40.049778 0 0 1 22.812444-11.889778l6.656-0.455111z",
    fill: COLOR
  })), React__default.createElement("symbol", {
    id: "add",
    width: "20",
    height: "20",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "512",
    cy: "512",
    r: "400",
    fill: COLOR
  }), React__default.createElement("path", {
    d: "M244.622222 467.228444m44.544 0l445.155556 0q44.544 0 44.544 44.544l0-0.056888q0 44.544-44.544 44.544l-445.155556 0q-44.544 0-44.544-44.544l0 0.056888q0-44.544 44.544-44.544Z",
    fill: nodeColor
  }), React__default.createElement("path", {
    d: "M556.259556 289.166222v445.212445a44.544 44.544 0 1 1-89.031112 0V289.166222a44.544 44.544 0 0 1 89.031112 0z",
    fill: nodeColor
  })), React__default.createElement("g", {
    id: "expand",
    width: "10",
    height: "10",
    viewBox: "0,0,10,10",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "5",
    cy: "5",
    r: "5",
    fill: "#F0F0F0",
    stroke: "#BFBFBF"
  }), React__default.createElement("path", {
    d: "M 2 5 H 8 5",
    stroke: "#666",
    strokeWidth: "1.6"
  }), React__default.createElement("path", {
    d: "M 5 2  V 5 8",
    stroke: "#666",
    strokeWidth: "1.6"
  })), React__default.createElement("g", {
    id: "checkbox-checked",
    width: "18",
    height: "18",
    viewBox: "0,0,18,18",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "9",
    cy: "9",
    r: "9",
    fill: "rgb(85, 85, 85)"
  }), React__default.createElement("path", {
    d: "M 4 9 L 8 13 L 14 5",
    stroke: "#fff",
    strokeWidth: "1.6"
  })), React__default.createElement("g", {
    id: "checkbox-uncheck",
    width: "18",
    height: "18",
    viewBox: "0,0,18,18",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("circle", {
    cx: "9",
    cy: "9",
    r: "9",
    fill: "rgb(216, 216, 216)",
    stroke: "#000000"
  })), React__default.createElement("g", {
    id: "status",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M0 0 L 22 22 H 0 Z",
    fill: "rgb(85, 85, 85)"
  }), React__default.createElement("path", {
    d: "M 0 0 H 22 V 22 Z",
    fill: "rgb(53, 166, 248)"
  })), React__default.createElement("g", {
    id: "status-overdue",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M0 0 L 22 22 H 0 Z",
    fill: "rgb(221, 53, 53)"
  }), React__default.createElement("path", {
    d: "M 0 0 H 22 V 22 Z",
    fill: "rgb(53, 166, 248)"
  })), React__default.createElement("g", {
    id: "status-complete",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M0 0 L 22 22 H 0 Z",
    fill: "#b6b7b7"
  }), React__default.createElement("path", {
    d: "M 0 0 H 22 V 22 Z",
    fill: "rgb(53, 166, 248)"
  })), React__default.createElement("g", {
    id: "status-onlyday",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("rect", {
    x: "0",
    y: "0",
    width: "22",
    height: "22",
    fill: "rgb(85, 85, 85)"
  })), React__default.createElement("g", {
    id: "status-onlyday-overdue",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("rect", {
    x: "0",
    y: "0",
    width: "22",
    height: "22",
    fill: "rgb(221, 53, 53)"
  })), React__default.createElement("g", {
    id: "status-onlyday-complete",
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("rect", {
    x: "0",
    y: "0",
    width: "22",
    height: "22",
    fill: "#417505"
  })), React__default.createElement("symbol", {
    id: "favorite",
    width: "200",
    height: "200",
    viewBox: "0,0,1024,1024",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("path", {
    d: "M512 909.994667l-61.994667-56.021333q-105.984-96-153.984-141.994667t-107.008-114.005333-80.981333-123.008-22.016-112.981333q0-98.005333 66.986667-166.016t166.997333-68.010667q116.010667 0 192 89.984 75.989333-89.984 192-89.984 100.010667 0 166.997333 68.010667t66.986667 166.016q0 77.994667-52.010667 162.005333t-112.981333 146.005333-198.997333 185.984z",
    fill: "#FF4500"
  })), React__default.createElement("symbol", {
    id: "pack",
    width: "18",
    height: "16",
    viewBox: "0,0,18,16",
    preserveAspectRatio: "xMinYMin meet"
  }, React__default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React__default.createElement("g", {
    transform: "translate(0.000000, 0.000007)"
  }, React__default.createElement("path", {
    d: "M15.8396584,2.58289418 L8.61752011,2.58289418 L6.1696488,0.130509602 C6.08473826,0.0462875302 5.96976481,-0.000681000602 5.85012509,-4.4408921e-15 L2.25037734,-4.4408921e-15 C1.00777667,-4.4408921e-15 0.000477621947,1.007383 0.000477621947,2.24990718 L0.000477621947,13.0493034 C-0.024613059,14.2668134 0.941990125,15.2741125 2.15942362,15.2992032 L2.16034157,15.2992032 L15.8396584,15.2992032 C17.0570919,15.2746479 18.0240776,14.2677314 17.9995224,13.0502979 L17.9995224,13.0493034 L17.9995224,4.83279389 C18.0246131,3.6152839 17.0580099,2.60798486 15.8405764,2.58289418 L15.8396584,2.58289418 Z",
    fill: "#7264C7"
  }), React__default.createElement("path", {
    d: "M5.02500122,3.90995406 C5.51319856,3.90995406 5.90898875,4.30566776 5.90898875,4.79386509 C5.90898875,5.13142591 5.71976385,5.42480743 5.44160487,5.57371884 L5.44109019,7.78495406 L12.4856515,7.78458737 C12.6301575,7.49311204 12.9307285,7.29272862 13.2780452,7.29272862 C13.7662426,7.29272862 14.1620328,7.68851881 14.1620328,8.17671615 C14.1620328,8.66491348 13.7662426,9.06070368 13.2780452,9.06070368 C12.9236883,9.06070368 12.6179914,8.85211427 12.4770572,8.5510087 L5.44109019,8.54995406 L5.44149123,10.9547212 C5.44149123,11.2319426 5.66707787,11.4575292 5.94429929,11.4575292 L12.4266114,11.4572917 C12.5306129,11.0848093 12.8724551,10.8115436 13.2780452,10.8115436 C13.7662426,10.8115436 14.1620328,11.2073338 14.1620328,11.6955312 C14.1620328,12.1837285 13.7662426,12.5795187 13.2780452,12.5795187 C12.987737,12.5795187 12.7300882,12.4395183 12.5689396,12.2233421 L5.94429929,12.222489 C5.24527904,12.222489 4.67653144,11.6537414 4.67653144,10.9547212 L4.67588826,5.60621629 C4.36134998,5.47082409 4.14109019,5.15805717 4.14109019,4.79386509 C4.14109019,4.30566776 4.53688038,3.90995406 5.02500122,3.90995406 Z",
    fill: "#FFFFFF"
  }))))), cnodes.map(function (node, index) {
    return React__default.createElement("g", {
      key: index + "_" + node._key,
      className: "node-group-" + node._key
    }, React__default.createElement("g", null, node.dots && node.x && node.y && (node._key !== startId || singleColumn) ? node.dots.map(function (dotY, index) {
      return React__default.createElement("path", {
        key: index,
        d: path(node, dotY),
        stroke: rainbowColor ? node.backgroundColor : PATH_COLOR,
        strokeWidth: PATH_WIDTH,
        fill: "transparent"
      });
    }) : null), node._key === startId && !singleColumn ? React__default.createElement("g", null, node.leftDots ? node.leftDots.map(function (dot, index) {
      return React__default.createElement("path", {
        key: "leftDots-" + index,
        d: rootPath(node, dot.y, true),
        stroke: rainbowColor ? dot.backgroundColor : PATH_COLOR,
        strokeWidth: PATH_WIDTH * 1.5,
        fill: "transparent"
      });
    }) : null, node.rightDots ? node.rightDots.map(function (dot, index) {
      return React__default.createElement("path", {
        key: "rightDots-" + index,
        d: rootPath(node, dot.y, false),
        stroke: rainbowColor ? dot.backgroundColor : PATH_COLOR,
        strokeWidth: PATH_WIDTH * 1.5,
        fill: "transparent"
      });
    }) : null, node.dots ? node.dots.map(function (dotY, index) {
      return React__default.createElement("path", {
        key: index,
        d: rootPath(node, dotY, false),
        stroke: PATH_COLOR,
        strokeWidth: PATH_WIDTH * 1.5,
        fill: "transparent"
      });
    }) : null) : node.dots && node.dots.length ? React__default.createElement("path", {
      key: "path-" + index,
      d: childVPath(node, node.dots[0], node.dots[node.dots.length - 1]),
      stroke: rainbowColor ? node.backgroundColor : PATH_COLOR,
      strokeWidth: PATH_WIDTH,
      fill: "transparent"
    }) : null, React__default.createElement(TreeNode, {
      node: node,
      startId: startId,
      topBottomMargin: node._key === startId ? topBottomMargin * rootZoomRatio : node.father === startId ? topBottomMargin * secondZoomRatio : topBottomMargin,
      lineHeight: node._key === startId ? lineHeight * rootZoomRatio : node.father === startId ? lineHeight * secondZoomRatio : lineHeight,
      FONT_SIZE: node._key === startId ? FONT_SIZE * rootZoomRatio : node.father === startId ? FONT_SIZE * secondZoomRatio : FONT_SIZE,
      avatarRadius: avatarRadius,
      color: rainbowColor && node.father === startId ? '#FFF' : COLOR,
      nodeColor: rainbowColor ? undefined : nodeColor,
      treeBackgroundColor: BACKGROUND_COLOR,
      alias: new Date().getTime(),
      selected: selectedId,
      selectedNodes: selectedNodes,
      showIcon: SHOW_ICON,
      showAvatar: SHOW_AVATAR,
      customAdornment: customAdornment,
      startNodeBg: startNodeBg,
      handleClickDot: clickDot,
      handleExpand: handleExpand,
      handleCheck: check,
      handleClickAvatar: clickAvatar,
      handleClickStatus: clickStatus,
      handleClickNode: clickNode,
      handleDbClickNode: dbClickNode,
      clickPreview: clickPreview,
      updateDragInfo: updateDragInfo,
      handleDragStart: handleDragStart,
      dragStarted: dragStarted,
      dragEndFromOutside: dragEndFromOutside,
      mouseEnterAvatar: function mouseEnterAvatar(node) {
        if (handleMouseEnterAvatar) handleMouseEnterAvatar(node);
      },
      mouseLeaveAvatar: function mouseLeaveAvatar(node) {
        if (handleMouseLeaveAvatar) handleMouseLeaveAvatar(node);
      },
      bottomOptions: true,
      hideHour: hideHour,
      dotColor: PATH_COLOR,
      hoverBorderColor: HOVER_BORDER_COLOR,
      selectedBorderColor: SELECTED_BORDER_COLOR,
      selectedBackgroundColor: SELECTED_BACKGROUND_COLOR,
      handleFileChange: handleFileChange,
      onContextMenu: handleContextMenu,
      onClickNodeImage: handleClickNodeImage,
      onResizeImage: handleResizeImage,
      handleAddChild: addChild,
      handleAddNext: addNext
    }));
  }), showDragNode && (Math.abs(movedNodeX) > 5 || Math.abs(movedNodeY) > 5) ? React__default.createElement(DragNode, {
    nodeList: cnodes,
    BLOCK_HEIGHT: block_height,
    FONT_SIZE: FONT_SIZE,
    alias: new Date().getTime(),
    showIcon: SHOW_ICON,
    showAvatar: SHOW_AVATAR,
    avatarRadius: avatarRadius,
    movedNodeX: movedNodeX,
    movedNodeY: movedNodeY,
    dragInfo: dragInfo,
    mutilMode: selectedNodes.length > 1 ? true : false
  }) : null, frameSelectionStarted ? React__default.createElement("rect", {
    x: selectionX,
    y: selectionY,
    width: selectionWidth,
    height: selectionHeight,
    fill: "#35a6f8",
    fillOpacity: 0.2,
    stroke: "#35a6f8"
  }) : null), showInput || showNewInput ? React__default.createElement(NodeInput, {
    selectedId: selectedId,
    nodeList: cnodes,
    handleChangeNodeText: changeText,
    topBottomMargin: selectedId === startId ? topBottomMargin * rootZoomRatio : nodeMap && selectedId && nodeMap[selectedId].father === startId ? topBottomMargin * secondZoomRatio : topBottomMargin,
    lineHeight: selectedId === startId ? lineHeight * rootZoomRatio : nodeMap && selectedId && nodeMap[selectedId].father === startId ? lineHeight * secondZoomRatio : lineHeight,
    FONT_SIZE: selectedId === startId ? FONT_SIZE * rootZoomRatio : nodeMap && selectedId && nodeMap[selectedId].father === startId ? FONT_SIZE * secondZoomRatio : FONT_SIZE,
    showIcon: SHOW_ICON,
    showAvatar: SHOW_AVATAR,
    textMaxWidth: textMaxWidth,
    avatarRadius: avatarRadius,
    startId: startId,
    nodeColor: rainbowColor ? undefined : nodeColor,
    startNodeBg: startNodeBg,
    inputEmpty: inputEmpty,
    selectedBorderColor: SELECTED_BORDER_COLOR,
    handleFileChange: handleTreePaste
  }) : null);
});

var getCalculatedNodes = calculate;

var composing$2 = false;

var MobileItem = function MobileItem(_ref) {
  var node = _ref.node,
      startId = _ref.startId,
      indent = _ref.indent,
      selectedBackgroundColor = _ref.selectedBackgroundColor,
      dragLineColor = _ref.dragLineColor,
      color = _ref.color,
      selectedColor = _ref.selectedColor,
      hoverColor = _ref.hoverColor,
      hoverBackgroundColor = _ref.hoverBackgroundColor,
      cutColor = _ref.cutColor,
      BLOCK_HEIGHT = _ref.BLOCK_HEIGHT,
      FONT_SIZE = _ref.FONT_SIZE,
      selected = _ref.selected,
      showIcon = _ref.showIcon,
      disabled = _ref.disabled,
      showChildNum = _ref.showChildNum,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      handleClickExpand = _ref.handleClickExpand,
      handleClickIcon = _ref.handleClickIcon,
      handleClickDot = _ref.handleClickDot,
      showInput = _ref.showInput,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleDrop = _ref.handleDrop,
      pasteNodeKey = _ref.pasteNodeKey,
      compId = _ref.compId,
      collapseMode = _ref.collapseMode,
      collapseModeCollapsed = _ref.collapseModeCollapsed;
  var width = 12;
  var containerRef = React.useRef(null);

  var _useState = React.useState(false),
      hover = _useState[0],
      sethover = _useState[1];

  var _useState2 = React.useState(node.name),
      value = _useState2[0],
      setValue = _useState2[1];

  var _useState3 = React.useState(false),
      dragStarted = _useState3[0],
      setDragStarted = _useState3[1];

  var _useState4 = React.useState(false),
      isDragOver = _useState4[0],
      setIsDragOver = _useState4[1];

  var _useState5 = React.useState(false),
      isDragIn = _useState5[0],
      setIsDragIn = _useState5[1];

  var iconIsEmoji = React.useMemo(function () {
    return isEmoji(node.icon);
  }, [node.icon]);

  function rectClassName(node) {
    // 选中的节点
    if (selected === node._key) {
      return 'selected';
    } else return '';
  }

  function handleClick(e) {
    e.stopPropagation();
    handleClickExpand(node);
  }

  function handleCommit(event) {
    if (composing$2) {
      return;
    }

    if (event.key === 'Enter' && selected) {
      handleChangeNodeText(selected, value);
    }
  }

  var handleClickoutside = function handleClickoutside() {
    if (selected && value) {
      handleChangeNodeText(selected, value);
    }
  };

  function handleDragStart(e) {
    e.dataTransfer.dropEffect = 'move';
    setDragStarted(true);
    sessionStorage.setItem('dragNodeId', node._key);
    sessionStorage.setItem('cross-comp-drag', node._key);
    sessionStorage.setItem('cross-drag-compId', compId);
  }

  function handleDropNode() {
    setIsDragOver(false);
    sessionStorage.setItem('dropNodeId', node._key);
    sessionStorage.setItem('placement', isDragIn ? 'in' : 'down');
    handleDrop();
    sessionStorage.removeItem('cross-comp-drag');
    sessionStorage.removeItem('cross-drag-compId');
  }

  function handleDragOver(e) {
    if (!node.disabled) {
      e.preventDefault();
    }

    if (!isDragOver) {
      setIsDragOver(true);
    }

    if (BLOCK_HEIGHT - e.nativeEvent.offsetY > 5) {
      setIsDragIn(true);
    } else {
      setIsDragIn(false);
    }
  }

  function handleDragLeave() {
    setIsDragOver(false);
  }

  function handleDragEnd() {
    setDragStarted(false);
  }

  function handleClickLink(type, url) {
    if (type === 'link') {
      if (url.includes('http')) {
        window.open(url, '_blank');
      } else {
        window.open("http://" + url, '_blank');
      }
    }
  }

  var nodeRectClassName = rectClassName(node);
  var nameLinkArr = [];

  if (urlReg.test(node.name)) {
    var arr1 = [];
    var matchList = node.name.match(urlReg);

    if (matchList) {
      var tempText = node.name;
      var textList = [];

      for (var index = 0; index < matchList.length; index++) {
        var element = matchList[index];
        tempText = tempText.replace(element, '!@#');
      }

      textList = tempText.split('!@#');

      for (var _index = 0; _index < textList.length; _index++) {
        var text = textList[_index];
        arr1.push(text);

        if (matchList[_index]) {
          arr1.push(matchList[_index]);
        }
      }
    }

    var marginLeft = 0;
    var count = 0;

    if (arr1 && arr1.length) {
      for (var _index2 = 0; _index2 < arr1.length; _index2++) {
        var name = arr1[_index2];

        if (_index2 !== 0) {
          marginLeft += textWidthAll(FONT_SIZE, arr1[_index2 - 1]);
        }

        var type = urlReg.test(name) ? 'link' : 'text';
        var shortedName = '';

        if (node.shorted) {
          for (var _index3 = 0; _index3 < name.length; _index3++) {
            if (count < 28) {
              var _char = name[_index3]; // 全角

              if (_char.match(/[^\x00-\xff]/g)) {
                count++;
              } else {
                count += 0.5;
              }

              shortedName += _char;
            } else {
              break;
            }
          }

          if (count >= 28) {
            shortedName = shortedName + "...";
          }
        }

        if (count >= 28) {
          nameLinkArr.push({
            text: name,
            shortedName: shortedName,
            type: type,
            marginLeft: marginLeft
          });
          break;
        } else {
          nameLinkArr.push({
            text: name,
            type: type,
            marginLeft: marginLeft
          });
        }
      }
    }
  }

  var collapsed;

  if (collapseMode) {
    collapsed = collapseModeCollapsed;
  } else {
    collapsed = node.contract;
  }

  return node.x && node.y ? React__default.createElement("div", {
    onClick: function onClick(e) {
      e.stopPropagation();
      handleClickNode(node);
    },
    onDoubleClick: function onDoubleClick(e) {
      e.stopPropagation();
      handleDbClickNode(node);
    },
    onMouseEnter: function onMouseEnter() {
      return sethover(true);
    },
    onMouseLeave: function onMouseLeave() {
      return sethover(false);
    },
    style: {
      width: '100%',
      height: BLOCK_HEIGHT + "px",
      display: 'flex',
      alignItems: 'center',
      // fontFamily: "'Microsoft YaHei', sans-serif",
      userSelect: 'none',
      cursor: hover ? 'pointer' : 'default',
      paddingLeft: node.x - (node._key === startId ? indent : 0) + "px",
      fontSize: FONT_SIZE + "px",
      boxSizing: 'border-box',
      backgroundColor: hover ? hoverBackgroundColor : nodeRectClassName === 'selected' ? selectedBackgroundColor : 'unset',
      borderStyle: 'solid',
      borderColor: dragLineColor,
      borderWidth: isDragOver ? isDragIn ? '3px' : '0 0 2px 0' : 0,
      opacity: dragStarted ? 0.8 : 1
    },
    draggable: showInput || disabled || node.disabled ? false : true,
    onDragStart: handleDragStart,
    onDragOver: handleDragOver,
    onDragLeave: handleDragLeave,
    onDrop: handleDropNode,
    onDragEnd: handleDragEnd,
    ref: containerRef
  }, React__default.createElement("div", {
    style: {
      width: width + "px",
      marginRight: '4px',
      flexShrink: 0
    }
  }), React__default.createElement("div", {
    style: {
      marginRight: '12px',
      flexShrink: 0
    },
    onClick: function onClick(e) {
      e.stopPropagation();
      handleClickDot(node);
    }
  }, React__default.createElement("svg", {
    width: 8,
    height: 8,
    viewBox: "0,0," + 8 + "," + 8
  }, React__default.createElement("circle", {
    id: "dot",
    cx: 4,
    cy: 4,
    r: 4,
    fill: color,
    fillOpacity: 1,
    cursor: "pointer"
  }))), showIcon && node.icon ? iconIsEmoji ? React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      lineHeight: '22px'
    }
  }, node.icon) : React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      backgroundImage: "url(\"" + node.icon + "\")",
      backgroundPosition: 'center',
      backgroundSize: 'contain',
      backgroundRepeat: 'no-repeat',
      marginRight: '4px',
      flexShrink: 0
    },
    onClick: function onClick() {
      return handleClickIcon(node);
    }
  }) : null, showInput ? React__default.createElement(ClickOutside, {
    onClickOutside: handleClickoutside
  }, React__default.createElement("input", {
    autoFocus: true,
    placeholder: "untitled",
    value: value,
    style: {
      boxSizing: 'border-box',
      border: '1px solid #000000',
      outline: 'none'
    },
    onChange: function onChange(e) {
      return setValue(e.target.value);
    },
    onKeyDown: function onKeyDown(e) {
      return handleCommit(e);
    },
    onBlur: function onBlur() {
      return handleChangeNodeText(selected, value);
    },
    onMouseDown: function onMouseDown(e) {
      return e.stopPropagation();
    },
    onContextMenu: function onContextMenu(e) {
      return e.stopPropagation();
    },
    onCompositionStart: function onCompositionStart() {
      return composing$2 = true;
    },
    onCompositionEnd: function onCompositionEnd() {
      return composing$2 = false;
    }
  })) : nameLinkArr.length ? React__default.createElement("span", {
    style: {
      fontSize: FONT_SIZE + "px",
      // fontFamily: "'Microsoft YaHei', sans-serif",
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      display: 'flex'
    }
  }, nameLinkArr.map(function (name, index) {
    return React__default.createElement("span", {
      key: index,
      style: {
        color: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color,
        textDecoration: name.type === 'link' ? 'underline' : 'unset',
        fontWeight: nodeRectClassName === 'selected' ? 'bold' : 'normal'
      },
      onClick: function onClick() {
        return handleClickLink(name.type, name.text);
      }
    }, name.text || '');
  }), showChildNum ? React__default.createElement("span", {
    style: {
      color: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color,
      fontWeight: nodeRectClassName === 'selected' ? 'bold' : 'normal'
    }
  }, " (" + (node.childNum || node.sortList.length) + ")") : null) : React__default.createElement("span", {
    style: {
      fontSize: FONT_SIZE + "px",
      // fontFamily: "'Microsoft YaHei', sans-serif",
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      color: pasteNodeKey === node._key ? cutColor : nodeRectClassName === 'selected' ? selectedColor : hover ? hoverColor : color,
      fontWeight: nodeRectClassName === 'selected' ? 800 : 'normal'
    }
  }, "" + (node.name || '') + (showChildNum ? " (" + (node.childNum || node.sortList.length) + ")" : '')), React__default.createElement("div", {
    style: {
      flex: 1
    }
  }), React__default.createElement("div", {
    onClick: handleClick,
    style: {
      width: '18px',
      textAlign: 'center',
      flexShrink: 0
    }
  }, node.sortList && node.sortList.length ? React__default.createElement("svg", {
    width: width,
    height: width,
    viewBox: "0,0," + width + "," + width
  }, collapsed ? React__default.createElement("path", {
    d: "M " + width / 4 + " " + 0 + " L " + (width / 4 + width / 2) + " " + width / 2 + " L " + width / 4 + " " + width + " Z",
    fill: hover ? hoverColor : color
  }) : React__default.createElement("path", {
    d: "M 0 " + width / 4 + " H " + width + " L " + width / 2 + " " + (width / 4 + width / 2) + " Z",
    fill: hover ? hoverColor : color
  })) : null)) : null;
};

var isMac$3 = /*#__PURE__*/ /macintosh|mac os x/i.test(navigator.userAgent);
var MobileTree = /*#__PURE__*/React__default.forwardRef(function (_ref, ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      _ref$backgroundColor = _ref.backgroundColor,
      backgroundColor = _ref$backgroundColor === void 0 ? '#FFF' : _ref$backgroundColor,
      _ref$selectedBackgrou = _ref.selectedBackgroundColor,
      selectedBackgroundColor = _ref$selectedBackgrou === void 0 ? '#ededed' : _ref$selectedBackgrou,
      _ref$dragLineColor = _ref.dragLineColor,
      dragLineColor = _ref$dragLineColor === void 0 ? '#00CDD3' : _ref$dragLineColor,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? '#595959' : _ref$color,
      _ref$selectedColor = _ref.selectedColor,
      selectedColor = _ref$selectedColor === void 0 ? '#1CA8B3' : _ref$selectedColor,
      _ref$hoverColor = _ref.hoverColor,
      hoverColor = _ref$hoverColor === void 0 ? '#595959' : _ref$hoverColor,
      _ref$hoverBackgroundC = _ref.hoverBackgroundColor,
      hoverBackgroundColor = _ref$hoverBackgroundC === void 0 ? '#f0f0f0' : _ref$hoverBackgroundC,
      cutColor = _ref.cutColor,
      defaultSelectedId = _ref.defaultSelectedId,
      _ref$uncontrolled = _ref.uncontrolled,
      uncontrolled = _ref$uncontrolled === void 0 ? true : _ref$uncontrolled,
      _ref$itemHeight = _ref.itemHeight,
      itemHeight = _ref$itemHeight === void 0 ? 30 : _ref$itemHeight,
      _ref$topBottomMargin = _ref.topBottomMargin,
      topBottomMargin = _ref$topBottomMargin === void 0 ? 5 : _ref$topBottomMargin,
      _ref$lineHeight = _ref.lineHeight,
      lineHeight = _ref$lineHeight === void 0 ? 20 : _ref$lineHeight,
      _ref$fontSize = _ref.fontSize,
      fontSize = _ref$fontSize === void 0 ? 14 : _ref$fontSize,
      _ref$indent = _ref.indent,
      indent = _ref$indent === void 0 ? 18 : _ref$indent,
      disableShortcut = _ref.disableShortcut,
      disabled = _ref.disabled,
      showMoreButton = _ref.showMoreButton,
      _ref$showIcon = _ref.showIcon,
      showIcon = _ref$showIcon === void 0 ? true : _ref$showIcon,
      _ref$showChildNum = _ref.showChildNum,
      showChildNum = _ref$showChildNum === void 0 ? false : _ref$showChildNum,
      handleClickExpand = _ref.handleClickExpand,
      handleClickNode = _ref.handleClickNode,
      handleDbClickNode = _ref.handleDbClickNode,
      handleClickIcon = _ref.handleClickIcon,
      handleClickDot = _ref.handleClickDot,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleAddNext = _ref.handleAddNext,
      handleAddChild = _ref.handleAddChild,
      handleDeleteNode = _ref.handleDeleteNode,
      handleShiftUpDown = _ref.handleShiftUpDown,
      handlePaste = _ref.handlePaste,
      handleDrag = _ref.handleDrag,
      collapseMode = _ref.collapseMode;
  var clickTimeId;

  var _useState = React.useState(nodes),
      nodeMap = _useState[0],
      setNodeMap = _useState[1];

  var _useState2 = React.useState([]),
      cnodes = _useState2[0],
      setcnodes = _useState2[1]; // const [maxX, setmaxX] = useState(0);


  var _useState3 = React.useState(null),
      selectedId = _useState3[0],
      setselectedId = _useState3[1];

  var _useState4 = React.useState(false),
      showInput = _useState4[0],
      setshowInput = _useState4[1];

  var _useState5 = React.useState(false),
      showNewInput = _useState5[0],
      setshowNewInput = _useState5[1]; // 粘貼的節點key


  var _useState6 = React.useState(null),
      pasteNodeKey = _useState6[0],
      setPasteNodeKey = _useState6[1]; // 粘貼方式


  var _useState7 = React.useState(null),
      pasteType = _useState7[0],
      setPasteType = _useState7[1];

  var _useState8 = React.useState(''),
      compId = _useState8[0],
      setCompId = _useState8[1];

  var containerRef = React.useRef(null);

  var _useState9 = React.useState(startId),
      expandedNodeKey = _useState9[0],
      setExpandedNodeKey = _useState9[1];

  var _useState10 = React.useState([]),
      ancestorList = _useState10[0],
      setAncestorList = _useState10[1]; // 暴露方法


  React.useImperativeHandle(ref, function () {
    return {
      deleteNode: deletenode,
      saveNodes: saveNodes,
      addNext: addNext,
      addChild: addChild,
      rename: function rename() {
        if (selectedId) {
          setshowInput(true);
        }
      },
      clearSelect: function clearSelect() {
        setselectedId(null);
      }
    };
  });
  React.useEffect(function () {
    setCompId(guid(8, 16));
  }, []); // 参数nodes发生改变，重设nodeMap

  React.useEffect(function () {
    setNodeMap(nodes);
  }, [nodes]); // nodeMap发生改变，根据nodeMap计算渲染所需数据

  React.useEffect(function () {
    console.log('根据nodeMap计算渲染所需数据');

    if (!nodeMap[startId]) {
      return;
    }

    var cal = calculate(nodeMap, startId, true, itemHeight, topBottomMargin, lineHeight, indent, fontSize, 3000, showIcon, false, 11, 1, 1, 0, 0, undefined, collapseMode, expandedNodeKey);

    if (cal) {
      cal.nodes.sort(function (a, b) {
        return a.y - b.y;
      });
      setcnodes(cal.nodes);
    }
  }, [nodeMap, startId, expandedNodeKey]);
  React.useEffect(function () {
    if (collapseMode && expandedNodeKey && nodeMap[expandedNodeKey]) {
      var _ancestorList = getAncestor(nodes[expandedNodeKey], nodes, true);

      setAncestorList(_ancestorList);
    }
  }, [nodeMap, expandedNodeKey]);
  React.useEffect(function () {
    if (defaultSelectedId) {
      setselectedId(defaultSelectedId);

      if (nodeMap && nodeMap[defaultSelectedId]) {
        setExpandedNodeKey(nodeMap[defaultSelectedId].father);
      }
    }
  }, [defaultSelectedId]); // 单击节点

  function clickNode(node) {
    clearTimeout(clickTimeId);
    clickTimeId = setTimeout(function () {
      setselectedId(node._key);

      if (handleClickNode) {
        handleClickNode(node);
      }
    }, 250);
  } // 双击节点


  function dbClickNode(node) {
    if (disabled || node.disabled) {
      return;
    }

    clearTimeout(clickTimeId);
    setselectedId(node._key);
    setshowInput(true);

    if (handleDbClickNode) {
      handleDbClickNode(node);
    }
  } // 展开/收起节点


  function handleExpand(node) {
    if (collapseMode) {
      if (expandedNodeKey === node._key) {
        setExpandedNodeKey(node.father || null);
      } else {
        setExpandedNodeKey(node._key);

        if (handleClickExpand && node.contract) {
          handleClickExpand(node);
        }
      }
    } else {
      if (uncontrolled) {
        var _nodes = dot(nodeMap, node._key);

        setNodeMap(_nodes);
      }

      if (handleClickExpand) {
        handleClickExpand(node);
      }
    }
  }

  function clickIcon(node) {
    if (handleClickIcon) {
      handleClickIcon(node);
    }
  } // 节点改名


  function changeText(nodeId, text) {
    setshowInput(false);
    setshowNewInput(false);

    if (uncontrolled) {
      var _nodes2 = changeNodeText(nodeMap, nodeId, text);

      setNodeMap(_nodes2);
    }

    if (handleChangeNodeText) {
      handleChangeNodeText(nodeId, text);
    }

    if (containerRef && containerRef.current) {
      containerRef.current.focus();
    }
  } // 添加平级节点


  function addNext() {
    if (!selectedId) {
      return;
    }

    if (selectedId === startId) {
      return alert('根节点无法添加兄弟节点！');
    }

    if (uncontrolled) {
      var res = addNextNode(nodeMap, selectedId);

      if (handleAddNext) {
        handleAddNext(selectedId, res.addedNode);
      }

      setselectedId(res.addedNode._key);
      setNodeMap(res.nodes);
      setshowInput(true);
    } else {
      if (handleAddNext) {
        handleAddNext(selectedId);
      }
    }
  } // 添加子节点


  function addChild() {
    if (!selectedId) {
      return;
    }

    if (uncontrolled) {
      var res = addChildNode(nodeMap, selectedId);

      if (handleAddChild) {
        handleAddChild(selectedId, res.addedNode);
      }

      setExpandedNodeKey(selectedId);
      setselectedId(res.addedNode._key);
      setNodeMap(res.nodes);
      setshowInput(true);
    } else {
      if (handleAddChild) {
        handleAddChild(selectedId);
      }
    }
  } // 删除节点


  function deletenode() {
    if (!selectedId) {
      return;
    }

    if (selectedId === startId) {
      return alert('根节点不允许删除！');
    }

    if (uncontrolled) {
      var res = deleteNode(nodeMap, selectedId);

      if (handleDeleteNode) {
        handleDeleteNode(selectedId);
      }

      setselectedId(null);
      setNodeMap(res.nodes);
    } else {
      if (handleDeleteNode) {
        handleDeleteNode(selectedId);
      }
    }
  } // 節點上移


  function shiftUp() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'up');

    if (res) {
      if (uncontrolled) {
        setNodeMap(res.nodes);
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'up');
        }
      }
    }
  } // 節點下移


  function shiftDown() {
    if (!selectedId) {
      return;
    }

    var res = changeSortList(nodeMap, selectedId, 'down');

    if (res) {
      if (uncontrolled) {
        setNodeMap(res.nodes);
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(selectedId, res.brotherKeys, 'down');
        }
      }
    }
  }

  function saveNodes() {
    return nodeMap;
  }

  function handleKeyDown(event) {
    if (disabled || disableShortcut || showInput || showNewInput) {
      return;
    }

    event.preventDefault();
    var commandKey = isMac$3 ? event.metaKey : event.ctrlKey;

    switch (event.key) {
      case 'Enter':
        addNext();
        break;

      case 'Tab':
        addChild();
        break;

      case 'Delete':
      case 'Backspace':
        deletenode();
        break;

      case 'ArrowUp':
        if (event.shiftKey) {
          shiftUp();
        }

        break;

      case 'ArrowDown':
        if (event.shiftKey) {
          shiftDown();
        }

        break;
      // 複製

      case 'c':
        if (commandKey && selectedId) {
          setPasteNodeKey(selectedId);
          setPasteType('copy');
        }

        break;
      // 剪切

      case 'x':
        if (commandKey && selectedId) {
          // 根節點不允許剪切
          if (selectedId === startId) {
            setPasteNodeKey(null);
            setPasteType(null);
            return;
          }

          setPasteNodeKey(selectedId);
          setPasteType('cut');
        }

        break;
      // 粘貼

      case 'v':
        if (commandKey && pasteType && pasteNodeKey && selectedId) {
          if (uncontrolled) {
            var res = pasteNode(nodeMap, pasteNodeKey, pasteType, selectedId);

            if (res) {
              setNodeMap(res);
            }
          } else if (handlePaste) {
            handlePaste(pasteNodeKey, pasteType, selectedId);
          }

          setPasteNodeKey(null);
          setPasteType(null);
        }

        break;
    }
  }

  function handleDrop() {
    var dragNodeId = sessionStorage.getItem('dragNodeId');
    var dropNodeId = sessionStorage.getItem('dropNodeId');
    var placement = sessionStorage.getItem('placement');

    if (!dragNodeId || !dropNodeId) {
      return;
    }

    var dragInfo = {
      dragNodeId: dragNodeId,
      dropNodeId: dropNodeId,
      placement: placement
    };

    if (uncontrolled) {
      var res = dragSort(nodeMap, dragNodeId, dropNodeId, dragInfo.placement);

      if (res) {
        setNodeMap(res);
      }
    } else if (handleDrag) {
      handleDrag(dragNodeId, dragInfo);
    }
  }

  function clickDot(node) {
    if (handleClickDot) {
      handleClickDot(node);
    }
  }

  return React__default.createElement("div", {
    className: "menu-wrapper",
    style: {
      position: 'relative',
      outline: 'none',
      width: '100%',
      backgroundColor: backgroundColor
    },
    tabIndex: -1,
    ref: containerRef,
    onKeyDown: function onKeyDown(e) {
      return handleKeyDown(e);
    }
  }, cnodes.map(function (node, index) {
    return React__default.createElement(MobileItem, {
      key: index + "_" + node._key,
      startId: startId,
      indent: indent,
      node: node,
      BLOCK_HEIGHT: topBottomMargin * 2 + lineHeight,
      FONT_SIZE: fontSize,
      selectedBackgroundColor: selectedBackgroundColor,
      dragLineColor: dragLineColor,
      color: color,
      selectedColor: selectedColor,
      hoverColor: hoverColor,
      hoverBackgroundColor: hoverBackgroundColor,
      selected: selectedId,
      showIcon: showIcon,
      disabled: disabled || false,
      showChildNum: showChildNum,
      cutColor: cutColor || 'rgba(255,255,255,0.5)',
      pasteNodeKey: pasteType === 'cut' ? pasteNodeKey : null,
      showMoreButton: showMoreButton && !disabled ? true : false,
      handleClickNode: clickNode,
      handleDbClickNode: dbClickNode,
      handleClickExpand: handleExpand,
      showInput: (showInput || showNewInput) && selectedId === node._key,
      handleChangeNodeText: changeText,
      handleClickIcon: clickIcon,
      handleDrop: handleDrop,
      handleClickDot: clickDot,
      compId: compId,
      collapseMode: collapseMode,
      collapseModeCollapsed: collapseMode ? expandedNodeKey ? !ancestorList.includes(node._key) : true : undefined
    });
  }));
});

var interval; // 定时器变量

var ANIME_TIME = 800;
function ImageSlides(_ref) {
  var _containerRef$current2;

  var imageList = _ref.imageList;
  var containerRef = React.useRef(null);
  var buttonRef = React.useRef(null);

  var _useState = React.useState(0),
      slideWidth = _useState[0],
      setSlideWidth = _useState[1];

  var _useState2 = React.useState(0),
      slideHeight = _useState2[0],
      setSlideHeight = _useState2[1];

  var _useState3 = React.useState(0),
      currentPage = _useState3[0],
      setCurrentPage = _useState3[1];

  var _useState4 = React.useState(0),
      translateX = _useState4[0],
      setTranslateX = _useState4[1];

  var _useState5 = React.useState(true),
      transition = _useState5[0],
      setTransition = _useState5[1];

  React.useEffect(function () {
    var _containerRef$current;

    if (containerRef != null && (_containerRef$current = containerRef.current) != null && _containerRef$current.clientWidth) {
      containerRef.current.focus();
      setSlideWidth(containerRef.current.clientWidth);
      setSlideHeight(containerRef.current.clientHeight);
    }
  }, [containerRef == null ? void 0 : (_containerRef$current2 = containerRef.current) == null ? void 0 : _containerRef$current2.clientWidth]);
  React.useEffect(function () {
    setTransition(false);
    setCurrentPage(0);
  }, [imageList]);
  React.useEffect(function () {
    if (slideWidth) {
      setTranslateX(-slideWidth);
    }
  }, [currentPage, slideWidth]);
  React.useEffect(function () {
    if (imageList.length > 1 && buttonRef && buttonRef.current) {
      interval = setInterval(function () {
        var _buttonRef$current;

        (_buttonRef$current = buttonRef.current) == null ? void 0 : _buttonRef$current.click();
      }, 3000);
    }

    return function () {
      return clearInterval(interval);
    };
  }, [imageList.length, buttonRef]);

  var nextPage = function nextPage(currentPage) {
    if (transition) {
      return;
    }

    setTransition(true);
    setTranslateX(function (prevX) {
      return prevX - slideWidth;
    });
    setTimeout(function () {
      setTransition(false);
      setCurrentPage(function (prevPage) {
        if (currentPage + 1 < imageList.length) {
          return prevPage + 1;
        } else {
          return 0;
        }
      });
    }, ANIME_TIME);
  };

  return React__default.createElement("div", {
    ref: containerRef,
    style: {
      width: '100%',
      height: '100%',
      backgroundColor: 'inherit',
      outline: 'none',
      overflow: 'hidden'
    }
  }, slideWidth ? React__default.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      display: 'flex',
      transform: "translateX(" + translateX + "px)",
      transition: transition ? "transform " + ANIME_TIME / 1000 + "s ease-in-out" : 'unset'
    }
  }, currentPage - 1 >= 0 ? React__default.createElement(ImageSlide, {
    width: slideWidth + "px",
    height: slideHeight + "px",
    style: {
      flexShrink: 0
    },
    image: imageList[currentPage - 1]
  }) : React__default.createElement(ImageSlide, {
    width: slideWidth + "px",
    height: slideHeight + "px",
    style: {
      flexShrink: 0
    },
    image: imageList[imageList.length - 1]
  }), React__default.createElement(ImageSlide, {
    width: slideWidth + "px",
    height: slideHeight + "px",
    style: {
      flexShrink: 0
    },
    image: imageList[currentPage]
  }), currentPage + 1 < imageList.length ? React__default.createElement(ImageSlide, {
    width: slideWidth + "px",
    height: slideHeight + "px",
    style: {
      flexShrink: 0
    },
    image: imageList[currentPage + 1]
  }) : React__default.createElement(ImageSlide, {
    width: slideWidth + "px",
    height: slideHeight + "px",
    style: {
      flexShrink: 0
    },
    image: imageList[0]
  })) : null, React__default.createElement("div", {
    style: {
      display: 'none'
    },
    ref: buttonRef,
    onClick: function onClick() {
      return nextPage(currentPage);
    }
  }));
}

function ImageSlide(_ref2) {
  var image = _ref2.image,
      width = _ref2.width,
      height = _ref2.height,
      style = _ref2.style;
  return React__default.createElement("div", {
    style: _extends({
      width: width,
      height: height,
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center'
    }, style)
  }, React__default.createElement("div", {
    style: {
      flex: 1,
      width: '100%',
      backgroundImage: "url(" + (image == null ? void 0 : image.url) + ")",
      backgroundSize: 'contain',
      backgroundRepeat: 'no-repeat',
      backgroundPosition: 'center'
    }
  }), React__default.createElement("span", {
    style: {
      padding: '5px 0',
      color: '#A9A9A9'
    }
  }, image == null ? void 0 : image.name));
}

function Title(_ref) {
  var _slide$imageList, _slide$subTitleList, _slide$imageList2;

  var slide = _ref.slide,
      active = _ref.active,
      thumbnailMode = _ref.thumbnailMode;
  var showImage = (_slide$imageList = slide.imageList) == null ? void 0 : _slide$imageList.length;
  var path = slide.paths.join(' > ');
  return React__default.createElement("div", {
    style: {
      position: 'relative',
      width: '100%',
      height: '100%',
      boxSizing: 'border-box',
      padding: '25px 45px',
      display: 'flex',
      justifyContent: 'center',
      fontWeight: 500,
      overflow: 'hidden'
    }
  }, React__default.createElement("div", {
    style: {
      position: 'absolute',
      top: '15px',
      left: '15px',
      fontSize: '2vh'
    }
  }, path), React__default.createElement("div", {
    style: {
      width: showImage ? '50%' : thumbnailMode ? 'unset' : '100%',
      maxWidth: '60vw',
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'center',
      alignItems: showImage || thumbnailMode ? 'center' : 'flex-start'
    }
  }, slide.type === 'link' && slide.url ? React__default.createElement("a", {
    href: slide.url,
    target: "_blank",
    style: {
      fontSize: '8vh',
      color: '#1CA8B3'
    }
  }, slide.title) : React__default.createElement("span", {
    style: {
      fontSize: '8vh'
    }
  }, slide.title), (_slide$subTitleList = slide.subTitleList) != null && _slide$subTitleList.length ? React__default.createElement("ul", null, slide.subTitleList.map(function (item, index) {
    return React__default.createElement("li", {
      key: index,
      style: {
        fontSize: '4vh'
      }
    }, item.type === 'link' && item.url ? React__default.createElement("a", {
      href: item.url,
      target: "_blank",
      style: {
        color: '#1CA8B3'
      }
    }, item.title) : item.title);
  })) : null, thumbnailMode && slide.icon ? React__default.createElement("i", {
    style: {
      width: '50vh',
      height: '50vh',
      backgroundSize: 'contain',
      backgroundRepeat: 'no-repeat',
      backgroundPosition: 'center',
      backgroundImage: "url(" + slide.icon + ")",
      marginTop: '5vh'
    }
  }) : null), (_slide$imageList2 = slide.imageList) != null && _slide$imageList2.length ? React__default.createElement("div", {
    style: {
      width: '50%'
    }
  }, React__default.createElement(ImageSlides, {
    imageList: !active ? [slide.imageList[0]] : slide.imageList
  })) : null);
}

function Loading() {
  return React__default.createElement("div", {
    style: {
      position: 'absolute',
      top: 0,
      right: 0,
      bottom: 0,
      left: 0,
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      zIndex: 999
    }
  }, React__default.createElement("span", {
    style: {
      fontSize: '18px'
    }
  }, "\u52A0\u8F7D\u4E2D\u2026\u2026"));
}

function Webview(_ref) {
  var uri = _ref.uri,
      id = _ref.id;

  var _useState = React.useState(true),
      loading = _useState[0],
      setloading = _useState[1];

  var iframeRef = React.useRef(null);

  function handleOnload() {
    setloading(false);
  }

  return React__default.createElement("div", {
    style: {
      position: 'relative',
      width: '100%',
      height: '100%'
    }
  }, React__default.createElement("iframe", {
    id: id || 'web-view',
    ref: iframeRef,
    name: "frame-container",
    className: "web-view",
    title: window.name,
    src: uri,
    frameBorder: "0",
    width: "100%",
    height: "100%",
    allowFullScreen: true,
    onLoad: handleOnload
  }), loading ? React__default.createElement(Loading, null) : null);
}

function Slide(_ref) {
  var slide = _ref.slide,
      _ref$width = _ref.width,
      width = _ref$width === void 0 ? '100%' : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? '100%' : _ref$height,
      style = _ref.style,
      active = _ref.active,
      thumbnailMode = _ref.thumbnailMode;
  return React__default.createElement("div", {
    style: _extends({
      width: width,
      height: height,
      boxSizing: 'border-box'
    }, style)
  }, slide.url && !thumbnailMode ? slide.type === 'link' && slide.linkType ? React__default.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, React__default.createElement("iframe", {
    src: slide.url,
    scrolling: "no",
    frameBorder: "0",
    allowFullScreen: true,
    width: slide.linkType === 'wangyiyun' ? '360px' : width,
    height: slide.linkType === 'wangyiyun' ? '85px' : height
  })) : React__default.createElement(Webview, {
    uri: slide.url
  }) : React__default.createElement(Title, {
    slide: slide,
    active: active,
    thumbnailMode: thumbnailMode
  }), !active ? React__default.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      position: 'absolute',
      top: 0,
      left: 0
    }
  }) : null);
}

function getSlideList(nodes, startId, getNodeUrlFunc) {
  var slideList = [];
  var node = nodes[startId];

  if (!node) {
    return slideList;
  }

  getSlide(node, getNodeUrlFunc);
  return slideList;

  function getSlide(node, getNodeUrlFunc) {
    // 获取祖先
    var ancestor = getAncestor$1(node, nodes); // 图片附件

    var imageList = [];

    if (node.attach && node.attach.length) {
      for (var index = 0; index < node.attach.length; index++) {
        var attach = node.attach[index];

        if (attach.type.includes('image/')) {
          imageList.push(attach);
        }
      }
    } // 如果该节点为根节点或者有图片附件的非叶子节点，则单独有一张幻灯片
    // if (node._key === startId || (imageList.length && node.sortList.length)) {


    if (node._key === startId || imageList.length) {
      slideList.push({
        title: node.name,
        paths: ancestor,
        imageList: imageList
      });
    }

    var childrenIds = node.sortList; // 如果节点为文档，则获取文档地址，且单独有一张幻灯片

    if (node.type === 'doc' || node.type === 'file' || node.type === 'flexNode' || node.type === 'link' && node.linkType) {
      var url = getNodeUrlFunc(node);

      if (url) {
        slideList.push({
          title: node.name,
          paths: ancestor,
          url: url,
          icon: node.icon,
          type: node.type,
          linkType: node.linkType
        });
      }
    } else {
      var subTitleList = [];

      for (var _index = 0; _index < childrenIds.length; _index++) {
        var nodeKey = childrenIds[_index];
        var _node = nodes[nodeKey];

        if (_node) {
          subTitleList.push({
            title: _node.name,
            type: _node.type,
            url: _node.url
          });
        }
      }

      if (subTitleList.length) {
        var slide = {
          title: node.name,
          paths: ancestor,
          subTitleList: subTitleList,
          type: node.type,
          url: node.url
        };
        slideList.push(slide);
      }
    }

    for (var _index2 = 0; _index2 < childrenIds.length; _index2++) {
      var _nodeKey = childrenIds[_index2];
      var _node2 = nodes[_nodeKey];

      if (_node2) {
        getSlide(_node2, getNodeUrlFunc);
      }
    }
  }
}

var getAncestor$1 = function getAncestor(node, nodeMap, includeSelf) {
  var getFather = function getFather(node) {
    var father = nodeMap[node.father];

    if (father) {
      ancestorList.unshift(father.name);
      getFather(father);
    }
  };

  var ancestorList = includeSelf ? [node.name] : [];
  getFather(node);
  return ancestorList;
};

var ANIME_TIME$1 = 800;
function SlidePlay(_ref) {
  var _containerRef$current;

  var slideList = _ref.slideList,
      currentPage = _ref.currentPage,
      changePage = _ref.changePage,
      color = _ref.color,
      style = _ref.style;
  var containerRef = React.useRef(null);

  var _useState = React.useState(0),
      slideWidth = _useState[0],
      setSlideWidth = _useState[1];

  var _useState2 = React.useState(0),
      slideHeight = _useState2[0],
      setSlideHeight = _useState2[1];

  var _useState3 = React.useState(0),
      translateX = _useState3[0],
      setTranslateX = _useState3[1];

  var _useState4 = React.useState(false),
      transition = _useState4[0],
      setTransition = _useState4[1];

  var _useState5 = React.useState(false),
      hoverPrev = _useState5[0],
      setHoverPrev = _useState5[1];

  var _useState6 = React.useState(false),
      hoverNext = _useState6[0],
      setHoverNext = _useState6[1];

  React.useEffect(function () {
    if (containerRef && containerRef.current && containerRef.current.clientWidth) {
      containerRef.current.focus();
      setSlideWidth(containerRef.current.clientWidth);
      setSlideHeight(containerRef.current.clientHeight);
      setTranslateX(-containerRef.current.clientWidth * currentPage);
    }
  }, [containerRef == null ? void 0 : (_containerRef$current = containerRef.current) == null ? void 0 : _containerRef$current.clientWidth]);

  function handleKeyDown(event) {
    event.preventDefault();

    switch (event.key) {
      case 'ArrowRight':
        nextPage();
        break;

      case 'ArrowLeft':
        prevPage();
        break;
    }
  }

  var nextPage = function nextPage() {
    if (transition) {
      return;
    }

    if (currentPage + 1 < slideList.length) {
      setTransition(true);
      setTranslateX(function (prevX) {
        return prevX - slideWidth;
      });
      setTimeout(function () {
        setTransition(false);
        changePage(currentPage + 1);
      }, ANIME_TIME$1);
    }
  };

  var prevPage = function prevPage() {
    if (transition) {
      return;
    }

    if (currentPage - 1 >= 0) {
      setTransition(true);
      setTranslateX(function (prevX) {
        return prevX + slideWidth;
      });
      setTimeout(function () {
        setTransition(false);
        changePage(currentPage - 1);
      }, ANIME_TIME$1);
    }
  };

  return React__default.createElement("div", {
    ref: containerRef,
    style: _extends({
      position: 'absolute',
      top: 0,
      left: 0,
      width: '100%',
      height: '100%',
      backgroundColor: 'inherit',
      outline: 'none',
      overflow: 'hidden'
    }, style),
    tabIndex: -1,
    onKeyDown: function onKeyDown(e) {
      return handleKeyDown(e);
    }
  }, React__default.createElement("div", {
    style: {
      display: 'flex',
      transform: "translateX(" + translateX + "px)",
      transition: transition ? "transform " + ANIME_TIME$1 / 1000 + "s ease-in-out" : 'unset'
    }
  }, slideList.map(function (slide, index) {
    return React__default.createElement(Slide, {
      key: index,
      width: slideWidth + "px",
      height: slideHeight + "px",
      style: {
        flexShrink: 0
      },
      slide: slide,
      active: index === currentPage
    });
  })), React__default.createElement("div", {
    style: {
      width: '12vh',
      position: 'absolute',
      right: '2vh',
      bottom: '2vh',
      display: 'flex',
      justifyContent: 'space-between',
      zIndex: 999
    }
  }, React__default.createElement("div", {
    style: {
      cursor: 'pointer',
      filter: hoverPrev ? 'unset' : 'opacity(0.5)'
    },
    onClick: prevPage,
    onMouseEnter: function onMouseEnter() {
      return setHoverPrev(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setHoverPrev(false);
    }
  }, React__default.createElement(Icon, {
    name: "prev",
    fill: color,
    width: "5vh",
    height: "5vh"
  })), React__default.createElement("div", {
    style: {
      cursor: 'pointer',
      filter: hoverNext ? 'unset' : 'opacity(0.5)'
    },
    onClick: nextPage,
    onMouseEnter: function onMouseEnter() {
      return setHoverNext(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setHoverNext(false);
    }
  }, React__default.createElement(Icon, {
    name: "next",
    fill: color,
    width: "5vh",
    height: "5vh"
  }))));
}

var backgroundColor = '#f5f5f5';
var borderColor = '#eee';
var Slides = function Slides(_ref) {
  var _nodes$startId;

  var nodes = _ref.nodes,
      startId = _ref.startId,
      getNodeUrl = _ref.getNodeUrl,
      _ref$themeColor = _ref.themeColor,
      themeColor = _ref$themeColor === void 0 ? '#1CA8B3' : _ref$themeColor,
      _ref$bright = _ref.bright,
      bright = _ref$bright === void 0 ? true : _ref$bright;
  var containerRef = React.useRef(null);

  var _useState = React.useState([]),
      slideList = _useState[0],
      setSlideList = _useState[1];

  var _useState2 = React.useState(0),
      currentPage = _useState2[0],
      setCurrentPage = _useState2[1];

  var _useState3 = React.useState(false),
      playMode = _useState3[0],
      setPlayMode = _useState3[1];

  var _useState4 = React.useState(bright ? '#FFF' : '#434343'),
      paperColor = _useState4[0],
      setpaperColor = _useState4[1];

  var _useState5 = React.useState(bright ? '#434343' : '#FFF'),
      color = _useState5[0],
      setcolor = _useState5[1];

  var _useState6 = React.useState(false),
      hoverPrev = _useState6[0],
      setHoverPrev = _useState6[1];

  var _useState7 = React.useState(false),
      hoverNext = _useState7[0],
      setHoverNext = _useState7[1];

  React.useEffect(function () {
    if (containerRef != null && containerRef.current) {
      containerRef.current.focus();
    }
  }, [containerRef == null ? void 0 : containerRef.current]); // 监听全屏事件

  React.useEffect(function () {
    if (screenfull.isEnabled) {
      screenfull.on('change', function () {
        // 监听到退出全屏，则退出放映模式
        if (!screenfull.isFullscreen) {
          setPlayMode(false);
        } else {
          setTimeout(function () {
            setPlayMode(true);
          }, 1000);
        }
      });
    }
  }, []); // 计算得到幻灯片数据

  React.useEffect(function () {
    var slideList = getSlideList(nodes, startId, getNodeUrl);
    setSlideList(slideList);
  }, [nodes, startId]);

  function prevPage() {
    if (currentPage - 1 >= 0) {
      setCurrentPage(function (prevPage) {
        return prevPage - 1;
      });
    }
  }

  function nextPage() {
    if (currentPage + 1 < slideList.length) {
      setCurrentPage(function (prevPage) {
        return prevPage + 1;
      });
    }
  }

  function handleKeyDown(event) {
    event.preventDefault();

    if (playMode) {
      return;
    }

    switch (event.key) {
      case 'ArrowDown':
        nextPage();
        break;

      case 'ArrowUp':
        prevPage();
        break;
    }
  }

  var handleChangeColor = function handleChangeColor() {
    if (paperColor === '#434343') {
      setpaperColor('#FFF');
      setcolor('#434343');
    } else {
      setpaperColor('#434343');
      setcolor('#FFF');
    }
  };

  return React__default.createElement("div", {
    className: "tree-graph-react-slides",
    tabIndex: -1,
    ref: containerRef,
    style: {
      position: 'relative',
      width: '100%',
      height: '100%',
      display: 'grid',
      gridTemplateRows: '40px 1fr',
      backgroundColor: backgroundColor,
      color: '#434343',
      outline: 'none'
    },
    onKeyDown: function onKeyDown(e) {
      return handleKeyDown(e);
    }
  }, React__default.createElement("div", {
    style: {
      padding: '0 15px',
      display: 'flex',
      alignItems: 'center',
      backgroundColor: '#FFF',
      borderBottom: "1px solid " + borderColor,
      boxSizing: 'border-box'
    }
  }, React__default.createElement("span", {
    style: {
      fontSize: '18px'
    }
  }, (_nodes$startId = nodes[startId]) == null ? void 0 : _nodes$startId.name), React__default.createElement("div", {
    style: {
      flex: 1
    }
  }), React__default.createElement("div", {
    "data-tip": paperColor === '#434343' ? '切换为亮色风格' : '切换为暗色风格',
    style: {
      cursor: 'pointer',
      height: '29px',
      marginRight: '15px'
    },
    onClick: handleChangeColor
  }, paperColor === '#434343' ? React__default.createElement(Icon, {
    name: "sun",
    fill: "#434343"
  }) : React__default.createElement(Icon, {
    name: "moon",
    fill: "#434343"
  })), React__default.createElement("div", {
    "data-tip": "\u5E7B\u706F\u7247\u653E\u6620",
    style: {
      cursor: 'pointer',
      height: '29px'
    },
    onClick: function onClick() {
      if (slideList.length) {
        if (screenfull.isEnabled) {
          screenfull.request();
        }
      }
    }
  }, React__default.createElement(Icon, {
    name: "play",
    fill: "#434343"
  })), React__default.createElement(ReactTooltip, {
    place: "bottom",
    type: "dark",
    effect: "solid"
  })), React__default.createElement("div", {
    style: {
      position: 'relative',
      width: '100%',
      height: '100%',
      display: 'grid',
      gridTemplateColumns: '230px 1fr',
      overflow: 'hidden'
    }
  }, React__default.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      borderRight: "1px solid " + borderColor,
      overflow: 'auto',
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      backgroundColor: '#FFF',
      boxSizing: 'border-box',
      padding: '15px 0'
    }
  }, slideList.map(function (slide, index) {
    return React__default.createElement(SlidePreview, {
      key: index,
      slide: slide,
      themeColor: themeColor,
      isActive: index === currentPage,
      handleClick: function handleClick() {
        return setCurrentPage(index);
      },
      borderColor: borderColor,
      style: {
        backgroundColor: paperColor,
        color: color
      }
    });
  })), React__default.createElement("div", {
    style: {
      position: 'relative',
      width: '100%',
      height: '100%',
      boxSizing: 'border-box',
      padding: '35px 45px',
      overflow: 'hidden'
    }
  }, slideList.length ? React__default.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      boxShadow: '0 0 15px 0 rgb(0 0 0 / 10%)'
    }
  }, React__default.createElement(Slide, {
    slide: slideList[currentPage],
    active: true,
    style: {
      backgroundColor: paperColor,
      color: color
    }
  })) : null, !playMode ? React__default.createElement("div", {
    style: {
      width: '12vh',
      position: 'absolute',
      right: '50px',
      bottom: '40px',
      display: 'flex',
      justifyContent: 'space-between',
      zIndex: 999
    }
  }, React__default.createElement("div", {
    style: {
      cursor: 'pointer',
      filter: hoverPrev ? 'unset' : 'opacity(0.5)'
    },
    onClick: prevPage,
    onMouseEnter: function onMouseEnter() {
      return setHoverPrev(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setHoverPrev(false);
    }
  }, React__default.createElement(Icon, {
    name: "prev",
    fill: color,
    width: "5vh",
    height: "5vh"
  })), React__default.createElement("div", {
    style: {
      cursor: 'pointer',
      filter: hoverNext ? 'unset' : 'opacity(0.5)'
    },
    onClick: nextPage,
    onMouseEnter: function onMouseEnter() {
      return setHoverNext(true);
    },
    onMouseLeave: function onMouseLeave() {
      return setHoverNext(false);
    }
  }, React__default.createElement(Icon, {
    name: "next",
    fill: color,
    width: "5vh",
    height: "5vh"
  }))) : null)), playMode ? React__default.createElement(SlidePlay, {
    slideList: slideList,
    currentPage: currentPage,
    changePage: function changePage(pageNumber) {
      return setCurrentPage(pageNumber);
    },
    color: color,
    style: {
      backgroundColor: paperColor,
      color: color
    }
  }) : null);
};

function SlidePreview(_ref2) {
  var slide = _ref2.slide,
      themeColor = _ref2.themeColor,
      isActive = _ref2.isActive,
      handleClick = _ref2.handleClick,
      borderColor = _ref2.borderColor,
      style = _ref2.style;
  return React__default.createElement("div", {
    style: {
      width: '200px',
      height: '180px',
      overflow: 'hidden',
      border: "2px solid " + (isActive ? themeColor : borderColor),
      boxShadow: isActive ? 'rgb(0 0 0 / 10%) 6px 6px 4px 0' : 'unset',
      flexShrink: 0,
      margin: '5px 0'
    },
    onClick: function onClick() {
      return handleClick();
    }
  }, React__default.createElement(Slide, {
    slide: slide,
    width: 200 / 0.2 + "px",
    height: 180 / 0.2 + "px",
    style: _extends({
      transform: 'scale(0.2)',
      transformOrigin: 'top left'
    }, style),
    active: false,
    thumbnailMode: true
  }));
}

function calculate$2(nodes, startId, INDENT, startX, collapseMode, expandedNodeKey, hideRoot) {
  nodes = JSON.parse(JSON.stringify(nodes));
  var start_x = startX !== undefined ? startX : 15;
  var start_y = 1; // 根节点

  var root = nodes[startId];

  if (!root) {
    console.error("Can't find the root node");
    return;
  }

  var nodeList = [];
  var ancestorList = [];

  if (collapseMode && expandedNodeKey && nodes[expandedNodeKey]) {
    ancestorList = getAncestor(nodes[expandedNodeKey], nodes, true);
  }

  location(nodes, root, start_x, start_y); // if (hideRoot) {
  //   root.x = 0;
  //   root.y = 0;
  //   nodeList.unshift(root as CNode);
  // }

  return nodeList;

  function location(nodes, node, x, y) {
    var childX = x;
    var childY = y;
    var collapsed;
    var childrenIds = node.sortList || [];
    node.x = x;
    node.y = y;

    if (!(hideRoot && node._key === startId)) {
      childX = childX + INDENT;
    }

    if (collapseMode) {
      if (expandedNodeKey && ancestorList.includes(node._key)) {
        collapsed = node.contract;
      } else {
        collapsed = true;
      }
    } else {
      collapsed = node.contract;
    }

    if (!collapsed) {
      // 遍历子节点
      for (var index = 0; index < childrenIds.length; index++) {
        var element = nodes[childrenIds[index]];

        if (!element) {
          console.error("Can't find the node with the id " + childrenIds[index]);
          continue;
        }

        childY += 1;
        childY = location(nodes, element, childX, childY);
      }
    }

    nodeList.push(node);
    return childY;
  }
}

function AttachItem(_ref) {
  var id = _ref.id,
      attachIndex = _ref.attachIndex,
      nodeKey = _ref.nodeKey,
      attach = _ref.attach,
      selectedAttachId = _ref.selectedAttachId,
      themeColor = _ref.themeColor,
      handleClick = _ref.handleClick,
      handleDeleteAttach = _ref.handleDeleteAttach;
  var isImage = attach.type.includes('image/');

  function clickAttach() {
    if (selectedAttachId === id) {
      window.open(attach.url, '__blank');
    } else {
      handleClick(id);
    }
  }

  function handleKeyDown(event) {
    if (event.key === 'Backspace' && selectedAttachId === id) {
      handleDeleteAttach(nodeKey, attachIndex);
    }
  }

  return React__default.createElement("div", {
    style: {
      width: isImage ? 'fit-content' : '120px',
      height: '120px',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      border: "2px solid " + (selectedAttachId === id ? themeColor : 'transparent'),
      cursor: selectedAttachId === id ? 'zoom-in' : 'pointer',
      marginBottom: '8px',
      boxSizing: 'border-box'
    },
    tabIndex: -1,
    onClick: clickAttach,
    onKeyDown: handleKeyDown
  }, isImage ? React__default.createElement("img", {
    draggable: false,
    alt: attach.name,
    src: attach.url,
    height: "100%"
  }) : React__default.createElement(Icon, {
    name: "attach",
    width: "100%",
    height: "100%"
  }));
}

function ClickToUpload(_ref) {
  var nodeKey = _ref.nodeKey,
      type = _ref.type,
      handleClickUpload = _ref.handleClickUpload;
  return React__default.createElement("div", {
    id: "click-to-upload-" + nodeKey,
    style: {
      width: '98%',
      backgroundColor: '#EEECEC',
      color: '#8c8282',
      padding: '13px 10px',
      cursor: 'pointer',
      userSelect: 'none',
      boxSizing: 'border-box'
    },
    onClick: function onClick(e) {
      return handleClickUpload(nodeKey, e.currentTarget);
    }
  }, type === 'file' ? '点击添加文件' : '点击输入链接地址');
}

function FileViewer(_ref) {
  var fileType = _ref.fileType,
      url = _ref.url;
  var content = null;

  if (fileType.includes('image/')) {
    content = React__default.createElement(ImageViewer, {
      url: url
    });
  } else if (fileType.includes('audio/')) {
    content = React__default.createElement(MusicPlayer, {
      url: url
    });
  } else if (fileType.includes('video/')) {
    content = React__default.createElement(VideoPlayer, {
      url: url
    });
  }

  return React__default.createElement("div", {
    style: {
      width: '100%',
      cursor: 'pointer',
      userSelect: 'none'
    }
  }, content);
}

function ImageViewer(_ref2) {
  var url = _ref2.url;
  return React__default.createElement("img", {
    alt: "\u56FE\u7247\u9884\u89C8",
    src: url,
    width: "100%",
    style: {
      maxWidth: '540px'
    }
  });
}

function MusicPlayer(_ref3) {
  var url = _ref3.url;
  return React__default.createElement("audio", {
    controls: true,
    src: url
  }, "Your browser does not support the", React__default.createElement("code", null, "audio"), " element.");
}

function VideoPlayer(_ref4) {
  var url = _ref4.url;
  return React__default.createElement("video", {
    src: url,
    controls: true,
    width: "100%",
    style: {
      maxWidth: '540px'
    }
  });
}

var mobile = /*#__PURE__*/isMobile();
var height = mobile ? '178px' : '500px';
function LinkViewer(_ref) {
  var url = _ref.url,
      linkType = _ref.linkType,
      name = _ref.name,
      note = _ref.note,
      icon = _ref.icon,
      _onClick = _ref.onClick;
  return React__default.createElement("div", {
    style: {
      flex: 1,
      width: '100%',
      cursor: 'pointer',
      userSelect: 'none',
      boxSizing: 'border-box'
    }
  }, linkType ? React__default.createElement("iframe", {
    src: url,
    scrolling: "no",
    frameBorder: "0",
    allowFullScreen: true,
    width: "100%",
    height: linkType === 'wangyiyun' ? '85px' : height,
    style: {
      maxWidth: '540px'
    }
  }) : React__default.createElement("div", {
    className: "normal-link",
    style: {
      width: '100%',
      padding: '16px',
      border: '1px solid #DCDCDC',
      boxSizing: 'border-box',
      borderRadius: '4px'
    },
    onClick: function onClick() {
      if (_onClick) {
        _onClick();
      }
    }
  }, React__default.createElement("div", {
    style: {
      fontSize: '16px',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      overflow: 'hidden',
      color: '#595853',
      fontWeight: 700
    }
  }, name), note ? React__default.createElement("div", {
    style: {
      color: '#878683',
      fontSize: '12px'
    }
  }, note) : null, React__default.createElement("div", {
    style: {
      display: 'flex',
      alignItems: 'center'
    }
  }, React__default.createElement("i", {
    style: {
      width: '14px',
      height: '14px',
      marginRight: '5px',
      backgroundSize: 'contain',
      backgroundPosition: 'center',
      backgroundRepeat: 'no-repeat',
      backgroundImage: "url(\"" + icon + "\")"
    }
  }), React__default.createElement("span", {
    style: {
      fontSize: '12px',
      lineHeight: '12px'
    }
  }, url))));
}

var isMac$4 = /*#__PURE__*/ /macintosh|mac os x/i.test(navigator.userAgent); // 为了在删除节点后失去焦点不触发更改节点名

var deletable = false;
var composing$3 = false;

var EditorItem = function EditorItem(_ref) {
  var node = _ref.node,
      frameSelectionStartedNode = _ref.frameSelectionStartedNode,
      selectionNodeKeys = _ref.selectionNodeKeys,
      themeColor = _ref.themeColor,
      backgroundColor = _ref.backgroundColor,
      showIcon = _ref.showIcon,
      showPreviewButton = _ref.showPreviewButton,
      selectedAttachId = _ref.selectedAttachId,
      handleClickNode = _ref.handleClickNode,
      handleClickExpand = _ref.handleClickExpand,
      clickMore = _ref.clickMore,
      clickPreview = _ref.clickPreview,
      handleClickIcon = _ref.handleClickIcon,
      handleClickDot = _ref.handleClickDot,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleDrop = _ref.handleDrop,
      actionCommand = _ref.actionCommand,
      handleClickAttach = _ref.handleClickAttach,
      handlePasteFiles = _ref.handlePasteFiles,
      handleChangeNote = _ref.handleChangeNote,
      handleDeleteAttach = _ref.handleDeleteAttach,
      handleClickUpload = _ref.handleClickUpload,
      handleSetSelectionStart = _ref.handleSetSelectionStart,
      handleSetSelectionNodes = _ref.handleSetSelectionNodes,
      handleCheck = _ref.handleCheck,
      handleClickAvatar = _ref.handleClickAvatar,
      handleClickStatus = _ref.handleClickStatus,
      compId = _ref.compId,
      isRoot = _ref.isRoot,
      isMobile = _ref.isMobile,
      focusedKey = _ref.focusedKey,
      noteFocusedKey = _ref.noteFocusedKey,
      readonly = _ref.readonly;
  var inSelection = selectionNodeKeys.includes(node._key);
  var isDragging = sessionStorage.getItem('isDragging');
  var editorRef = React.useRef(null);
  var noteEditorRef = React.useRef(null);

  var _useState = React.useState(false),
      dragStarted = _useState[0],
      setDragStarted = _useState[1];

  var _useState2 = React.useState(false),
      isDragOver = _useState2[0],
      setIsDragOver = _useState2[1];

  var _useState3 = React.useState(false),
      hover = _useState3[0],
      sethover = _useState3[1];

  var indentCount = node.x / 30;
  var isNormalLink = node.type === 'link' && node.url;
  var bkColor = inSelection ? '#B1D3FA' : backgroundColor;
  var iconIsEmoji = React.useMemo(function () {
    return isEmoji(node.icon);
  }, [node.icon]);
  var fontSize = 16;

  if (isRoot) {
    fontSize = 34;
  } else if (readonly) {
    if (indentCount === 0) {
      fontSize = 24;
    } else if (indentCount === 1) {
      fontSize = 18;
    }
  }

  React.useEffect(function () {
    if (focusedKey === node._key && editorRef && editorRef.current) {
      handleClickNode(node);
      moveCursorToEnd(editorRef.current);
    }
  }, [focusedKey]);
  React.useEffect(function () {
    if (noteFocusedKey === node._key && noteEditorRef && noteEditorRef.current) {
      moveCursorToEnd(noteEditorRef.current);
    }
  }, [noteFocusedKey, noteEditorRef.current]);

  function saveText(e) {
    if (deletable) return; // 值（去除了换行符）

    var value = e.target.innerText.replace(/[\r\n]/g, '');

    if (value !== node.name) {
      handleChangeNodeText(node._key, value);
    }
  }

  function saveNote(e) {
    if (deletable) return;
    var value = e.target.innerText;

    if (value !== node.note) {
      handleChangeNote(node._key, value);
    }
  }

  function keyDown(event) {
    if (composing$3) {
      return;
    }

    var commandKey = isMac$4 ? event.metaKey : event.ctrlKey;

    if (commandKey && event.key === 'a' && selectionNodeKeys.length) {
      event.preventDefault();
      actionCommand('selectAll', node._key);
    } else if (event.shiftKey && event.key === 'Enter') {
      // shift+enter 添加节点备注
      event.preventDefault();

      if (node.note !== undefined) {
        if (!noteEditorRef || !noteEditorRef.current) return;
        noteEditorRef.current.focus();
        moveCursorToEnd(noteEditorRef.current);
      } else {
        actionCommand('AddNote', node._key);
      }
    } else if (event.shiftKey && event.key === 'Tab') {
      event.preventDefault();
      if (isRoot) return;
      actionCommand('ShiftTab', node._key);
    } else if (event.shiftKey && event.key === 'ArrowUp') {
      event.preventDefault();
      actionCommand('shiftUp', node._key);
    } else if (event.shiftKey && event.key === 'ArrowDown') {
      event.preventDefault();
      actionCommand('shiftDown', node._key);
    } else if (event.key === 'Enter') {
      event.preventDefault();

      if (isRoot) {
        // 根节点按Enter，相当于添加子节点
        actionCommand('AddChild', node._key);
      } else if (editorRef && editorRef.current) {
        var inHead = isCursorHead(); // 光标在头部

        if (inHead) {
          // todo
          actionCommand('AddPrevious', node._key);
        } else {
          var valuePart2 = getTextAfterCursor(editorRef.current);

          if (valuePart2) {
            // 如果光标后有文字，则分割成两段文字同时生成2条节点
            var value = editorRef.current.innerText.replace(/[\r\n]/g, '');
            var valuePart1 = value.replace(valuePart2, '');
            editorRef.current.innerText = valuePart1;
            handleChangeNodeText(node._key, valuePart2);
            actionCommand('AddPrevious', node._key, valuePart1);
          } else {
            actionCommand('AddNext', node._key);
          }
        }
      } else {
        actionCommand('AddNext', node._key);
      }
    } else if (event.key === 'Tab') {
      event.preventDefault();
      actionCommand('ToBrotherChild', node._key);
    } else if (event.key === 'Backspace') {
      var _value = event.currentTarget.innerText.replace(/[\r\n]/g, '');

      if (!_value) {
        // 按后退删除文字，当没有文字时，触发删除节点
        deletable = true;
        actionCommand('DeleteNode', node._key);
      } else {
        // 有文字
        var head = isCursorHead();

        if (head) {
          // 在头部按后退
          deletable = true;
          actionCommand('BackspaceInHead', node._key);
        } else {
          deletable = false;
        }
      }
    } else if (event.key === 'ArrowUp') {
      event.preventDefault();
      actionCommand('up', node._key);
    } else if (event.key === 'ArrowDown') {
      event.preventDefault();
      actionCommand('down', node._key);
    } else if (event.key === 'ArrowLeft') {
      sessionStorage.removeItem('cursorInTail');
      var isHead = isCursorHead();

      if (isHead) {
        actionCommand('up', node._key);
      }
    } else if (event.key === 'ArrowRight') {
      if (editorRef && editorRef.current) {
        var isTail = isCursorTail(editorRef.current);

        if (isTail) {
          actionCommand('down', node._key);
        }
      }

      sessionStorage.removeItem('cursorInTail');
    } else {
      deletable = false;
    }
  }

  function keyUp(event) {
    if (composing$3) {
      return;
    }

    if (editorRef && editorRef.current) {
      var value = editorRef.current.innerText.replace(/[\r\n]/g, '');
      actionCommand(event.key, node._key, value);
    }
  }

  function noteKeyDown(event) {
    if (event.key === 'Backspace') {
      var value = event.currentTarget.innerText;

      if (!value) {
        deletable = true;
        actionCommand('DeleteNote', node._key);
      } else {
        deletable = false;
      }
    } else {
      deletable = false;
    }
  }

  function handleDragStart(e) {
    e.dataTransfer.dropEffect = 'move';
    setDragStarted(true);
    sessionStorage.setItem('isDragging', 'true');
    sessionStorage.setItem('dragNodeId', node._key);
    sessionStorage.setItem('cross-comp-drag', node._key);
    sessionStorage.setItem('cross-drag-compId', compId);
  }

  function handleDropNode(e) {
    e.preventDefault();
    setIsDragOver(false);
    sessionStorage.removeItem('isDragging');
    var files = e.dataTransfer.files;

    if (files.length) {
      handlePasteFiles(node._key, files);
    } else {
      sessionStorage.setItem('dropNodeId', node._key);
      handleDrop();
      sessionStorage.removeItem('cross-comp-drag');
      sessionStorage.removeItem('cross-drag-compId');
    }
  }

  function handleDragOver(e) {
    if (!node.disabled) {
      e.preventDefault();
    }

    if (!isDragOver) {
      setIsDragOver(true);
    }
  }

  function handleDragLeave() {
    setIsDragOver(false);
  }

  function handleDragEnd() {
    setDragStarted(false);
    sessionStorage.removeItem('isDragging');
  }

  function handleClickLink(type, url) {
    if (type === 'link') {
      if (url.includes('http')) {
        window.open(url, '_blank');
      } else {
        window.open("http://" + url, '_blank');
      }
    }
  }

  function handlePaste(event) {
    if (event.clipboardData.files.length) {
      event.preventDefault();
      var files = event.clipboardData.files;
      handlePasteFiles(node._key, files);
    }
  }

  function handleCopy(event) {
    if (selectionNodeKeys.length) {
      event.preventDefault();
      actionCommand('copy-selection', node._key);
    }
  }

  function handleClickMore(event) {
    clickMore(node, event.currentTarget); // if (editorRef && editorRef.current) {
    //   clickMore(node, editorRef.current);
    // }
  }

  function handleMouseEnter(e) {
    sethover(true);

    if (frameSelectionStartedNode) {
      // 获取选中
      var selection = window.getSelection(); // 清除选中

      if (selection) {
        selection.removeAllRanges();
      }

      var res = mouseDirection(e.currentTarget, e.nativeEvent);
      var nodes = [].concat(selectionNodeKeys);

      if (!nodes.includes(frameSelectionStartedNode._key)) {
        nodes.unshift(frameSelectionStartedNode._key);
      }

      if (node.y < frameSelectionStartedNode.y && res === 'bottom' || node.y > frameSelectionStartedNode.y && res === 'top') {
        handleSetSelectionNodes([].concat(nodes, [node._key]), node);
      }
    }
  }

  function handleMouseLeave(e) {
    sethover(false);

    if (frameSelectionStartedNode) {
      var res = mouseDirection(e.currentTarget, e.nativeEvent);

      if (node.y < frameSelectionStartedNode.y && res === 'bottom' || node.y > frameSelectionStartedNode.y && res === 'top') {
        var nodes = [].concat(selectionNodeKeys);
        var index = nodes.findIndex(function (item) {
          return item === node._key;
        });
        nodes.splice(index, 1);
        handleSetSelectionNodes(nodes);
      }
    }
  }

  function handleMouseDown() {
    handleSetSelectionNodes([]);
    handleSetSelectionStart(node);
  }

  function handleMouseUp() {
    handleSetSelectionStart(null);
  }

  var nameLinkArr = [];

  if (urlReg.test(node.name)) {
    var arr1 = [];
    var matchList = node.name.match(urlReg);

    if (matchList) {
      var tempText = node.name;
      var textList = [];

      for (var index = 0; index < matchList.length; index++) {
        var element = matchList[index];
        tempText = tempText.replace(element, '!@#');
      }

      textList = tempText.split('!@#');

      for (var _index = 0; _index < textList.length; _index++) {
        var text = textList[_index];
        arr1.push(text);

        if (matchList[_index]) {
          arr1.push(matchList[_index]);
        }
      }
    }

    var marginLeft = 0;
    var count = 0;

    if (arr1 && arr1.length) {
      for (var _index2 = 0; _index2 < arr1.length; _index2++) {
        var name = arr1[_index2];

        if (_index2 !== 0) {
          marginLeft += textWidthAll(16, arr1[_index2 - 1]);
        }

        var type = urlReg.test(name) ? 'link' : 'text';
        var shortedName = '';

        if (node.shorted) {
          for (var _index3 = 0; _index3 < name.length; _index3++) {
            if (count < 28) {
              var _char = name[_index3]; // 全角

              if (_char.match(/[^\x00-\xff]/g)) {
                count++;
              } else {
                count += 0.5;
              }

              shortedName += _char;
            } else {
              break;
            }
          }

          if (count >= 28) {
            shortedName = shortedName + "...";
          }
        }

        if (count >= 28) {
          nameLinkArr.push({
            text: name,
            shortedName: shortedName,
            type: type,
            marginLeft: marginLeft
          });
          break;
        } else {
          nameLinkArr.push({
            text: name,
            type: type,
            marginLeft: marginLeft
          });
        }
      }
    }
  }

  return React__default.createElement("div", {
    style: {
      display: 'flex',
      position: 'relative',
      width: '100%',
      paddingLeft: isMobile ? '35px' : '55px',
      paddingRight: '35px',
      boxSizing: 'border-box',
      borderStyle: 'solid',
      borderColor: themeColor,
      backgroundColor: bkColor,
      transition: 'background-color 0.2s ease-in-out',
      borderWidth: isDragging && isDragOver ? '0 0 2px 0' : isDragOver ? '2px' : '0',
      opacity: dragStarted ? 0.8 : 1,
      overflow: 'hidden',
      margin: isNormalLink ? '15px 0' : 'unset'
    },
    onClick: function onClick(e) {
      e.stopPropagation();
      sessionStorage.removeItem('cursorInTail');
      handleClickNode(node);
    },
    onDragStart: handleDragStart,
    onDragOver: handleDragOver,
    onDragLeave: handleDragLeave,
    onDrop: handleDropNode,
    onDragEnd: handleDragEnd,
    onMouseEnter: handleMouseEnter,
    onMouseLeave: handleMouseLeave,
    onMouseDown: handleMouseDown,
    onMouseUp: handleMouseUp
  }, Array.from(new Array(indentCount).keys()).map(function (item) {
    return React__default.createElement("div", {
      key: item,
      style: {
        marginLeft: '9px',
        width: '27px',
        flexShrink: 0,
        borderLeft: !readonly ? '1px solid #DEDEE1' : 'unset'
      }
    });
  }), React__default.createElement("div", {
    style: {
      display: 'flex',
      flexDirection: 'column',
      flex: 1,
      flexShrink: 0
    }
  }, React__default.createElement("div", {
    style: {
      width: '100%',
      display: 'flex',
      fontSize: fontSize + "px",
      lineHeight: isNormalLink ? 'unset' : fontSize * 2 + "px",
      color: isRoot ? '#16181a' : '#1d1d1f',
      fontWeight: isRoot ? 600 : 'normal'
    }
  }, React__default.createElement("div", {
    style: {
      position: 'relative',
      height: fontSize * 2 + "px",
      display: 'flex',
      alignItems: 'center'
    }
  }, React__default.createElement("div", {
    style: {
      position: 'absolute',
      width: '54px',
      left: '-54px',
      top: 0,
      height: fontSize * 2 + "px",
      display: 'flex',
      flexDirection: 'row-reverse',
      alignItems: 'center'
    }
  }, !readonly && !isRoot ? React__default.createElement("div", {
    onClick: handleClickMore,
    style: {
      backgroundColor: bkColor,
      opacity: hover && !inSelection ? 1 : 0
    }
  }, React__default.createElement(Icon, {
    width: "18px",
    height: "18px",
    name: "more",
    fill: "#b2b3b4",
    style: {
      cursor: 'pointer'
    }
  })) : null, showPreviewButton && !isRoot ? React__default.createElement("div", {
    style: {
      backgroundColor: bkColor,
      opacity: hover && !inSelection ? 1 : 0
    },
    onClick: function onClick() {
      return clickPreview(node);
    }
  }, React__default.createElement(Icon, {
    width: "18px",
    height: "18px",
    name: "preview",
    fill: "#b2b3b4",
    style: {
      cursor: 'pointer'
    }
  })) : null, node.sortList.length && !isMobile ? React__default.createElement("div", {
    onClick: function onClick(e) {
      e.stopPropagation();
      handleClickExpand(node);
    },
    style: {
      backgroundColor: bkColor,
      opacity: hover && !inSelection ? 1 : 0
    }
  }, React__default.createElement(Icon, {
    width: isRoot ? '28px' : '18px',
    height: isRoot ? '28px' : '18px',
    name: node.contract ? 'collapsed' : 'collapse',
    fill: "#b2b3b4",
    style: {
      cursor: 'pointer'
    }
  })) : null), !isRoot && !readonly ? React__default.createElement("div", {
    draggable: true,
    style: {
      position: 'relative',
      height: fontSize * 2 + "px",
      flexShrink: 0,
      display: 'flex',
      alignItems: 'center',
      marginRight: '8px'
    },
    onClick: function onClick(e) {
      e.stopPropagation();
      handleClickDot(node);
    }
  }, React__default.createElement("svg", {
    width: 18,
    height: 18,
    viewBox: "0,0," + 18 + "," + 18
  }, node.contract ? React__default.createElement("circle", {
    id: "dot-hover",
    cx: 9,
    cy: 9,
    r: 9,
    fill: "#dddfe2",
    cursor: "pointer",
    fillOpacity: 1
  }) : null, React__default.createElement("circle", {
    id: "dot",
    cx: 9,
    cy: 9,
    r: 4,
    fill: "#66666D",
    fillOpacity: 1,
    cursor: "pointer"
  }))) : null, node.childNum ? React__default.createElement(ChildNum, {
    num: node.childNum
  }) : null, node.isPack ? React__default.createElement(Icon, {
    name: "pack",
    style: {
      marginRight: '2px'
    }
  }) : null, node.hasCollect ? React__default.createElement(Icon, {
    name: "fav",
    style: {
      marginRight: '2px'
    }
  }) : null, showIcon && node.icon && !isRoot && !isNormalLink ? iconIsEmoji ? React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      lineHeight: '22px'
    }
  }, node.icon) : React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      backgroundImage: "url(\"" + node.icon + "\")",
      backgroundPosition: 'center',
      backgroundSize: 'contain',
      backgroundRepeat: 'no-repeat',
      flexShrink: 0,
      marginRight: '2px'
    },
    onClick: function onClick() {
      return handleClickIcon(node);
    }
  }) : null, node.avatarUri ? React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      borderRadius: '11px',
      backgroundImage: "url(\"" + node.avatarUri + "\")",
      backgroundSize: 'cover',
      backgroundPosition: 'center',
      marginRight: '2px'
    },
    onClick: function onClick(event) {
      return handleClickAvatar(node, event);
    }
  }) : null, node.showCheckbox ? React__default.createElement(CheckBox, {
    checked: node.checked,
    onClick: function onClick(event) {
      return handleCheck(node, event);
    }
  }) : null, node.showStatus ? React__default.createElement(Status, {
    task: node,
    onClick: function onClick(event) {
      return handleClickStatus(node, event);
    }
  }) : null), !isNormalLink ? React__default.createElement("div", {
    id: "node-" + node._key,
    className: "t-editor node-editor",
    contentEditable: readonly ? false : true,
    spellCheck: "true",
    autoCapitalize: "off",
    suppressContentEditableWarning: true,
    ref: editorRef,
    onBlur: saveText,
    onKeyDown: keyDown,
    onKeyUp: keyUp,
    onCopy: handleCopy,
    onPaste: handlePaste,
    onCompositionStart: function onCompositionStart() {
      return composing$3 = true;
    },
    onCompositionEnd: function onCompositionEnd() {
      return composing$3 = false;
    }
  }, nameLinkArr.length ? React__default.createElement("span", null, nameLinkArr.map(function (name, index) {
    return React__default.createElement("span", {
      key: index,
      style: {
        textDecoration: name.type === 'link' ? 'underline' : 'unset',
        cursor: name.type === 'link' ? 'pointer' : 'text',
        color: name.type === 'link' ? themeColor : 'inherit'
      },
      onClick: function onClick() {
        return handleClickLink(name.type, name.text);
      }
    }, name.text || '');
  })) : node.name) : React__default.createElement(LinkViewer, {
    linkType: node.linkType,
    url: node.url || '',
    name: node.name,
    note: node.note,
    icon: node.icon,
    onClick: function onClick() {
      return clickPreview(node);
    }
  })), (node.type === 'file' || node.type === 'link') && !node.url ? React__default.createElement("div", {
    style: {
      marginLeft: '9px',
      paddingLeft: '16px'
    }
  }, React__default.createElement(ClickToUpload, {
    nodeKey: node._key,
    type: node.type,
    handleClickUpload: handleClickUpload
  })) : null, node.type === 'file' && node.fileType && node.url ? React__default.createElement("div", {
    style: {
      marginLeft: '9px',
      paddingLeft: '16px'
    }
  }, React__default.createElement(FileViewer, {
    fileType: node.fileType,
    url: node.url
  })) : null, !isNormalLink ? React__default.createElement("div", {
    style: {
      marginLeft: '9px',
      paddingLeft: '16px',
      borderLeft: '1px solid #DEDEE1'
    }
  }, (node.attach || []).map(function (attach, index) {
    return React__default.createElement(AttachItem, {
      key: node._key + "-" + index + "-" + attach.name,
      id: node._key + "-" + index + "-" + attach.name,
      attachIndex: index,
      nodeKey: node._key,
      attach: attach,
      selectedAttachId: selectedAttachId,
      themeColor: themeColor,
      handleClick: handleClickAttach,
      handleDeleteAttach: handleDeleteAttach
    });
  }), React__default.createElement("div", {
    className: "t-editor item-note " + (readonly ? 'readonly' : ''),
    contentEditable: readonly ? false : true,
    spellCheck: "true",
    autoCapitalize: "off",
    suppressContentEditableWarning: true,
    style: {
      fontSize: '14px',
      color: '#797B7C',
      lineHeight: node.note !== undefined ? '22px' : 0
    },
    ref: noteEditorRef,
    onBlur: saveNote,
    onKeyDown: noteKeyDown,
    onPaste: handlePaste
  }, node.note)) : null), isMobile ? React__default.createElement("div", {
    style: {
      position: 'absolute',
      width: '54px',
      right: '-18px',
      top: 0,
      height: isRoot ? '68px' : '30px',
      display: 'flex',
      alignItems: 'center'
    }
  }, node.sortList.length ? React__default.createElement("div", {
    onClick: function onClick(e) {
      e.stopPropagation();
      handleClickExpand(node);
    }
  }, React__default.createElement(Icon, {
    width: "26px",
    height: "26px",
    name: node.contract ? 'collapsed' : 'collapse',
    fill: "#b2b3b4",
    style: {
      cursor: 'pointer'
    }
  })) : null) : null);
};

function CheckBox(_ref2) {
  var checked = _ref2.checked,
      onClick = _ref2.onClick;
  return checked ? React__default.createElement("svg", {
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet",
    style: {
      marginRight: '2px'
    },
    onClick: onClick
  }, React__default.createElement("circle", {
    cx: "11",
    cy: "11",
    r: "11",
    fill: "rgb(85, 85, 85)"
  }), React__default.createElement("path", {
    d: "M 6 11 L 10 15 L 16 7",
    stroke: "#fff",
    strokeWidth: "1.6"
  })) : React__default.createElement("svg", {
    width: "22",
    height: "22",
    viewBox: "0,0,22,22",
    preserveAspectRatio: "xMinYMin meet",
    style: {
      marginRight: '2px'
    },
    onClick: onClick
  }, React__default.createElement("circle", {
    cx: "11",
    cy: "11",
    r: "10",
    fill: "rgb(216, 216, 216)",
    stroke: "#A9A9A9",
    strokeWidth: "1"
  }));
}

function Status(_ref3) {
  var task = _ref3.task,
      onClick = _ref3.onClick;
  var now = new Date(new Date().setHours(0, 0, 0, 0)).getTime();
  var limitDayNum = task.limitDay ? task.limitDay - now > 0 ? Math.floor((task.limitDay - now) / 86400000) : Math.ceil((task.limitDay - now) / 86400000) - 1 : 0;
  return React__default.createElement("div", {
    style: {
      width: '20px',
      height: '20px',
      textAlign: 'center',
      position: 'relative',
      overflow: 'hidden',
      cursor: 'pointer',
      flexShrink: 0,
      userSelect: 'none',
      color: '#FFF',
      marginRight: '2px',
      backgroundColor: task.checked ? '#b6b7b7' : limitDayNum > 0 ? limitDayNum === 1 ? '#FFB11B' : '#505050' : limitDayNum < 0 ? '#E16B8C' : '#505050'
    },
    onClick: onClick
  }, React__default.createElement("div", {
    style: {
      width: 0,
      height: 0,
      borderWidth: '18px',
      borderStyle: 'solid',
      position: 'absolute',
      top: '0px',
      right: '-18px',
      borderColor: '#35A6F8 transparent transparent'
    }
  }), React__default.createElement("span", {
    style: {
      width: '15px',
      display: 'inline-block',
      textSizeAdjust: 'none',
      fontSize: '12px',
      transform: 'scale(0.67)',
      lineHeight: '8px',
      position: 'absolute',
      right: 0,
      top: '1px'
    }
  }, task.hour || '-'), React__default.createElement("span", {
    style: {
      display: 'inline-block',
      textSizeAdjust: 'none',
      fontSize: '12px',
      transform: 'scale(0.83,0.83)',
      width: '15px',
      lineHeight: '10px',
      position: 'absolute',
      left: '2px',
      bottom: '1px'
    }
  }, limitDayNum ? Math.abs(limitDayNum) <= 99 ? Math.abs(limitDayNum) : '99+' : '∞'));
}

function ChildNum(_ref4) {
  var num = _ref4.num;
  return React__default.createElement("div", {
    style: {
      width: '22px',
      height: '22px',
      borderRadius: '11px',
      backgroundColor: '#E8E8E8',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      marginRight: '2px'
    }
  }, React__default.createElement("div", {
    style: {
      fontSize: '12px',
      transform: num > 999 ? 'scale(0.833333)' : 'unset'
    }
  }, num > 999 ? '999+' : num));
}

var composing$4 = false;
var nodeAddable = true;

var AddItem = function AddItem(_ref) {
  var lastNode = _ref.lastNode,
      isRoot = _ref.isRoot,
      clickAdd = _ref.clickAdd,
      actionCommand = _ref.actionCommand;
  var editorRef = React.useRef(null);

  var _useState = React.useState(false),
      hover = _useState[0],
      sethover = _useState[1];

  var _useState2 = React.useState(''),
      value = _useState2[0],
      setvalue = _useState2[1];

  var _useState3 = React.useState(false),
      focused = _useState3[0],
      setFocused = _useState3[1];

  var indentCount = lastNode.x / 30;
  React.useEffect(function () {
    nodeAddable = true;
    setvalue('');

    if (editorRef && editorRef.current) {
      editorRef.current.innerHTML = '';
    }
  }, [lastNode]);

  function addNode(e) {
    setFocused(false);
    if (!nodeAddable) return; // 值（去除了换行符）

    var value = e.target.innerText.replace(/[\r\n]/g, '');
    if (!value) return;

    if (isRoot) {
      actionCommand('AddChild', lastNode._key, value);
    } else {
      actionCommand('AddNext', lastNode._key, value);
    }
  }

  function keyDown(event) {
    if (composing$4) {
      event.preventDefault();
      return;
    }

    if (event.key === 'Enter') {
      event.preventDefault();
      if (!value) return;
      nodeAddable = false;

      if (isRoot) {
        actionCommand('AddChild', lastNode._key, value);
      } else {
        actionCommand('AddNext', lastNode._key, value);
      }
    } else if (event.key === 'Tab') {
      event.preventDefault();
      if (!value) return;
      nodeAddable = false;
      actionCommand('AddChild', lastNode._key, value);
    }
  }

  function keyUp(event) {
    if (composing$4) {
      return;
    }

    if (editorRef && editorRef.current) {
      var _value = editorRef.current.innerText.replace(/[\r\n]/g, '');

      actionCommand(event.key, lastNode._key, _value, true);
    }
  }

  function handleInput() {
    if (composing$4) {
      return;
    }

    if (editorRef && editorRef.current) {
      var _value2 = editorRef.current.innerText.replace(/[\r\n]/g, '');

      setvalue(_value2);
    }
  }

  function handlePaste(event) {
    if (event.clipboardData.files.length) {
      event.preventDefault(); // let files = event.clipboardData.files;
      // handlePasteFiles(node._key, files);

      alert('请选转换为节点再执行粘贴附件！');
    }
  }

  function handleClickAdd() {
    if (value) {
      return;
    }

    if (editorRef && editorRef.current) {
      clickAdd(lastNode, editorRef.current);
    }
  }

  return React__default.createElement("div", {
    style: {
      display: 'flex',
      position: 'relative',
      width: '100%',
      paddingLeft: '55px',
      paddingRight: '35px',
      boxSizing: 'border-box',
      opacity: focused || hover ? 1 : 0
    },
    onMouseEnter: function onMouseEnter() {
      return sethover(true);
    },
    onMouseLeave: function onMouseLeave() {
      return sethover(false);
    }
  }, Array.from(new Array(indentCount).keys()).map(function (item) {
    return React__default.createElement("div", {
      key: item,
      style: {
        marginLeft: '9px',
        width: '27px',
        flexShrink: 0,
        borderLeft: '1px solid #DEDEE1'
      }
    });
  }), React__default.createElement("div", {
    style: {
      display: 'flex',
      flexDirection: 'column',
      flex: 1,
      flexShrink: 0
    }
  }, React__default.createElement("div", {
    style: {
      width: '100%',
      display: 'flex',
      fontSize: '16px',
      color: '#1d1d1f',
      lineHeight: '30px'
    }
  }, React__default.createElement("div", {
    style: {
      position: 'relative',
      height: '30px',
      display: 'flex',
      alignItems: 'center'
    }
  }, React__default.createElement("div", {
    style: {
      position: 'relative',
      height: '30px',
      flexShrink: 0,
      display: 'flex',
      alignItems: 'center',
      marginRight: '8px',
      cursor: value ? 'inherit' : 'pointer'
    },
    onClick: handleClickAdd
  }, value ? React__default.createElement("svg", {
    width: 18,
    height: 18,
    viewBox: "0,0," + 18 + "," + 18
  }, React__default.createElement("circle", {
    id: "dot",
    cx: 9,
    cy: 9,
    r: 4,
    fill: "#66666D",
    fillOpacity: 1
  })) : React__default.createElement(Icon, {
    name: "plus",
    width: "18px",
    height: "18px"
  }))), React__default.createElement("div", {
    className: "t-editor add-editor",
    contentEditable: "true",
    spellCheck: "true",
    autoCapitalize: "off",
    suppressContentEditableWarning: true,
    ref: editorRef,
    onKeyDown: keyDown,
    onKeyUp: keyUp,
    onInput: handleInput,
    onPaste: handlePaste,
    onClick: function onClick() {
      return setFocused(true);
    },
    onBlur: addNode,
    onCompositionStart: function onCompositionStart() {
      return composing$4 = true;
    },
    onCompositionEnd: function onCompositionEnd() {
      composing$4 = false;
      handleInput();
    }
  }))));
};

var indent = 30; // const isMac = /macintosh|mac os x/i.test(navigator.userAgent);

var mobile$1 = /*#__PURE__*/isMobile();
var quickCommandIndex;
var TreeEditor = /*#__PURE__*/React__default.forwardRef(function (_ref, ref) {
  var nodes = _ref.nodes,
      startId = _ref.startId,
      disabled = _ref.disabled,
      readonly = _ref.readonly,
      _ref$themeColor = _ref.themeColor,
      themeColor = _ref$themeColor === void 0 ? '#1CA8B3' : _ref$themeColor,
      _ref$backgroundColor = _ref.backgroundColor,
      backgroundColor = _ref$backgroundColor === void 0 ? '#F5F5F5' : _ref$backgroundColor,
      defaultFocusedId = _ref.defaultFocusedId,
      defaultNoteFocusedNodeId = _ref.defaultNoteFocusedNodeId,
      _ref$uncontrolled = _ref.uncontrolled,
      uncontrolled = _ref$uncontrolled === void 0 ? true : _ref$uncontrolled,
      _ref$showIcon = _ref.showIcon,
      showIcon = _ref$showIcon === void 0 ? true : _ref$showIcon,
      _ref$showPreviewButto = _ref.showPreviewButton,
      showPreviewButton = _ref$showPreviewButto === void 0 ? true : _ref$showPreviewButto,
      quickCommandKey = _ref.quickCommandKey,
      _ref$quickCommands = _ref.quickCommands,
      quickCommands = _ref$quickCommands === void 0 ? [] : _ref$quickCommands,
      handleCommandChanged = _ref.handleCommandChanged,
      handlePasteFiles = _ref.handlePasteFiles,
      handleDeleteAttach = _ref.handleDeleteAttach,
      handleAddNote = _ref.handleAddNote,
      handleChangeNote = _ref.handleChangeNote,
      handleDeleteNote = _ref.handleDeleteNote,
      handleTabAction = _ref.handleTabAction,
      handleClickExpand = _ref.handleClickExpand,
      handleClickNode = _ref.handleClickNode,
      handleClickIcon = _ref.handleClickIcon,
      handleClickDot = _ref.handleClickDot,
      handleChangeNodeText = _ref.handleChangeNodeText,
      handleAddNext = _ref.handleAddNext,
      handleAddPrevious = _ref.handleAddPrevious,
      handleAddChild = _ref.handleAddChild,
      handleDeleteNode = _ref.handleDeleteNode,
      handleShiftUpDown = _ref.handleShiftUpDown,
      handleDrag = _ref.handleDrag,
      handleClickMoreButton = _ref.handleClickMoreButton,
      handleClickAddButton = _ref.handleClickAddButton,
      handleClickPreviewButton = _ref.handleClickPreviewButton,
      handleClickUpload = _ref.handleClickUpload,
      handleCheck = _ref.handleCheck,
      handleClickAvatar = _ref.handleClickAvatar,
      handleClickStatus = _ref.handleClickStatus,
      handleMutiSelect = _ref.handleMutiSelect,
      showDeleteConform = _ref.showDeleteConform,
      collapseMode = _ref.collapseMode;

  var _useState = React.useState(nodes),
      nodeMap = _useState[0],
      setNodeMap = _useState[1];

  var _useState2 = React.useState([]),
      cnodes = _useState2[0],
      setcnodes = _useState2[1]; // 粘貼的節點key
  // const [pasteNodeKey, setPasteNodeKey] = useState<string | null>(null);
  // 粘貼方式
  // const [pasteType, setPasteType] = useState<'copy' | 'cut' | null>(null);


  var _useState3 = React.useState(''),
      compId = _useState3[0],
      setCompId = _useState3[1];

  var _useState4 = React.useState(startId),
      expandedNodeKey = _useState4[0],
      setExpandedNodeKey = _useState4[1];

  var _useState5 = React.useState([]),
      ancestorList = _useState5[0],
      setAncestorList = _useState5[1];

  var _useState6 = React.useState(defaultFocusedId),
      focusedKey = _useState6[0],
      setFocusedKey = _useState6[1];

  var _useState7 = React.useState(defaultNoteFocusedNodeId),
      noteFocusedKey = _useState7[0],
      setNoteFocusedKey = _useState7[1];

  var _useState8 = React.useState(''),
      selectedAttachId = _useState8[0],
      setSelectedAttachId = _useState8[1]; // 是否开始框选


  var _useState9 = React.useState(null),
      frameSelectionStartedNode = _useState9[0],
      setFrameSelectionStartedNode = _useState9[1];

  var _useState10 = React.useState([]),
      selectionNodeKeys = _useState10[0],
      setSelectionNodeKeys = _useState10[1]; // 暴露方法


  React.useImperativeHandle(ref, function () {
    return {
      deleteNode: deletenode,
      saveNodes: saveNodes,
      addNext: addNext,
      addChild: addChild
    };
  });
  React.useEffect(function () {
    setCompId(guid(8, 16));
  }, []); // 参数nodes发生改变，重设nodeMap

  React.useEffect(function () {
    setNodeMap(nodes);
  }, [nodes]); // nodeMap发生改变，根据nodeMap计算渲染所需数据

  React.useEffect(function () {
    console.log('根据nodeMap计算渲染所需数据');

    if (!nodeMap[startId]) {
      return;
    }

    setFrameSelectionStartedNode(null);
    var nodes = calculate$2(nodeMap, startId, indent, 0, collapseMode, expandedNodeKey, true);

    if (nodes) {
      nodes.sort(function (a, b) {
        return a.y - b.y;
      });
      setcnodes(nodes);
    }
  }, [nodeMap, startId, expandedNodeKey]);
  React.useEffect(function () {
    if (collapseMode && expandedNodeKey && nodeMap[expandedNodeKey]) {
      var _ancestorList = getAncestor(nodes[expandedNodeKey], nodes, true);

      setAncestorList(_ancestorList);
    }
  }, [nodeMap, expandedNodeKey]);
  React.useEffect(function () {
    if (defaultFocusedId) {
      if (nodeMap && nodeMap[defaultFocusedId]) {
        setExpandedNodeKey(nodeMap[defaultFocusedId].father);
      }
    }

    setFocusedKey(defaultFocusedId);
  }, [defaultFocusedId]);
  React.useEffect(function () {
    quickCommandIndex = undefined;
  }, [focusedKey]);
  React.useEffect(function () {
    setNoteFocusedKey(defaultNoteFocusedNodeId);
  }, [defaultNoteFocusedNodeId]);
  React.useEffect(function () {
    if (!frameSelectionStartedNode && selectionNodeKeys.length && handleMutiSelect) {
      var _nodes = [];

      for (var index = 0; index < selectionNodeKeys.length; index++) {
        var key = selectionNodeKeys[index];
        var node = nodeMap[key];

        if (node) {
          _nodes.push(node);
        }
      }

      handleMutiSelect(_nodes);
    }
  }, [frameSelectionStartedNode, selectionNodeKeys, nodeMap]); // 单击节点

  function clickNode(node) {
    if (handleClickNode) {
      handleClickNode(node);
    }
  } // 展开/收起节点


  function handleExpand(node) {
    if (collapseMode) {
      if (expandedNodeKey === node._key) {
        setExpandedNodeKey(node.father || null);
      } else {
        setExpandedNodeKey(node._key);

        if (handleClickExpand && node.contract) {
          handleClickExpand(node);
        }
      }
    } else {
      if (uncontrolled) {
        var _nodes2 = dot(nodeMap, node._key);

        setNodeMap(_nodes2);
      }

      if (handleClickExpand) {
        handleClickExpand(node);
      }
    }
  }

  function clickIcon(node) {
    if (handleClickIcon) {
      handleClickIcon(node);
    }
  } // 节点改名


  function changeText(nodeId, text) {
    if (uncontrolled) {
      var _nodes3 = changeNodeText(nodeMap, nodeId, text);

      setNodeMap(_nodes3);
    }

    if (handleChangeNodeText) {
      handleChangeNodeText(nodeId, text);
    }
  } // 更改节点备注


  function changeNote(nodeId, text) {
    if (uncontrolled) {
      var _nodes4 = changeNodeNote(nodeMap, nodeId, text);

      setNodeMap(_nodes4);
    }

    if (handleChangeNote) {
      handleChangeNote(nodeId, text);
    }
  } // 添加平级节点


  function addNext(nodeKey, value) {
    if (nodeKey === startId) {
      return alert('根节点无法添加兄弟节点！');
    }

    if (uncontrolled) {
      var res = addNextNode(nodeMap, nodeKey, value);

      if (handleAddNext) {
        handleAddNext(nodeKey, res.addedNode, value);
      }

      setFocusedKey(res.addedNode._key);
      setNodeMap(res.nodes);
    } else {
      if (handleAddNext) {
        handleAddNext(nodeKey, undefined, value);
      }
    }
  }

  function addPrevious(nodeKey, value) {
    if (nodeKey === startId) {
      return alert('根节点无法添加兄弟节点！');
    }

    if (uncontrolled) {
      var res = addNextNode(nodeMap, nodeKey, value, true);

      if (handleAddPrevious) {
        handleAddPrevious(nodeKey, res.addedNode, value);
      }

      setFocusedKey(nodeKey);
      setNodeMap(res.nodes);
    } else {
      if (handleAddPrevious) {
        handleAddPrevious(nodeKey, undefined, value);
      }
    }
  } // 添加节点备注


  function addNote(nodeKey) {
    if (nodeKey === startId) {
      return;
    }

    if (uncontrolled) {
      var res = addNodeNote(nodeMap, nodeKey);

      if (handleAddNote) {
        handleAddNote(nodeKey);
      }

      setNoteFocusedKey(nodeKey);
      setNodeMap(res.nodes);
    } else {
      if (handleAddNote) {
        handleAddNote(nodeKey);
      }
    }
  }

  function deleteNote(nodeKey) {
    if (uncontrolled) {
      var res = deleteNodeNote(nodeMap, nodeKey);

      if (handleDeleteNote) {
        handleDeleteNote(nodeKey);
      }

      setNoteFocusedKey('');
      setFocusedKey(nodeKey);
      setNodeMap(res.nodes);
    } else {
      if (handleDeleteNote) {
        handleDeleteNote(nodeKey);
      }
    }
  } // 添加子节点


  function addChild(nodeKey, value) {
    if (uncontrolled) {
      var res = addChildNode(nodeMap, nodeKey, value);

      if (handleAddChild) {
        handleAddChild(nodeKey, res.addedNode, value);
      }

      setFocusedKey(res.addedNode._key);
      setExpandedNodeKey(nodeKey);
      setNodeMap(res.nodes);
    } else {
      if (handleAddChild) {
        handleAddChild(nodeKey, undefined, value);
      }
    }
  } // 删除节点


  function deletenode(nodeKey) {
    if (nodeKey === startId) {
      return alert('根节点不允许删除！');
    }

    if (uncontrolled) {
      var res = deleteNode(nodeMap, nodeKey);

      if (handleDeleteNode) {
        handleDeleteNode(nodeKey);
      }

      setFocusedKey(res.nextSelectNodeKey);
      setNodeMap(res.nodes);
    } else {
      if (handleDeleteNode) {
        handleDeleteNode(nodeKey);
      }
    }
  } // 将儿子变为弟弟


  function convertChildToBrother(nodeKey) {
    var node = nodeMap[nodeKey];
    if (!node) return;
    var father = nodeMap[node.father];
    if (!father) return;
    var sortList = father.sortList;
    if (!sortList.length) return;

    if (father._key === startId) {
      return;
    }

    var grandFather = nodeMap[father.father];
    if (!grandFather.sortList.length) return;
    var fatherIndex = grandFather.sortList.findIndex(function (item) {
      return item === father._key;
    });

    if (uncontrolled) {
      var res = toFatherBrother(nodeMap, nodeKey);

      if (handleTabAction) {
        handleTabAction(nodeKey, grandFather._key, fatherIndex + 1);
      }

      setNodeMap(res.nodes);
    } else {
      if (handleTabAction) {
        handleTabAction(nodeKey, grandFather._key, fatherIndex + 1);
      }
    }
  }

  function switchNodeToBrotherChild(nodeIndex, nodeKey, brotherKey) {
    if (uncontrolled) {
      var res = toBrotherChild(nodeMap, nodeIndex, nodeKey, brotherKey);

      if (handleTabAction) {
        handleTabAction(nodeKey, brotherKey);
      }

      setNodeMap(res.nodes);
    } else {
      if (handleTabAction) {
        handleTabAction(nodeKey, brotherKey);
      }
    }
  } // 節點上移


  function shiftUp(nodeKey) {
    var res = changeSortList(nodeMap, nodeKey, 'up');

    if (res) {
      if (uncontrolled) {
        setNodeMap(res.nodes);
        setFocusedKey(nodeKey);
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(nodeKey, res.brotherKeys, 'up');
        }
      }
    }
  } // 節點下移


  function shiftDown(nodeKey) {
    var res = changeSortList(nodeMap, nodeKey, 'down');

    if (res) {
      if (uncontrolled) {
        setNodeMap(res.nodes);
        setFocusedKey(nodeKey);
      } else {
        if (handleShiftUpDown) {
          handleShiftUpDown(nodeKey, res.brotherKeys, 'down');
        }
      }
    }
  }

  function saveNodes() {
    return nodeMap;
  }

  function handleDrop() {
    var dragNodeId = sessionStorage.getItem('dragNodeId');
    var dropNodeId = sessionStorage.getItem('dropNodeId');

    if (!dragNodeId || !dropNodeId) {
      return;
    }

    var dragInfo = {
      dragNodeId: dragNodeId,
      dropNodeId: dropNodeId,
      placement: 'down'
    };

    if (uncontrolled) {
      var res = dragSort(nodeMap, dragNodeId, dropNodeId, dragInfo.placement);

      if (res) {
        setNodeMap(res);
      }
    } else if (handleDrag) {
      handleDrag(dragNodeId, dragInfo);
    }
  }

  function clickDot(node) {
    if (handleClickDot) {
      handleClickDot(node);
    }
  }
  /**
   * 动作指令
   * @param command
   * @param nodeKey
   * @param value
   * @param addMode 是否是最后一行的新增
   * @returns
   */


  function actionCommand(command, nodeKey, value, addMode) {
    if (disabled) {
      return;
    }

    if (command === 'AddNext') {
      // 添加弟弟节点
      addNext(nodeKey, value);
    } else if (command === 'AddPrevious') {
      addPrevious(nodeKey, value);
    } else if (command === 'AddChild') {
      // 添加子节点
      addChild(nodeKey, value);
    } else if (command === 'DeleteNode') {
      // 删除节点
      deletenode(nodeKey);
    } else if (command === 'AddNote') {
      // 添加节点备注
      addNote(nodeKey);
    } else if (command === 'DeleteNote') {
      // 删除节点备注
      deleteNote(nodeKey);
    } else if (command === 'up' || command === 'down') {
      var nextNode = moveCursor(command, cnodes, nodeKey);
      if (!nextNode) return;
      setFocusedKey(nextNode._key);

      if (handleClickNode) {
        handleClickNode(nextNode);
      }
    } else if (command === 'ShiftTab') {
      convertChildToBrother(nodeKey);
    } else if (command === 'shiftUp') {
      shiftUp(nodeKey);
    } else if (command === 'shiftDown') {
      shiftDown(nodeKey);
    } else if (command === 'BackspaceInHead') {
      var node = nodeMap[nodeKey];
      if (!node) return;
      var father = nodeMap[node.father];
      if (!father) return;
      var sortList = father.sortList;
      if (!sortList.length) return;
      var currentNodeIndex = sortList.findIndex(function (id) {
        return id === nodeKey;
      });
      if (currentNodeIndex === -1 || currentNodeIndex === 0) return;
      var brother = nodeMap[sortList[currentNodeIndex - 1]];
      if (!brother) return; // 删除当前节点

      deletenode(nodeKey); // 更改哥哥节点名称

      changeText(brother._key, brother.name + node.name);
    } else if (command === 'ToBrotherChild') {
      var _node = nodeMap[nodeKey];
      if (!_node) return;
      var _father = nodeMap[_node.father];
      if (!_father) return;
      var _sortList = _father.sortList;
      if (!_sortList.length) return;

      var _currentNodeIndex = _sortList.findIndex(function (id) {
        return id === nodeKey;
      });

      if (_currentNodeIndex === -1 || _currentNodeIndex === 0) return;
      var _brother = nodeMap[_sortList[_currentNodeIndex - 1]];
      if (!_brother) return;
      switchNodeToBrotherChild(_currentNodeIndex, nodeKey, _brother._key);
    } else if (command === 'selectAll') {
      var keys = cnodes.map(function (node) {
        return node._key;
      });
      setSelectionNodeKeys(keys);
    } else if (command === 'copy-selection') {
      var _nodes5 = [];
      var minX;

      var _loop = function _loop(index) {
        var key = selectionNodeKeys[index];
        var node = cnodes.find(function (node) {
          return node._key === key;
        });

        if (node) {
          _nodes5.push(node);

          if (minX === undefined || node.x < minX) {
            minX = node.x;
          }
        }
      };

      for (var index = 0; index < selectionNodeKeys.length; index++) {
        _loop(index);
      }

      _nodes5.sort(function (a, b) {
        return a.y - b.y;
      });

      var str = '';
      var rootKey = cnodes[0]._key;

      for (var _index = 0; _index < _nodes5.length; _index++) {
        var element = _nodes5[_index];
        var indentCount = (element.x - (minX || 0)) / 30;
        var _indent = '';

        for (var _index2 = 0; _index2 < indentCount; _index2++) {
          _indent += '  ';
        }

        str += "" + _indent + (element._key === rootKey ? '' : '・ ') + element.name + "\n";
      }

      if (navigator.clipboard) {
        // clipboard api 复制
        navigator.clipboard.writeText(str);
      } else {
        alert('无法复制！请升级浏览器！');
      }
    } else if (command === quickCommandKey && handleCommandChanged) {
      setFrameSelectionStartedNode(null);
      quickCommandIndex = getCursorIndex();
      handleCommandChanged(nodeKey, 'open', value || '', addMode);
    } else if (quickCommandIndex !== undefined && value && handleCommandChanged) {
      var cusorIndex = getCursorIndex();
      if (!cusorIndex) return;

      var _command = value.substring(quickCommandIndex, cusorIndex);

      if (typeof cusorIndex === 'number' && cusorIndex < quickCommandIndex) {
        quickCommandIndex = undefined;
        handleCommandChanged(nodeKey, 'close', value, addMode);
      } else if (isCommandAvaliable(_command)) {
        handleCommandChanged(nodeKey, _command, value, addMode);
      } else {
        quickCommandIndex = undefined;
        handleCommandChanged(nodeKey, 'close', value, addMode);
      }
    }
  }

  function isCommandAvaliable(command) {
    for (var index = 0; index < quickCommands.length; index++) {
      var quickCommand = quickCommands[index];

      if (quickCommand.includes(command)) {
        return true;
      }
    }

    return false;
  }

  function handleClickMore(node, el) {
    if (handleClickMoreButton) {
      handleClickMoreButton(node, el);
    }
  }

  function handleClickAdd(node, el) {
    if (handleClickAddButton) {
      handleClickAddButton(node, el);
    }
  }

  function handleClickPreview(node) {
    if (handleClickPreviewButton) {
      handleClickPreviewButton(node);
    }
  }

  function clickUpload(nodeKey, el) {
    if (handleClickUpload) {
      handleClickUpload(nodeKey, el);
    }
  } // check节点


  function check(node, e) {
    if (disabled) {
      return;
    }

    e.stopPropagation();

    if (uncontrolled) {
      var _nodes6 = checkNode(nodeMap, node._key);

      setNodeMap(_nodes6);
    }

    if (handleCheck) {
      handleCheck(node);
    }
  }

  function clickAvatar(node, event) {
    if (handleClickAvatar) {
      event.stopPropagation();
      handleClickAvatar(node, event.currentTarget);
    }
  }

  function clickStatus(node, event) {
    if (handleClickStatus) {
      event.stopPropagation();
      handleClickStatus(node, event.currentTarget);
    }
  }

  function handleKeyDown(event) {
    if ((event.key === 'Delete' || event.key === 'Backspace') && selectionNodeKeys.length && showDeleteConform) {
      showDeleteConform();
    }
  }

  return React__default.createElement("div", {
    className: "menu-wrapper",
    style: {
      position: 'relative',
      width: '100%',
      boxSizing: 'border-box',
      padding: '15px 0',
      backgroundColor: backgroundColor
    },
    onKeyDown: handleKeyDown
  }, cnodes.map(function (node, index) {
    return React__default.createElement(EditorItem, {
      key: index + "_" + node._key,
      node: node,
      frameSelectionStartedNode: frameSelectionStartedNode,
      selectionNodeKeys: selectionNodeKeys,
      themeColor: themeColor,
      backgroundColor: backgroundColor,
      showIcon: showIcon,
      showPreviewButton: showPreviewButton,
      focusedKey: focusedKey,
      noteFocusedKey: noteFocusedKey,
      selectedAttachId: selectedAttachId,
      handleClickNode: clickNode,
      handleClickExpand: handleExpand,
      handleChangeNodeText: changeText,
      handleClickIcon: clickIcon,
      handleDrop: handleDrop,
      handleClickDot: clickDot,
      actionCommand: actionCommand,
      handleClickAttach: function handleClickAttach(attachId) {
        return setSelectedAttachId(attachId);
      },
      handlePasteFiles: handlePasteFiles,
      handleChangeNote: changeNote,
      handleDeleteAttach: handleDeleteAttach,
      clickMore: handleClickMore,
      clickPreview: handleClickPreview,
      compId: compId,
      isRoot: index === 0 ? true : false,
      isMobile: mobile$1,
      collapseMode: collapseMode,
      collapseModeCollapsed: collapseMode ? expandedNodeKey ? !ancestorList.includes(node._key) : true : undefined,
      readonly: readonly,
      handleClickUpload: clickUpload,
      handleSetSelectionStart: function handleSetSelectionStart(node) {
        return setFrameSelectionStartedNode(node);
      },
      handleSetSelectionNodes: function handleSetSelectionNodes(nodeKeys, lastAddedNode) {
        if (lastAddedNode && frameSelectionStartedNode) {
          var selectedKeys = [];

          for (var _index3 = 0; _index3 < cnodes.length; _index3++) {
            var _node2 = cnodes[_index3];

            if (frameSelectionStartedNode.y < lastAddedNode.y && _node2.y >= frameSelectionStartedNode.y && _node2.y <= lastAddedNode.y) {
              selectedKeys.push(_node2._key);
            } else if (frameSelectionStartedNode.y > lastAddedNode.y && _node2.y <= frameSelectionStartedNode.y && _node2.y >= lastAddedNode.y) {
              selectedKeys.push(_node2._key);
            }
          }

          setSelectionNodeKeys(selectedKeys);
        } else {
          setSelectionNodeKeys(nodeKeys);
        }
      },
      handleCheck: check,
      handleClickAvatar: clickAvatar,
      handleClickStatus: clickStatus
    });
  }), !readonly && cnodes[cnodes.length - 1] ? React__default.createElement(AddItem, {
    lastNode: cnodes[cnodes.length - 1],
    isRoot: cnodes.length === 1 ? true : false,
    clickAdd: handleClickAdd,
    actionCommand: actionCommand
  }) : null);
});

exports.Catalog = Catalog;
exports.MenuTree = MenuTree;
exports.Mind = Mind;
exports.MiniMenu = MiniMenu;
exports.MobileTree = MobileTree;
exports.Slides = Slides;
exports.Tree = Tree;
exports.TreeEditor = TreeEditor;
exports.getCalculatedNodes = getCalculatedNodes;
//# sourceMappingURL=tree-graph-react.cjs.development.js.map
